/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* Copy the first part of user declarations.  */
#line 2 "src/mup/gram.y" /* yacc.c:339  */


/*
 Copyright (c) 1995-2021  by Arkkra Enterprises.
 All rights reserved.

 Redistribution and use in source and binary forms,
 with or without modification, are permitted provided that
 the following conditions are met:

 1. Redistributions of source code must retain
 the above copyright notice, this list of conditions
 and the following DISCLAIMER.

 2. Redistributions in binary form must reproduce the above
 copyright notice, this list of conditions and
 the following DISCLAIMER in the documentation and/or
 other materials provided with the distribution.

 3. Any additions, deletions, or changes to the original files
 must be clearly indicated in accompanying documentation,
 including the reasons for the changes,
 and the names of those who made the modifications.

	DISCLAIMER

 THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS
 OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 THE IMPLIED WARRANTIES OF MERCHANTABILITY
 AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT,
 INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

/* This file contains the parser code for the Mup music publication program.
 * It uses lex to get the tokens.
 */


#include "rational.h"
#include "globals.h"
#include "defines.h"
#include "structs.h"
#include <errno.h>

#define YYDEBUG 1


/* how many items to allocate at a time for
 * "with" list, and location lists, etc */
#define ITEMS	(4)

/* Shorter way to refer to the current entry when building an entry from
 * accidentals context */
#define CURR_ACC_ENTRY	Acc_contexts_list_p->info[Curr_acc_index]

/* It user gives consecutive restoreparms with no intervening saveparms,
 * all but the last are pointless, as the last overwrites. So we have simple
 * state machine to catch this and print a warning. Even with an intervening
 * saveparms, multiple restoreparms is dubious, because really all you could
 * do is save something that you had already saved, but under a different
 * name. But we distinguish those cases. These value record what was
 * the previous control {Save|Restore}parms command type.
 * Once we see warn case, we stay in that state
 * to avoid duplicate warnings for the same issue.
 */
#define SR_SAVE		(0)
#define SR_RESTORE	(1)
#define SR_WARN	(2)


static struct MAINLL *Currstruct_p;	/* main list struct being filled in */
static struct BLOCKHEAD *Currblock_p;	/* current block, if non-zero */

static struct INPCOORD *Curr_loc_info_p; /* location info being collected */
static struct USER_SYMBOL *Curr_usym_p;	/* user-defined symbol being defined */


static short Saw_restoreparms;		/* Yes if we have seen a restoreparms
					 * in the current control context */
static short Prev_control_parms;	/* Previous {save|restore}parms */
static short Getting_tup_dur;		/* YES if currently collection tuplet
					 * duration rather than GRPSYL dur */

static struct GRPSYL *Curr_grpsyl_p;	/* current GRPSYL struct being filled in */
static struct GRPSYL *Last_grpsyl_p;	/* previous GRPSYL struct filled in (contains
					 * defaults for the current one */
static struct TIMELIST *Extra_time_p;	/* If user enters times to be added
					 * together, like 2.+16 this points to
					 * a linked list of the extra times */
static struct TIMELIST *Curr_timelist_p;/* current additive time, used to know
					 * where to link items to the list */
static struct TIMELIST *Last_alloced_timelist_p; /* Most recently allocated
					 * list. Keeping track of this lets us
					 * avoid trying to free the list
					 * when Extra_time_p is pointing
					 * to a list from an SSV. */
static struct GRPSYL *Prev_grpsyl_p;	/* Like Last_grpsyl_p except in the
					 * case of additive times,
					 * in which case it points to the
					 * first group. This is needed in case
					 * the following group is to get its
					 * time value by defaulting to that
					 * of its previous group. */
static int Extra_basictime;		/* for saving basictime, when doing
					 * additive times */
static int Doing_timeunit = NO;		/* YES if gathering timeunit param */
static short Doing_vcombine;		/* YES if gathering vcombine param */
static short Doing_samescore = NO;	/* YES if after samescorebegin */
static short Doing_samepage = NO;	/* YES if after samepagebegin */
static struct GRPSYL *Lyrics_p;		/* pointer to current list of lyrics */
static struct WITH_ITEM *Curr_marklist;	/* current "with" list */
static int Mark_start;			/* Index into Curr_marklist at which
					 * the currently-being-gathered list
					 * began, since user could do things
					 * like [with - above;with . below][with "sfz"]
					 * Since we don't know the place till
					 * the end of a list, this lets us
					 * know how far back in the list to
					 * update with above or below.
					 */
static struct PRINTDATA **Next_print_link_p_p;	/* points to where to attach next
						 * print command that we get */
static int Item_count;			/* items in current list */
static int Max_items;			/* current amount of space in lists
					 * "with" list, curve locations, etc) */

static int Plus_minus;			/* if 1 add, if -1 subtract offset */
static int Defining_multiple = NO;	/* if defining multiple voices at once */
static int Chord_at_a_time = NO;	/* YES for chord-at-a-time,
					 * NO for voice-at-a-time */
static short Meas_rpt_type;		/* Current MRT_* value */
static int EM_staff;			/* Staff number of most recent
					 * emptymeas parameter usage */
static short Endingloc;			/* if current bar starts or ends an
					 * ending, etc (STARTITEM, ENDITEM, etc) */
static short Endending_type;		/* EE_* value. Only relevent if
					 * Endingloc == ENDITEM */
static short Got_ending;		/* YES if got ending on this bar */

static int Til_bars;			/* number of bars in "til" clause */
static int Bar_between;                 /* YES or NO, if to put bar lines
                                         * between staffs rather than on then */
static struct SUBBAR_APPEARANCE *Subbar_app_p;	/* Info for subbartype parameter */
static double Dist;			/* dist for a specific STUFF */
static int Dist_usage;			/* meaning of Dist field */
static int Aligntag = NOALIGNTAG;	/* align tag number for STUFF */
static short User_meas_time;		/* YES if user specified a time for
					 * an 'm' item. Only valid on mr */
static int Order_place;			/* PL_* for markorder in SSV */
static int Order_prio;			/* value in markorder in SSV */
static int Start_gracebackup;		/* how many grace notes to back up
					 * before starting a "stuff" */
static int End_gracebackup;		/* how many grace notes to back up
					 * before ending a "stuff" */
static float Til_offset;		/* beat count in "til" clause */
static float Til_steps;			/* stepsize offset of "til" clause */
static int Linetype;			/* L_DOTTED, L_DASHED, or L_NORMAL */

static char *String1, *String2;		/* to temporarily keep track
					 * of labels and other temporary
					 * strings */
static char Tmpbuff[20];		/* temporary buffer for converting
					 * float numbers */
static char Stringbuff[100];		/* temporary string storage */
static int Titlefont, Titlesize;	/* font/size for title command */
static double Extra;			/* extra vertical space for prints */
static short Good_till_canceled = NO;	/* if [] things should be continued
					 * until turned off */
static short Curr_paratype = J_JUSTPARA; /* current paragraph type */
static char Curr_accs[2*MAX_ACCS];	/* list of current note's accidentals */
static int Acc_offset;			/* Current place in Curr_accs */
static int Curr_acc_index;		/* Current place in info array of
					 * current accidentals context */
static struct TIMEDSSV *Curr_tssv_p;	/* current mid-measure param change */
static char Timerep[MAXTSLEN];		/* Internal representation of time
					 * signature being collected */
static int Tsig_offset;			/* Current place in Timerep while
					 * collecting a time signature */
static struct TAG_REF *Curr_timeref_tag_p; /* Time offsets are relative
					 * to the most recent horizontal tag.
					 * This points to that tag,
					 * or is zero if no such tag yet */

/* Row index values must match the PS_* value definitions in defines.h.
 * Column [0] is height in portrait mode, and column [1] is height. */
double pagesztbl[7][2] = {
	{ 8.5, 11.0 },		/* PS_LETTER */
	{ 8.5, 14.0 },		/* PS_LEGAL */
	{ 8.5, 13.0 },		/* PS_FLSA */
	{ 5.5, 8.5 },		/* PS_HALFLETTER */
	{ 8.26, 11.69 },	/* PS_A4 */
	{ 5.84, 8.26 },		/* PS_A5 */
	{ 4.12, 5.84 }		/* PS_A6 */
};



/* static functions */
static char *stripquotes P((char *string));	/* rmv double quotes
						 * from string */
static void chkdup_headfoot P((int bit, char *which, struct BLOCKHEAD *block_p));
static void chkdup_topbot P((struct BLOCKHEAD **block_p_p, char *blocktype));
static void end_prev_context P((void));
static void clone_staff_ssvs P((struct MAINLL *insert_p));
static void clone_voice_ssvs P((struct MAINLL *insert_p));
static void clone1ssv P((struct SSV *clone_src_p, struct MAINLL *insert_p,
		int staffno, int voiceno));
static void chk_ssv_ranges P((UINT32B context));
static void var_valid P((void));	 /* check if okay to set location var */
static void proc_printcmd P((int justifytype, struct INPCOORD *inpc_p,
		char *str, int font, int size, int got_nl,
		int isPostScript, int ps_usage, int isfilename, 
		struct VAR_EXPORT *export_p, double extra));
static struct VAR_EXPORT *add_export P((char *varname, int index));
static double extra_needed P((int font, int size, char **string_p));
static void keyword_notes P((char *str));
static void free_extra_time P((void));
static void tsig_item P((int item));
static struct EXPR_NODE *newnode P((int op));
static void clear_curr_accs P((void));
static void add_acc P((char *acc_name));
static void new_acc_entry P((char *acc_name));
static void add_acc_offset P((int letter, double offset));
#ifdef __STDC__
static int comp_subbar P((const void *item1_p, const void *item2_p));
#else
static int comp_subbar P((char *item1_p, char *item2_p));
#endif
static int multiwhole2basictime P((int value));
static void parse_doremi_string P((char *str));



#line 309 "src/mup/ytab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "ytab.h".  */
#ifndef YY_YY_SRC_MUP_YTAB_H_INCLUDED
# define YY_YY_SRC_MUP_YTAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    T_1ARG_FUNC = 258,
    T_2ARG_FUNC = 259,
    T_2FNUMVAR = 260,
    T_ABM = 261,
    T_ACCIDENTALS = 262,
    T_ADDSUB_OP = 263,
    T_ALIGN = 264,
    T_ALIGNLABELS = 265,
    T_ALL = 266,
    T_ALT = 267,
    T_AMPERSAND = 268,
    T_ANY = 269,
    T_ARRAYVAR = 270,
    T_AUTO = 271,
    T_BARSTLISTVAR = 272,
    T_BARTYPE = 273,
    T_BBOX = 274,
    T_BLOCKHEAD = 275,
    T_BM = 276,
    T_BULGE = 277,
    T_BYMEAS = 278,
    T_CENTS = 279,
    T_CHORDTRANSLATION = 280,
    T_CLEF = 281,
    T_CLEFVAR = 282,
    T_COLON = 283,
    T_COMMA = 284,
    T_COMMON = 285,
    T_CONTROL = 286,
    T_CUE = 287,
    T_CURVE = 288,
    T_CUT = 289,
    T_DASH = 290,
    T_DBL = 291,
    T_DBLFLAT = 292,
    T_DIAM = 293,
    T_DEFAULTPHRASESIDE = 294,
    T_DOT = 295,
    T_DOWN = 296,
    T_DRUM = 297,
    T_EABM = 298,
    T_EBM = 299,
    T_EM_BEGIN = 300,
    T_EM_END = 301,
    T_ENDENDING = 302,
    T_ENDING = 303,
    T_ENDSTYLE = 304,
    T_ENDTYPE = 305,
    T_EPH = 306,
    T_EQUAL = 307,
    T_ESBM = 308,
    T_EVERY = 309,
    T_EXCLAM = 310,
    T_FAMILY = 311,
    T_FFAMILY = 312,
    T_FILE = 313,
    T_FIRSTPAGE = 314,
    T_FNUMVAR = 315,
    T_FONT = 316,
    T_FONTVAR = 317,
    T_GRACE = 318,
    T_GRIDS = 319,
    T_HAT = 320,
    T_HEADSHAPES = 321,
    T_HIDECHANGES = 322,
    T_HO = 323,
    T_HS = 324,
    T_INPUTDIR = 325,
    T_JUSTIFYTYPE = 326,
    T_KEY = 327,
    T_KEYMAP = 328,
    T_KEYMAPVAR = 329,
    T_LBRACE = 330,
    T_LBRACKET = 331,
    T_LEN = 332,
    T_LET = 333,
    T_LETTER = 334,
    T_LET_M = 335,
    T_LET_N = 336,
    T_LET_R = 337,
    T_LET_S = 338,
    T_LET_U = 339,
    T_LET_X = 340,
    T_LINE = 341,
    T_LINETYPE = 342,
    T_LPAREN = 343,
    T_LVAR = 344,
    T_LYRICS = 345,
    T_L_ANGLE = 346,
    T_L_DBLANGLE = 347,
    T_MEASNUM = 348,
    T_MIDDLE = 349,
    T_MIDI = 350,
    T_MNUM = 351,
    T_MODIFIER = 352,
    T_MULDIV_OP = 353,
    T_MULTIREST = 354,
    T_MULTIWHOLE = 355,
    T_MUSIC = 356,
    T_MUSSYM = 357,
    T_NEWLINE = 358,
    T_NL = 359,
    T_NONE = 360,
    T_NONNAT = 361,
    T_NOWHERE_SLIDE = 362,
    T_NUM = 363,
    T_NUMBER = 364,
    T_NUMVAR = 365,
    T_OCTAVE = 366,
    T_OPTSTRVAR = 367,
    T_ORDER = 368,
    T_ORIENTATION = 369,
    T_OTHERTEXT = 370,
    T_PAD = 371,
    T_PAGESIDE = 372,
    T_PAGESIZE = 373,
    T_PARAGRAPH = 374,
    T_PARATYPE = 375,
    T_PEDAL = 376,
    T_PEDSTAR = 377,
    T_PEDSTYLE = 378,
    T_PH = 379,
    T_PHRASE = 380,
    T_PITCH = 381,
    T_PLACE = 382,
    T_PLUS = 383,
    T_POSTSCRIPT = 384,
    T_PRINTTYPE = 385,
    T_PRINTEDTIME = 386,
    T_PSHOOKLOC = 387,
    T_PSVAR = 388,
    T_QUAD = 389,
    T_QUESTION = 390,
    T_RANGELISTVAR = 391,
    T_RATNUMLISTVAR = 392,
    T_RBRACE = 393,
    T_RBRACKET = 394,
    T_REHEARSAL = 395,
    T_REHTYPE = 396,
    T_REH_STYLE = 397,
    T_REPEATDOTS = 398,
    T_RESTOREPARMS = 399,
    T_ROLL = 400,
    T_RPAREN = 401,
    T_RPT = 402,
    T_R_ANGLE = 403,
    T_R_DBLANGLE = 404,
    T_SAMEPAGE = 405,
    T_SAMESCORE = 406,
    T_SAVEPARMS = 407,
    T_SCORE = 408,
    T_SCOREFEED = 409,
    T_SCOREPAD = 410,
    T_SCORESEP = 411,
    T_SEMICOLON = 412,
    T_SHARP = 413,
    T_SHORTEN = 414,
    T_SLASH = 415,
    T_SLASHMARK = 416,
    T_SLOPE = 417,
    T_SLUR = 418,
    T_STAFF = 419,
    T_STAFFLINES = 420,
    T_STANDARD = 421,
    T_STAR = 422,
    T_STEMOFFSET = 423,
    T_STRING = 424,
    T_STRVAR = 425,
    T_SUBBARSTYLE = 426,
    T_SWINGUNIT = 427,
    T_SYMBOL = 428,
    T_TAB = 429,
    T_TICKS = 430,
    T_TIE = 431,
    T_TIL = 432,
    T_TILDE = 433,
    T_TIME = 434,
    T_TIMEUNIT = 435,
    T_TITLE = 436,
    T_TO = 437,
    T_TRANSPOSE = 438,
    T_TRANSUSAGE = 439,
    T_TUNINGTYPE = 440,
    T_TUNINGVAR = 441,
    T_UNARY_OP = 442,
    T_UNITS = 443,
    T_UNITTYPE = 444,
    T_UNSET = 445,
    T_UP = 446,
    T_USEACCS = 447,
    T_USING = 448,
    T_VCOMBINE = 449,
    T_VCOMBVAL = 450,
    T_VISVAR = 451,
    T_VOICE = 452,
    T_VVAR = 453,
    T_WHEREUSED = 454,
    T_WITH = 455,
    T_XNOTE = 456,
    T_XPOS_INT = 457,
    T_YESNOVAR = 458
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 248 "src/mup/gram.y" /* yacc.c:355  */

int	intval;		/* for tokens/nonterminals that return int values */
char	*stringval;	/* for tokens/nonterminals that return strings */
float	floatval;	/* for nonterminals that return floats */
RATIONAL ratval;	/* for nonterminals that return rational numbers */
struct INPCOORD *inpcoord_p;	/* for nonterminals that return coord info */
struct EXPR_NODE *expr_p;/* for nonterminals that return coord expression */
struct TAG_REF *tag_p;	/* for nonterminals that return a tag reference */
struct VAR_EXPORT *export_p;	/* for Mup variables to be passed to user PostScript */

#line 564 "src/mup/ytab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_SRC_MUP_YTAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 581 "src/mup/ytab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  240
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   1733

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  204
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  346
/* YYNRULES -- Number of rules.  */
#define YYNRULES  808
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1228

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   458

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   601,   601,   604,   607,   610,   613,   616,   619,   622,
     625,   628,   631,   634,   637,   643,   654,   661,   665,   671,
     675,   679,   683,   687,   691,   706,   715,   715,   735,   735,
     753,   755,   759,   764,   766,   769,   775,   781,   787,  1040,
    1045,  1051,  1056,  1061,  1103,  1111,  1119,  1129,  1133,  1139,
    1145,  1151,  1157,  1167,  1176,  1189,  1202,  1225,  1244,  1252,
    1261,  1264,  1270,  1280,  1286,  1289,  1292,  1295,  1314,  1329,
    1335,  1351,  1357,  1363,  1369,  1378,  1382,  1389,  1395,  1405,
    1411,  1417,  1429,  1439,  1447,  1450,  1456,  1462,  1465,  1475,
    1480,  1486,  1492,  1523,  1536,  1542,  1548,  1551,  1557,  1587,
    1587,  1602,  1614,  1619,  1624,  1635,  1656,  1684,  1715,  1721,
    1727,  1733,  1739,  1751,  1757,  1776,  1797,  1817,  1829,  1845,
    1856,  1861,  1867,  1872,  1887,  1900,  1906,  1926,  1932,  1945,
    1958,  1963,  1967,  1971,  1977,  1980,  1986,  1990,  1990,  1995,
    2053,  2072,  2077,  2082,  2087,  2093,  2099,  2105,  2111,  2117,
    2121,  2125,  2128,  2131,  2140,  2146,  2158,  2164,  2171,  2177,
    2183,  2187,  2193,  2197,  2200,  2203,  2210,  2214,  2218,  2230,
    2238,  2243,  2249,  2255,  2260,  2265,  2282,  2292,  2300,  2303,
    2312,  2331,  2337,  2342,  2348,  2351,  2354,  2360,  2363,  2367,
    2400,  2406,  2411,  2431,  2439,  2447,  2454,  2466,  2472,  2478,
    2484,  2503,  2509,  2515,  2521,  2527,  2549,  2552,  2552,  2558,
    2563,  2563,  2569,  2575,  2581,  2604,  2616,  2624,  2627,  2630,
    2649,  2654,  2660,  2665,  2674,  2684,  2699,  2711,  2721,  2732,
    2771,  2790,  2798,  2804,  2810,  2817,  2823,  2829,  2839,  2846,
    2851,  2857,  2867,  2872,  2884,  2890,  2896,  2905,  2910,  2918,
    2924,  2935,  2945,  2950,  2964,  2982,  2992,  3007,  3025,  3037,
    3041,  3047,  3051,  3063,  3069,  3075,  3078,  3104,  3109,  3116,
    3116,  3121,  3126,  3133,  3138,  3144,  3152,  3157,  3165,  3170,
    3177,  3183,  3192,  3198,  3204,  3209,  3225,  3231,  3237,  3242,
    3246,  3251,  3256,  3260,  3280,  3285,  3291,  3296,  3301,  3306,
    3312,  3321,  3342,  3367,  3461,  3468,  3475,  3478,  3481,  3484,
    3487,  3490,  3493,  3496,  3499,  3502,  3505,  3508,  3511,  3514,
    3517,  3520,  3523,  3526,  3529,  3532,  3535,  3538,  3541,  3544,
    3547,  3550,  3553,  3556,  3559,  3562,  3565,  3568,  3571,  3574,
    3577,  3580,  3583,  3586,  3589,  3592,  3595,  3598,  3601,  3604,
    3615,  3628,  3641,  3660,  3695,  3701,  3705,  3711,  3717,  3720,
    3723,  3726,  3731,  3736,  3742,  3748,  3755,  3758,  3765,  3773,
    3782,  3789,  3792,  3798,  3807,  3813,  3823,  3841,  3867,  3871,
    3878,  3881,  3885,  3888,  3931,  3935,  3939,  3942,  3946,  3955,
    3961,  3967,  3974,  3977,  3981,  3991,  4008,  4024,  4029,  4033,
    4049,  4055,  4060,  4065,  4071,  4075,  4083,  4090,  4097,  4100,
    4103,  4106,  4121,  4124,  4127,  4130,  4147,  4164,  4175,  4202,
    4213,  4238,  4244,  4250,  4270,  4275,  4280,  4283,  4287,  4290,
    4294,  4297,  4310,  4338,  4350,  4361,  4376,  4390,  4401,  4406,
    4412,  4417,  4424,  4429,  4446,  4449,  4452,  4468,  4477,  4481,
    4488,  4495,  4502,  4508,  4520,  4532,  4542,  4553,  4559,  4565,
    4593,  4599,  4605,  4611,  4642,  4651,  4662,  4667,  4683,  4709,
    4757,  4762,  4766,  4781,  4802,  4807,  4821,  4826,  4832,  4839,
    4844,  4850,  4870,  4876,  4882,  4888,  4901,  4906,  4910,  4914,
    4933,  4955,  4974,  5015,  5033,  5046,  5065,  5068,  5071,  5075,
    5082,  5087,  5127,  5134,  5142,  5148,  5151,  5161,  5177,  5193,
    5211,  5232,  5239,  5251,  5262,  5274,  5286,  5294,  5299,  5311,
    5321,  5331,  5347,  5353,  5363,  5379,  5385,  5391,  5400,  5406,
    5420,  5425,  5442,  5449,  5455,  5460,  5465,  5469,  5475,  5480,
    5485,  5490,  5494,  5499,  5505,  5511,  5517,  5523,  5529,  5536,
    5542,  5548,  5555,  5562,  5568,  5574,  5586,  5596,  5602,  5608,
    5614,  5621,  5628,  5635,  5644,  5651,  5655,  5658,  5662,  5674,
    5683,  5689,  5697,  5704,  5711,  5718,  5725,  5732,  5739,  5746,
    5753,  5760,  5767,  5773,  5780,  5787,  5799,  5804,  5810,  5815,
    5824,  5831,  5838,  5842,  5854,  5858,  5863,  5873,  5879,  5886,
    5893,  5900,  5906,  5911,  5919,  5922,  5932,  5935,  5943,  5950,
    5960,  5966,  5970,  5970,  5974,  5979,  5990,  5995,  6000,  6008,
    6014,  6020,  6029,  6041,  6047,  6053,  6056,  6059,  6062,  6084,
    6088,  6095,  6101,  6107,  6110,  6114,  6125,  6130,  6239,  6242,
    6246,  6245,  6359,  6393,  6431,  6434,  6438,  6442,  6445,  6448,
    6518,  6524,  6530,  6542,  6545,  6548,  6551,  6555,  6558,  6561,
    6616,  6622,  6644,  6652,  6675,  6679,  6685,  6688,  6692,  6700,
    6711,  6744,  6758,  6765,  6780,  6786,  6791,  6808,  6817,  6832,
    6842,  6850,  6859,  6868,  6876,  6884,  6893,  6899,  6906,  6914,
    6924,  6941,  6947,  6955,  6963,  6977,  6985,  6993,  7000,  7042,
    7064,  7081,  7087,  7097,  7103,  7109,  7114,  7120,  7127,  7133,
    7136,  7141,  7144,  7166,  7173,  7178,  7183,  7188,  7193,  7206,
    7219,  7222,  7225,  7228,  7232,  7235,  7239,  7255,  7292,  7300,
    7307,  7322,  7332,  7339,  7342,  7349,  7358,  7382,  7394,  7400,
    7406,  7412,  7419,  7425,  7431,  7436,  7442,  7448,  7461,  7467,
    7480,  7485,  7491,  7496,  7507,  7510,  7514,  7522,  7532,  7537,
    7543,  7548,  7554,  7559,  7571,  7577,  7582,  7587,  7605,  7613,
    7619,  7627,  7634,  7638,  7643,  7650,  7657,  7661,  7668,  7674,
    7677,  7684,  7691,  7697,  7702,  7716,  7726,  7731,  7737,  7743,
    7752,  7759,  7764,  7770,  7773,  7785,  7792,  7799,  7813,  7819,
    7828,  7834,  7841,  7846,  7849,  7852,  7856,  7863,  7870
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "T_1ARG_FUNC", "T_2ARG_FUNC",
  "T_2FNUMVAR", "T_ABM", "T_ACCIDENTALS", "T_ADDSUB_OP", "T_ALIGN",
  "T_ALIGNLABELS", "T_ALL", "T_ALT", "T_AMPERSAND", "T_ANY", "T_ARRAYVAR",
  "T_AUTO", "T_BARSTLISTVAR", "T_BARTYPE", "T_BBOX", "T_BLOCKHEAD", "T_BM",
  "T_BULGE", "T_BYMEAS", "T_CENTS", "T_CHORDTRANSLATION", "T_CLEF",
  "T_CLEFVAR", "T_COLON", "T_COMMA", "T_COMMON", "T_CONTROL", "T_CUE",
  "T_CURVE", "T_CUT", "T_DASH", "T_DBL", "T_DBLFLAT", "T_DIAM",
  "T_DEFAULTPHRASESIDE", "T_DOT", "T_DOWN", "T_DRUM", "T_EABM", "T_EBM",
  "T_EM_BEGIN", "T_EM_END", "T_ENDENDING", "T_ENDING", "T_ENDSTYLE",
  "T_ENDTYPE", "T_EPH", "T_EQUAL", "T_ESBM", "T_EVERY", "T_EXCLAM",
  "T_FAMILY", "T_FFAMILY", "T_FILE", "T_FIRSTPAGE", "T_FNUMVAR", "T_FONT",
  "T_FONTVAR", "T_GRACE", "T_GRIDS", "T_HAT", "T_HEADSHAPES",
  "T_HIDECHANGES", "T_HO", "T_HS", "T_INPUTDIR", "T_JUSTIFYTYPE", "T_KEY",
  "T_KEYMAP", "T_KEYMAPVAR", "T_LBRACE", "T_LBRACKET", "T_LEN", "T_LET",
  "T_LETTER", "T_LET_M", "T_LET_N", "T_LET_R", "T_LET_S", "T_LET_U",
  "T_LET_X", "T_LINE", "T_LINETYPE", "T_LPAREN", "T_LVAR", "T_LYRICS",
  "T_L_ANGLE", "T_L_DBLANGLE", "T_MEASNUM", "T_MIDDLE", "T_MIDI", "T_MNUM",
  "T_MODIFIER", "T_MULDIV_OP", "T_MULTIREST", "T_MULTIWHOLE", "T_MUSIC",
  "T_MUSSYM", "T_NEWLINE", "T_NL", "T_NONE", "T_NONNAT", "T_NOWHERE_SLIDE",
  "T_NUM", "T_NUMBER", "T_NUMVAR", "T_OCTAVE", "T_OPTSTRVAR", "T_ORDER",
  "T_ORIENTATION", "T_OTHERTEXT", "T_PAD", "T_PAGESIDE", "T_PAGESIZE",
  "T_PARAGRAPH", "T_PARATYPE", "T_PEDAL", "T_PEDSTAR", "T_PEDSTYLE",
  "T_PH", "T_PHRASE", "T_PITCH", "T_PLACE", "T_PLUS", "T_POSTSCRIPT",
  "T_PRINTTYPE", "T_PRINTEDTIME", "T_PSHOOKLOC", "T_PSVAR", "T_QUAD",
  "T_QUESTION", "T_RANGELISTVAR", "T_RATNUMLISTVAR", "T_RBRACE",
  "T_RBRACKET", "T_REHEARSAL", "T_REHTYPE", "T_REH_STYLE", "T_REPEATDOTS",
  "T_RESTOREPARMS", "T_ROLL", "T_RPAREN", "T_RPT", "T_R_ANGLE",
  "T_R_DBLANGLE", "T_SAMEPAGE", "T_SAMESCORE", "T_SAVEPARMS", "T_SCORE",
  "T_SCOREFEED", "T_SCOREPAD", "T_SCORESEP", "T_SEMICOLON", "T_SHARP",
  "T_SHORTEN", "T_SLASH", "T_SLASHMARK", "T_SLOPE", "T_SLUR", "T_STAFF",
  "T_STAFFLINES", "T_STANDARD", "T_STAR", "T_STEMOFFSET", "T_STRING",
  "T_STRVAR", "T_SUBBARSTYLE", "T_SWINGUNIT", "T_SYMBOL", "T_TAB",
  "T_TICKS", "T_TIE", "T_TIL", "T_TILDE", "T_TIME", "T_TIMEUNIT",
  "T_TITLE", "T_TO", "T_TRANSPOSE", "T_TRANSUSAGE", "T_TUNINGTYPE",
  "T_TUNINGVAR", "T_UNARY_OP", "T_UNITS", "T_UNITTYPE", "T_UNSET", "T_UP",
  "T_USEACCS", "T_USING", "T_VCOMBINE", "T_VCOMBVAL", "T_VISVAR",
  "T_VOICE", "T_VVAR", "T_WHEREUSED", "T_WITH", "T_XNOTE", "T_XPOS_INT",
  "T_YESNOVAR", "$accept", "song", "item", "context", "ssv_context", "$@1",
  "$@2", "ssv_stafflist", "ssv_staff_item", "ssv_sv_list", "ssv_sv_item",
  "alloc_ssv", "new_context", "blockhead_context", "music_context",
  "grid_context", "accidentals_context", "begin_acc_context",
  "acc_context_name", "acc_entry", "acc_name", "offsets_spec",
  "offsets_list", "acc_offset", "keymap_context", "control_context",
  "control_item", "stringpair", "headshape_context", "symbol_context",
  "staffnum", "voicenum", "num", "value", "assignment", "terminator",
  "assign", "$@3", "visval", "opt_pageside", "opt_print_clef",
  "measnumval", "vschemetype", "allocbeamlist", "ratnumlist",
  "nonempty_ratnumlist", "subbeam", "$@4", "time_item", "swing_time",
  "opt_rs", "alloc_rangelist", "rangelist", "rangelistA", "rangeitem",
  "rangetail", "grplabel", "optlabel2", "glabel", "alloc_barstlist",
  "barstlist", "opt_between", "between", "barst_item", "subbar_check",
  "subbar_list", "alloc_subbar", "alloc_sb_barstlist", "sb_linetype",
  "sb_bartype", "sb_appearance", "line_ref", "line_offset", "sb_barstlist",
  "sb_timelist", "sb_count", "repeatdots_value", "mark_order", "orderlist",
  "orderitem", "marktype", "timesig", "tsiglist", "$@5", "meas_tsig",
  "$@6", "fraction", "numerator", "numerator_value", "opt_ts_visibility",
  "opt_n", "printed_timesig", "keyspec", "useaccs_value", "useaccs_qual",
  "stafflinedef", "prclef", "ch_tran_type", "tab_string_list", "tab_item",
  "opt_str_acc", "opt_ticks", "flagval", "minscsep", "maxscsep",
  "minscpad", "maxscpad", "shorten_opts", "shorten_range", "inputdir",
  "pagesize", "orientation", "vcombine_clause", "$@7", "vcombine_value",
  "vcombine_quals", "opt_vcombine_qualifier", "opt_bymeas", "end_type",
  "updown", "majmin", "pedstyle", "transpose_interval", "trans_usage",
  "title", "tfont", "title_font", "font_family", "title_size", "titleA",
  "paragraph", "opt_paratype", "paramname", "string", "music_input",
  "noteinfo", "init_staff", "sv_spec", "sv_map_list", "sv_map_entry",
  "map_start", "map_finish", "sv_map_item_list", "voice_id", "sv_and",
  "sv_item", "notecolon", "grp_stafflist", "grp_staff_item",
  "grp_staff_range", "voice_spec", "voice_tail", "groupinfo", "groupdata",
  "mid_meas_param", "mid_meas_list", "mid_meas_item", "mm_context",
  "mm_params", "mm_param_item", "grp_attributes", "styleinfo", "gtc",
  "extra_styleinfo", "alloc_grpsyl", "marklist", "marklistA", "markitem",
  "hor_offset", "opt_plus_or_minus", "other_attr", "attr_list",
  "attr_item", "alloc_marklist", "mark_place", "opt_dir", "opt_to_voice",
  "marks", "mark", "mark_item", "shorthand_mark", "notetype", "dir",
  "beammark", "time_val", "crossbeam", "basic_time_val", "opt_more_time",
  "more_time_item", "alloc_timelist", "opt_m", "opt_dbl_or_quad", "dots",
  "padding", "padspec", "opt_minus", "group", "special_group",
  "extra_attr", "spec_grp_alloc", "extra_item", "note_opts", "notelist",
  "opt_other_staff", "css_with", "some_notes", "notedata", "notedata1",
  "opt_bend", "pitch", "opt_accidental", "opt_acc_list", "opt_octave",
  "acc_list", "begin_acc_list", "acc_list_tail", "note_acc", "acc_symbol",
  "octave", "minuslist", "pluslist", "slur_item", "start_slur", "slurlist",
  "fullslurlist", "slurnote", "grp_locsave", "loc_variable", "arraytag",
  "ntuplet", "printtup", "start_tuplet", "rbrace", "opt_side", "opt_time",
  "opt_tuplet_slope", "lyricinfo", "lyric_id", "lyr_opt_place", "using",
  "opt_place", "ph_opt_place", "staff_list", "staff_item", "staff_range",
  "more_lyric_ids", "$@8", "verse_spec", "verselist", "verse_item",
  "verse_range", "alloc_lyr_grpsyl", "lyricdata", "lyr_tlist",
  "lyrics_timelist", "lyr_time_item", "lyr_tm", "lyrtuplet", "opt_space",
  "lyr_verse", "verse_string", "os_directive", "$@9", "scorefeed_options",
  "scorefeed_item", "temp_margin", "margin_override", "temp_scoresep",
  "opt_equals", "opt_semi", "directive", "barinfo", "precbartype",
  "barline", "bartype", "emptymeas_input", "bar_items", "bar_opt",
  "ending_info", "chk_dup_reh", "rehearsal_mark", "location", "alloc_loc",
  "plus_or_minus", "xcoord", "ycoord", "coord_setup", "expression",
  "direction", "floatnum", "opt_decimal_part", "numstr", "variable",
  "line", "line_alloc", "linetype", "opt_line_str", "curve", "curve_alloc",
  "curve_tail", "loc_list", "bulgelist", "bulge_value", "curve_loc",
  "stuff_info", "stuff_header", "midi", "midi_staff", "stuff_id",
  "stuff_type", "opt_size", "opt_modifier", "opt_dist", "stuff_dist",
  "opt_exclam", "opt_align", "stufflist", "stuff_item", "beat_offset",
  "gracebackup", "steps_offset", "opt_string", "til_clause", "til_val",
  "til_suffix", "til_offset", "roll_cmd", "opt_roll_dir", "roll_extent",
  "roll_start", "roll_end", "roll_offsetlist", "printcmd", "postscript",
  "opt_file", "ps_opt_loc", "export_list", "export_var_list",
  "export_item", "aliased_var", "alias", "export_var",
  "alias_or_export_var", "printtype", "justifytype", "opt_loc", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458
};
# endif

#define YYPACT_NINF -1016

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1016)))

#define YYTABLE_NINF -799

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
    1340,   156,   224, -1016,   242,   279,   394,   164,   430,   475,
   -1016,   490,   509,   525,   531, -1016,   543,   548,   549, -1016,
   -1016,   567, -1016,   575,   459,   577, -1016,   503, -1016,   583,
   -1016,   392, -1016, -1016, -1016,   585, -1016,   587, -1016,   588,
   -1016, -1016,   589,   590, -1016,   593,   595,   599,   600,   603,
     604,   459,     6, -1016, -1016, -1016,   459, -1016, -1016,   606,
     612,   615, -1016,   616,   618, -1016,   621,   622,   623,   459,
     626,   629,   630,   634,   636,   637,  1530,   640,   641,   642,
   -1016,   643,   645,  1146, -1016,   542, -1016, -1016, -1016, -1016,
   -1016, -1016,    79, -1016, -1016,   -30, -1016, -1016, -1016, -1016,
     -30,   648, -1016,   644, -1016,   582,   118, -1016,   608,   343,
   -1016,   542,   610, -1016, -1016,   218, -1016, -1016,   674,   104,
     627, -1016, -1016, -1016,   427,   228, -1016, -1016,    23,   459,
     632, -1016,   671, -1016, -1016,   459,   694,    26,   594,    72,
     665,   392,   671,   663,    31,   432,   597,   -63, -1016,   533,
     136, -1016,   358, -1016,   542,   245,   -63,   671,    69,   459,
     165,   420, -1016, -1016,   586,    46,   597, -1016, -1016,   392,
     597, -1016, -1016,   671,    23,    23, -1016,   212,   671,   459,
   -1016,   344,   597,   258, -1016,   647,   667,    12,   544,   541,
   -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016, -1016, -1016, -1016,    26, -1016,   -17, -1016,   392,    26,
   -1016, -1016, -1016, -1016, -1016,   282, -1016,   628,   607,   282,
   -1016, -1016, -1016, -1016,   569, -1016,   630,   563,   138, -1016,
   -1016,   701, -1016,   710,   664, -1016,   392,   728, -1016,    45,
   -1016,   639, -1016,   508, -1016, -1016,   656,   627,   726,    23,
   -1016,   728, -1016,   392,   651, -1016, -1016, -1016, -1016,   545,
   -1016,   459,   650,   711,   721, -1016,   597, -1016,   148, -1016,
     723,   392, -1016,   597,   675, -1016, -1016, -1016, -1016, -1016,
   -1016, -1016, -1016, -1016,   164,    23, -1016, -1016, -1016, -1016,
   -1016, -1016,   217, -1016,   217, -1016,   597, -1016,   392,   725,
   -1016,    86,   727, -1016,   392, -1016, -1016, -1016, -1016,   392,
   -1016,    23,   646, -1016, -1016, -1016,   597, -1016, -1016, -1016,
   -1016,   638, -1016,   177, -1016, -1016,   118, -1016,   653,   392,
     392,   308, -1016, -1016, -1016, -1016,   392,   729,   591, -1016,
      37,   735,    23,   740, -1016,   741,   392,   515,    49, -1016,
     743,   597, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
     695, -1016,   416,   638,   265,   392,   459, -1016, -1016, -1016,
   -1016,   572, -1016, -1016, -1016,   134, -1016,   392, -1016, -1016,
   -1016, -1016,   392,    -2, -1016, -1016, -1016, -1016,    23,   617,
   -1016,   282, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016,    88, -1016, -1016,   647, -1016, -1016,   392, -1016, -1016,
     684, -1016,   411,   728, -1016,   392,   392,    74, -1016, -1016,
   -1016, -1016,   459,   428, -1016,   731,   243,   732,   671, -1016,
   -1016, -1016, -1016,   690,   690,   761,   503, -1016, -1016, -1016,
     692,    23, -1016,   705,   649, -1016,   503, -1016,   428,   730,
     597, -1016, -1016,   650,    23, -1016,   750,   757,   776, -1016,
   -1016,   671, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016, -1016,   592,   592, -1016,   392,   157,   392,   392, -1016,
     392,   633, -1016, -1016, -1016, -1016, -1016,   372,   392,   597,
   -1016, -1016, -1016,   750, -1016,   762, -1016, -1016,   497,   763,
   -1016, -1016, -1016,    23,   392, -1016,   744,   744, -1016, -1016,
   -1016,   671, -1016, -1016,    23, -1016,    23, -1016,   728, -1016,
     764, -1016, -1016,   607, -1016, -1016, -1016, -1016,   671,   238,
   -1016,   758, -1016,   258, -1016, -1016, -1016,   654,   542,   118,
   -1016,   392, -1016, -1016, -1016, -1016, -1016,    16,   728, -1016,
      45, -1016, -1016, -1016,   773,    23, -1016,   569,   569,   459,
   -1016,   336,   291, -1016,   506,   684, -1016, -1016,   392, -1016,
   -1016, -1016,   392,   392, -1016,   597, -1016, -1016, -1016, -1016,
   -1016, -1016, -1016, -1016, -1016, -1016, -1016,   759,   459,   392,
     392,   392,    23,   630, -1016,   619,   620,   657,   136,   760,
     769, -1016, -1016,   335,   -63, -1016,   136,   777,   347, -1016,
     759,   767,   779, -1016, -1016,   765, -1016,   766, -1016,   459,
   -1016, -1016, -1016,   392, -1016,   682, -1016,   781, -1016, -1016,
   -1016, -1016, -1016,   736,   344, -1016,   247,   209, -1016,   655,
   -1016, -1016, -1016, -1016,   686,   258, -1016, -1016, -1016,   733,
     392,   273,   739,   734, -1016,   273,   662,    23,   392, -1016,
     335,   671,    23, -1016,   794, -1016,   392,   -26, -1016,   217,
   -1016,   656, -1016,   256,   638, -1016,   722,   118,   658,   652,
     805, -1016, -1016,   392, -1016, -1016, -1016, -1016, -1016,   407,
   -1016, -1016, -1016,    25, -1016,   795,   255,   344, -1016, -1016,
     684, -1016,   728, -1016,   802,   392,   597, -1016, -1016, -1016,
   -1016,   667,   690,   690, -1016,   469,   486,   392,    23,   660,
     469,   347,   745,   746,   347,   347,    23,   131, -1016,   792,
     437,   428,   428,   597, -1016,   392,   671,   174, -1016,   752,
     465,   408,   247, -1016, -1016, -1016, -1016, -1016,   459, -1016,
   -1016,    40, -1016, -1016, -1016, -1016, -1016,   681, -1016,   144,
   -1016,    23, -1016,   671, -1016, -1016,   444, -1016,   666, -1016,
     821, -1016, -1016, -1016, -1016, -1016, -1016,   597, -1016, -1016,
   -1016, -1016, -1016, -1016, -1016,   737,   791,   793,   796,   797,
     450, -1016,   712,   546,   137, -1016, -1016,   288, -1016,    90,
   -1016,   -10, -1016, -1016,   627,    33,   668,    35, -1016,   798,
     704,   714,    23,   697,   846,   716,   131,   347,   347, -1016,
      71, -1016,   347,   347,   437, -1016, -1016, -1016, -1016, -1016,
   -1016, -1016, -1016, -1016, -1016,   827, -1016,   392, -1016, -1016,
   -1016,   822,   724,   831, -1016, -1016, -1016,   136,   836,   597,
   -1016, -1016, -1016, -1016, -1016, -1016,   837, -1016, -1016,   374,
   -1016,    -1,   439, -1016,   841,   392, -1016,    26, -1016,    25,
   -1016, -1016, -1016,   428,   671, -1016,   386,   459,    23,   392,
   -1016, -1016,   738,   713, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016,   392,   669, -1016, -1016, -1016, -1016,   594,   671,    13,
      13,   715,   842, -1016, -1016,   288,   428,   -42,   459, -1016,
   -1016,    13, -1016, -1016,   296, -1016, -1016, -1016, -1016, -1016,
   -1016,   790,   607, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016, -1016,   376,   747,   384,   671,   690, -1016,   630, -1016,
      23,   820, -1016, -1016, -1016, -1016,   530, -1016, -1016,   392,
   -1016, -1016,    77,   426, -1016,   778, -1016, -1016,   671,   850,
     392, -1016,   459,   392,   727,   459,   742,   671, -1016, -1016,
   -1016, -1016, -1016,   845,   753,   266, -1016, -1016, -1016, -1016,
   -1016, -1016, -1016, -1016, -1016, -1016,   392,   229,   332, -1016,
      23,   597, -1016, -1016,   208,   843,   546, -1016,   718, -1016,
   -1016,    23,   702, -1016,   702, -1016,   137, -1016, -1016, -1016,
     374,   597,   702, -1016,   374,   748,   607, -1016, -1016,   749,
     635,   288,   292,   360,   597, -1016,   666,    76,   183, -1016,
     392, -1016, -1016, -1016,   597,   825,    23,   858, -1016,   707,
   -1016,   647,   820, -1016, -1016,    -5,   705, -1016, -1016, -1016,
     347, -1016,   265, -1016, -1016,   409, -1016, -1016, -1016, -1016,
   -1016, -1016, -1016, -1016,   335,   151,   758, -1016, -1016, -1016,
   -1016, -1016, -1016,   597,   150, -1016, -1016, -1016,   852, -1016,
   -1016,   770, -1016,   696, -1016, -1016, -1016, -1016, -1016, -1016,
      13, -1016, -1016, -1016, -1016,   754,   755,   374,   459,   362,
   -1016, -1016,   459, -1016, -1016, -1016, -1016,   607,   459, -1016,
     449, -1016, -1016,   671,   690,   459, -1016,    23,   705, -1016,
   -1016,    78, -1016, -1016,   717,    23, -1016, -1016,    29,   208,
   -1016, -1016,   854,   828, -1016,   392,   702,   374,   459,   768,
   -1016,   292,   459,   321,    76, -1016,   771, -1016, -1016, -1016,
   -1016,   850, -1016, -1016,   597,   692, -1016, -1016,   266, -1016,
     392,    23, -1016, -1016,   546, -1016, -1016, -1016, -1016,   459,
   -1016,   772, -1016, -1016, -1016, -1016,   751,   705,   335, -1016,
     869, -1016, -1016,   780, -1016,   459,   671,   775, -1016,   774,
      23, -1016, -1016,    23, -1016, -1016, -1016, -1016
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       0,     0,     0,    42,     0,     0,     0,   120,     0,     0,
      54,     0,     0,     0,     0,   297,     0,     0,     0,    40,
      58,     0,   805,     0,     0,     0,   715,   600,   737,     0,
     732,     0,    39,   740,    14,     0,   741,     0,   192,     0,
     305,   739,     0,   786,   803,     0,     0,     0,     0,     0,
       0,     0,   773,   738,   643,   642,     0,    37,   640,     0,
       0,     0,    37,     0,     0,   349,     0,     0,     0,     0,
       0,     0,   296,     0,     0,     0,     0,     0,     0,     0,
      37,     0,     0,     0,     2,   655,    16,    18,    37,    19,
      21,    11,     0,    22,    17,     0,    10,    20,    23,     5,
       0,     0,     6,     0,     7,     0,    45,     8,     0,     0,
     354,   655,     0,   666,   638,   660,   639,   657,     0,     0,
     742,   735,   658,   644,   806,   806,   804,    15,     0,     0,
       0,   161,   483,   121,    38,   242,     0,     0,   602,     0,
       0,     0,   483,     0,     0,     0,    53,   762,   601,   597,
       0,   596,     0,    62,   655,    68,   762,   483,     0,     0,
     224,     0,   148,   130,     0,     0,    56,   775,   774,     0,
      55,    36,   645,   483,     0,     0,    26,     0,   483,     0,
     170,   141,    59,     0,    99,   298,   294,     0,     0,     0,
     315,   337,   313,   336,   348,   342,   338,   321,   347,   316,
     314,   346,   317,   332,   345,   323,   306,   343,   330,   312,
     324,   334,   328,   339,   322,   319,   327,   308,   318,   309,
     341,   329,   311,   333,   310,   335,   344,   320,   331,   326,
     340,   325,   307,    98,     0,   269,     0,    28,     0,     0,
       1,     3,   656,     4,    24,     0,   532,     0,    47,     0,
      66,    65,    12,    64,     0,   736,   296,     0,     0,   351,
     361,   374,    60,     0,   357,   358,     0,   356,   365,   368,
     371,     0,     9,   637,   719,   713,   714,   742,     0,     0,
     734,   733,   731,     0,   744,   685,   807,   790,   808,   791,
     789,     0,     0,   705,     0,    41,    43,    94,   162,   484,
       0,     0,    93,   243,   122,   251,   252,   108,   603,    88,
     281,   280,   104,    91,   120,     0,    90,   263,   458,   457,
      73,   264,     0,    84,   533,   763,   764,   113,     0,     0,
     605,   608,   611,   604,     0,   124,   125,    97,   353,     0,
     111,     0,     0,   286,   288,   106,   114,   213,   212,   216,
     219,   225,   209,     0,   217,    87,   226,   265,   267,     0,
     149,   131,   105,   190,   191,    82,   777,     0,   779,    25,
     641,   257,     0,   254,   253,   259,     0,   239,   222,    89,
       0,   110,   173,   477,   468,   478,   469,   142,   101,   479,
       0,    86,   207,   206,   476,     0,     0,   295,   293,   283,
     282,     0,   112,   109,    85,   231,    75,   271,   118,   119,
     117,    96,     0,   127,    95,   687,   686,    46,     0,    51,
      44,     0,    48,   202,   201,   200,   197,   198,   199,   204,
     203,    83,   193,   196,   298,   350,    57,     0,   373,   370,
     384,   359,     0,   363,   367,     0,     0,   378,    61,   369,
      13,   678,     0,     0,   671,     0,     0,     0,   483,   679,
     668,   667,   670,     0,     0,     0,   600,   663,   659,   664,
     758,   728,   754,   760,     0,   745,   600,   690,     0,   787,
     784,   710,   707,   708,     0,   168,   154,    80,     0,   167,
     163,   483,    63,   123,    92,    69,    70,   550,   553,   551,
     552,   549,   284,   284,   534,   598,   621,     0,     0,   607,
       0,   595,   126,    67,    76,   287,   210,     0,     0,   227,
     268,    74,   266,   154,    79,   150,   151,   137,   143,   132,
     134,   133,   778,     0,     0,   776,   653,   653,   646,   647,
     648,   483,   103,   256,     0,   102,     0,    72,    36,    30,
      32,   241,   240,     0,   237,   236,   223,   235,   483,    81,
     171,   470,   140,     0,   205,   221,   100,     0,   655,   300,
     289,     0,   233,   232,   234,   230,   270,   273,    36,    33,
       0,   129,   128,    77,     0,     0,    49,     0,     0,     0,
     375,     0,   384,   380,   406,   385,   386,   362,     0,   360,
     366,   372,     0,     0,   376,   677,   580,   570,   572,   576,
     573,   574,   575,   577,   578,   571,   669,     0,     0,     0,
       0,     0,     0,   296,   727,     0,     0,     0,     0,   662,
       0,   757,   755,     0,   762,   743,     0,     0,     0,   711,
     799,   801,   792,   793,   796,     0,   795,   800,   788,     0,
     706,   709,    71,     0,   169,   166,   165,     0,   285,   228,
     229,   599,   586,   621,   464,   594,     0,   621,   625,     0,
     629,   610,   609,   606,     0,     0,   215,   218,   214,   156,
       0,   476,   147,   146,    78,   476,     0,   772,   780,   654,
     424,   483,     0,   255,   261,    27,     0,     0,   244,   247,
     116,   714,   480,   474,   208,   299,     0,   301,   290,   276,
     278,   272,    29,     0,    35,    50,    52,   195,   194,   655,
     389,   390,   391,     0,   381,   406,   503,   464,   399,   382,
     384,   387,   364,   379,   378,     0,   674,   672,   673,   675,
     482,   294,     0,     0,   661,   746,   355,     0,     0,   765,
     746,     0,     0,     0,     0,     0,     0,   688,   697,     0,
       0,     0,     0,   785,   155,     0,   483,   621,   465,   631,
       0,     0,   622,   633,   626,   627,   612,   211,     0,   153,
     152,     0,   144,   145,   136,   135,   782,     0,   781,     0,
     425,     0,   258,   483,   260,    31,   239,   245,   249,   248,
       0,   175,   475,   471,   139,   473,   292,   302,   291,   107,
     277,   275,   279,   274,    34,     0,     0,     0,     0,     0,
       0,   392,     0,   407,   426,   486,   497,     0,   485,   500,
     398,   384,   377,   579,   742,     0,   716,     0,   730,     0,
       0,     0,     0,     0,   752,     0,   689,     0,     0,   694,
       0,   699,     0,     0,     0,   700,   703,   704,   701,   702,
     802,   794,   797,   800,   164,     0,   587,     0,   632,   628,
     615,   619,     0,   614,   616,   635,   634,     0,   158,   160,
     138,   783,   651,   649,   650,   652,     0,   238,   250,   537,
     176,   177,     0,   303,     0,     0,   269,     0,   388,     0,
     406,   453,   455,     0,   483,   454,   424,     0,     0,     0,
     437,   456,     0,   408,   409,   413,   415,   414,   481,   412,
     460,     0,   466,   461,   463,   434,   462,   602,   483,   440,
     440,     0,   427,   428,   430,   487,     0,     0,     0,   562,
     490,   440,   488,   496,   563,   510,   515,   512,   511,   506,
     507,     0,     0,   513,   514,   509,   516,   502,   499,   503,
     497,   505,   530,   588,     0,   483,     0,   718,   296,   712,
       0,   750,   747,   665,   759,   761,   758,   766,   756,     0,
     729,   684,     0,     0,   691,   692,   693,   698,   483,   590,
       0,   618,     0,     0,   613,     0,     0,   483,   557,   559,
     554,   246,   538,   555,   556,     0,   178,   174,   479,   394,
     395,   397,   396,   393,   400,   569,     0,   422,   421,   417,
       0,   418,   419,   420,     0,   402,     0,   432,     0,   459,
     433,     0,   442,   441,   442,   383,     0,   498,   492,   494,
     537,   495,   442,   564,   537,     0,   565,   566,   508,     0,
       0,   504,   540,   537,   531,   518,   249,     0,   535,   589,
       0,   683,   681,   682,   680,   746,     0,   721,   724,   720,
     722,   298,   750,   751,   748,   758,   760,   767,   753,   695,
       0,   115,   476,   630,   620,     0,   617,   159,   157,   262,
     558,   560,   180,   181,   182,     0,   472,   416,   423,   450,
     449,   452,   451,   448,   438,   444,   446,   447,     0,   404,
     410,     0,   431,     0,   435,   436,   429,   493,   491,   568,
     440,   567,   517,   501,   521,     0,     0,     0,   530,   537,
     544,   547,     0,   545,   546,   543,   541,   540,   530,   536,
     582,   676,   726,   483,     0,     0,   749,     0,   760,   769,
     768,     0,   591,   636,     0,     0,   186,   184,     0,     0,
     439,   411,     0,   401,   467,     0,   442,   537,   530,     0,
     525,     0,   530,     0,   539,   529,     0,   527,   585,   583,
     584,   590,   725,   723,   717,   758,   770,   696,     0,   183,
       0,     0,   445,   403,   407,   443,   561,   519,   520,   530,
     524,     0,   522,   548,   542,   528,   592,   760,   182,   185,
     172,   187,   189,     0,   526,   530,   483,     0,   771,     0,
       0,   405,   523,     0,   581,   179,   188,   593
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1016, -1016,   823, -1016, -1016, -1016, -1016, -1016,   207, -1016,
     192,  -103,   482, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016, -1016, -1016,  -203, -1016, -1016, -1016, -1016, -1016, -1016,
    -141,  -340,   -31,  -173, -1016,   807, -1016, -1016, -1016,   596,
   -1016, -1016, -1016, -1016, -1016,   227,   226, -1016,  -180, -1016,
   -1016, -1016, -1016, -1016,   232,   393, -1016, -1016,   -86, -1016,
   -1016,   260,    30,  -743, -1016, -1016,   363, -1016, -1016, -1016,
   -1016,  -264,  -285, -1016, -1016,  -295, -1016, -1016, -1016,    38,
   -1016, -1016, -1016, -1016,  -159, -1016,   251, -1016,   410, -1016,
   -1016, -1016, -1016, -1016, -1016, -1016,   132, -1016, -1016,   233,
   -1016,  -127,  -225, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016, -1016,    39, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
     431, -1016, -1016, -1016, -1016,  -254,   195,    11,  -428, -1016,
   -1016, -1016, -1016,    42,   187, -1016, -1016, -1016, -1016,   673,
   -1016, -1016, -1016,  -102,   -57,   493, -1016,  -347,   494, -1016,
    -371,   205,   213,  -559, -1016, -1016,   349, -1016, -1016,    43,
   -1016, -1016, -1016, -1016,  -675,  -249, -1016,   -80, -1016,    41,
   -1016, -1016,   -83, -1016, -1016,  -893,  -983, -1016,  -209, -1016,
   -1016, -1016,  -140, -1016,   230, -1016,    59, -1016, -1016, -1016,
   -1016, -1016,   -54, -1016,   683,  -139, -1016, -1016, -1016, -1016,
     128,     0, -1016, -1016, -1016,     4, -1016,    14,  -536,   -85,
   -1016, -1016,  -973,  -769, -1016, -1016,  -216,  -299,  -921, -1016,
   -1016, -1016, -1016, -1016, -1016,   -82, -1016,  -443,  -451, -1016,
   -1016,   371,   139, -1016,  -213, -1016, -1016, -1016, -1016, -1016,
    -364,    44,  -598,   462, -1016, -1016, -1016, -1016, -1016,   -24,
   -1016, -1016, -1016, -1016,   310,  -599, -1016, -1016, -1016, -1016,
     202, -1016, -1016, -1016, -1016, -1016, -1016, -1016,   438,   -98,
   -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016,  -105, -1016,  -448, -1016, -1016, -1016,  -711,   122,   -79,
   -1016,   495,  -447, -1016, -1016,  -261, -1016, -1016, -1016, -1016,
   -1016, -1016,  -166,  -719, -1016, -1016, -1016, -1016, -1016, -1016,
    -265, -1016,  -718, -1016,   -93, -1016, -1016,   510, -1016,  -941,
   -1015,  -135, -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016,
   -1016, -1016, -1016, -1016, -1016, -1016, -1016, -1016,   221, -1016,
   -1016,   222,   231, -1016,   853,   861
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    83,    84,    85,    86,   376,   412,   548,   549,   578,
     579,   369,   171,    87,    88,    89,    90,   129,   295,    91,
      92,   247,   248,   417,    93,    94,    95,    96,    97,    98,
     261,   447,   293,   300,    99,   252,   100,   394,   411,   134,
     494,   337,   583,   361,   528,   529,   530,   681,   531,   388,
     684,   360,   524,   525,   526,   654,   779,   996,   878,   298,
     487,   488,   489,   490,   382,   559,   560,  1095,   800,   891,
    1007,  1094,  1154,  1158,  1210,  1211,   365,   101,   431,   432,
     433,   391,   392,   563,   351,   675,   352,   353,   354,   564,
     557,   355,   323,   404,   575,   379,   554,   302,   697,   698,
     798,   889,   307,   373,   545,   371,   542,   547,   794,   320,
     358,   521,   406,   407,   576,   711,   811,   813,   312,   401,
     659,   345,   571,   809,   102,   185,   398,   186,   396,   568,
     104,   105,   233,  1054,   107,   108,   109,   263,   264,   265,
     266,   599,   442,   267,   445,   268,   440,   269,   270,   438,
     449,   604,   592,   593,   594,   595,   596,   723,   820,   821,
     726,   727,  1109,  1163,   728,   912,   913,   914,  1019,   789,
     931,   932,   933,  1024,  1161,  1032,  1114,  1104,  1105,  1106,
    1107,   915,  1033,   934,   769,  1029,   389,   703,   803,   892,
     804,   390,   561,   917,   918,   301,   824,   825,   826,   827,
    1037,   935,   828,   958,   959,   829,   960,   961,  1055,   962,
     503,  1138,  1001,  1056,  1057,  1174,  1136,   502,  1002,  1003,
    1004,   943,   944,  1045,  1046,  1047,   919,   639,   617,   729,
    1181,   663,   867,  1060,  1083,  1217,   110,   149,   150,   329,
     151,   309,   332,   333,   509,   511,   877,   872,   873,   874,
     991,   664,   665,   666,   667,   668,   669,   670,   869,   772,
     773,   111,   172,   370,   538,   539,   883,   540,   690,   243,
     112,   113,   278,   468,   469,   629,   273,   461,   462,   623,
    1065,   624,   477,   418,   637,   845,   638,   757,   860,   758,
     650,   482,   759,   114,   464,   115,   969,   116,   463,   967,
    1069,  1067,  1068,   625,   117,   118,   119,   282,   120,   121,
     284,   476,   838,   972,  1074,   980,   471,   472,   473,   631,
     634,   327,   843,   977,  1077,  1149,   122,   169,   367,   368,
     535,   687,   123,   124,   649,   289,   479,   642,   643,   644,
     645,   646,   647,   125,   126,   290
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     154,   387,   434,   315,   321,   380,   589,   249,   620,   405,
     616,   103,   466,   271,   414,   465,   339,   281,   341,   288,
     288,   340,   864,   835,   393,   504,   532,   640,   366,   550,
     745,   641,   844,   724,   372,  1076,   577,  1034,   750,   709,
     846,  1058,   106,   849,   850,   317,   422,   167,  1042,   294,
     823,  1115,   816,   399,   318,   965,   338,   363,  1190,  1118,
     324,  1150,   408,   292,   409,   580,   146,  1117,   774,   685,
     970,  1119,   318,   250,   446,   292,   359,   581,   262,   852,
    1128,   342,   591,   630,   246,   852,   852,  1005,   262,  1130,
     245,   555,   310,   166,   103,   374,   375,   536,   170,   507,
     246,   587,   628,   602,   325,   305,    65,   306,   945,   603,
     314,   182,   636,  1131,   322,   280,   946,   588,  1039,   331,
     796,   508,   311,  1147,   582,   106,   485,   251,   866,   350,
     556,  1126,   153,  1186,  1148,   817,   982,   983,   262,   852,
     947,   985,   986,   920,   153,   572,   378,   330,   258,   921,
     386,  1132,   350,   948,   153,   343,  1172,  1133,   922,  -166,
     882,  1134,  1156,   421,   443,   661,   419,   565,   774,   853,
     419,   296,   949,   950,   951,   853,   853,   303,   952,  1159,
     923,   924,   410,  1196,   292,   748,   880,   505,   925,   326,
     926,   344,  1218,   537,  1197,   347,  -540,   168,   326,   348,
     470,   346,   356,   400,   319,   246,  1169,   413,  1191,   714,
     953,   710,   364,   153,   566,   966,   246,   984,   586,   818,
    -540,   381,   319,  1079,  1187,  1014,   954,  1166,   819,   853,
     497,   733,   662,  -623,  1135,   262,   496,   955,   448,   573,
     574,   436,   790,  1099,  1207,   153,   257,  1070,  1100,   662,
    1201,   274,   474,   153,   498,   805,  -173,   153,  -540,   127,
     153,   927,   514,   734,  -540,   349,   257,   486,  -540,  -687,
     492,  1137,   724,  1101,   153,   485,   128,  1160,   415,   994,
     299,   133,   956,  1125,   662,  -624,  1092,    65,   347,  1139,
     957,   415,   348,   543,   130,   619,   590,   262,   499,   928,
     929,   383,   500,   512,   275,   517,   276,  -489,   513,   383,
     640,   640,   866,   930,   641,   641,   285,   415,   657,   622,
    -489,   153,   292,   770,  -489,  -173,  -623,   998,   522,   523,
     386,   131,   286,   480,    65,   448,   802,   518,  -687,   584,
     936,  -540,   419,   277,   383,   262,  -489,  1141,   788,   550,
     752,   753,  1157,   937,  -483,   754,  1102,   938,   349,   626,
    1093,   527,   606,   386,   567,   384,   580,   153,  1176,  1151,
     415,   416,  -686,   384,   153,   501,   448,    65,  -624,   939,
     383,   262,   153,   591,   416,   700,   377,   292,  -476,  -540,
    -489,   153,   470,   688,  -352,   998,   527,   998,   519,   385,
     799,   153,   692,  1043,   704,   652,   262,   385,   384,   998,
     416,   998,   334,  -540,   262,   262,    65,   153,   246,   260,
     999,  1017,   246,   940,  -476,  1183,   607,   608,   609,   610,
     611,   612,   613,  -489,   852,   755,   614,   335,   569,   336,
     801,  -686,   385,   606,   384,   695,   132,  1209,  1127,   257,
    1171,  -540,   153,   153,   686,  1080,   153,  -540,   790,  1203,
    1015,  -540,  1061,   416,  1052,   693,   941,   694,   699,   153,
     706,   153,   676,   615,   448,   712,   671,   672,   385,   331,
    1062,   153,   135,   153,   768,   153,   350,   678,   999,   720,
     999,   696,  1063,  1038,   605,   305,   732,   306,   510,   749,
     721,   153,   999,   262,   999,   785,   716,   607,   608,   609,
     610,   611,   612,   613,  1018,   285,   855,   614,   856,  -220,
     857,   713,   858,   551,   853,   552,   756,   136,  1178,   837,
    1179,   286,   350,   722,  -540,   257,   257,   257,   357,   384,
     708,   153,   137,   740,   176,    65,   246,   768,   153,   448,
     597,  1053,   791,    65,   615,   451,   452,  1180,   246,   287,
     453,   138,   237,   859,   242,   875,  1153,   262,   598,   964,
     244,   448,   448,  -220,   153,   454,    27,   139,   901,   682,
     683,   662,   725,   140,   902,    31,   455,   318,   737,   738,
     739,   870,  1170,   865,   551,   141,   552,   331,   903,   898,
     142,   143,  1177,   553,   456,   331,   904,   899,   787,   905,
    1075,   707,   699,   792,   906,   907,   457,   423,   630,   144,
     886,   815,   764,   908,   458,   717,   718,   145,    65,   147,
     148,   719,  1198,   386,   741,   152,  1202,   155,   836,   156,
     157,   158,   159,  1145,   350,   160,  1155,   161,   459,   523,
     386,   162,   163,   945,   386,   164,   165,   448,   173,   424,
     736,   946,   458,  1214,   174,   262,   425,   175,   177,   841,
     178,   426,  1012,   179,   180,   181,   326,   851,   183,  1222,
     427,   184,   262,   916,   428,   947,   187,    15,   188,   189,
     429,   763,   234,   235,   236,   238,   386,   239,   948,   242,
     254,   256,   279,    22,   833,   255,   299,   909,   771,   430,
     884,   259,   885,   272,  1071,   283,   840,   949,   950,   951,
     304,   308,   313,   952,   316,   257,   328,   362,   397,   402,
     403,   420,   435,   246,   486,   395,   437,   319,   439,   871,
     260,   444,   450,    26,   467,   478,   910,   911,   475,   807,
     484,   483,   491,   506,   493,   953,   510,   533,   971,   481,
    1155,   246,  1123,   976,   541,  1016,   516,   520,   515,   544,
     546,   954,   558,   534,   570,   562,   591,   585,   285,   627,
     630,   633,   955,   618,   621,   653,   655,   656,   648,  1031,
     674,   680,   685,   446,   658,   635,   689,   715,   702,   735,
     705,   742,   743,   744,   747,   746,   751,   760,   761,   485,
     766,   662,   775,   776,   771,  1081,   783,   762,  -798,   786,
     879,   778,   782,   793,  1089,   806,  1066,   956,   812,  1022,
     822,   602,   854,   847,   848,   868,   989,   842,   881,   890,
     893,   888,   808,   894,   973,   895,   331,   810,   896,   897,
     974,   900,  1040,   975,   978,   979,   988,   990,  1000,  1044,
     993,   386,   981,   992,  1010,   995,   997,  1009,   968,  1028,
    1026,  1036,  1035,  1048,  1059,  1073,   853,  1025,  1023,  1082,
    1090,  1091,  1111,  1108,  1113,   837,   916,  1143,  1088,  1144,
    1027,  1072,  1162,  1165,  1193,  1122,  1120,  1164,  1220,  1188,
    1167,  1168,  1152,   795,  1194,   814,   241,   253,   781,  1087,
     495,   784,   780,  1216,  1199,   765,   679,  1205,  1215,  1221,
    1225,  1006,   701,  1219,  1208,  1226,   777,   677,   887,  1129,
     797,  1000,  1224,   839,   660,  1011,   834,   441,   600,   832,
     601,  1098,  1013,   831,   731,  1213,  1110,  1020,  1078,  1021,
    1192,  1008,  1112,  1116,  1096,   942,   460,   830,  1204,  1084,
    1051,  1044,   871,  1050,  1121,   730,  1049,  1124,  1206,  1086,
     963,  1030,   673,   767,   876,   691,   987,  1182,   651,  1146,
    1041,   632,   861,   297,   862,  1097,   291,  1142,     0,     0,
       0,     0,     0,   863,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,  1064,     0,     0,  1000,
       0,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,  1000,  1000,     0,     0,     0,     0,     0,     0,  1140,
       0,     0,     0,     0,  1085,     0,     0,   879,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   386,  1175,     0,   916,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   486,     0,  1103,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,  1189,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,  1200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1000,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1195,     0,  1000,     0,     0,     0,
    1000,  1212,     0,     0,  1227,     0,   240,     1,     0,     0,
       0,     2,     0,     3,     0,     0,     4,     0,     0,   486,
       0,     0,     0,     5,  -714,     6,     7,     0,     0,     0,
       0,     8,     0,     9,  1173,     0,     0,    10,    11,  -714,
       0,     0,     0,     0,     0,    12,     0,  1184,     0,     0,
       0,     0,     0,     0,     0,    13,     0,     0,     0,     0,
       0,  1103,    14,    15,     0,    16,    17,  -296,    18,     0,
      19,     0,    20,     0,     0,     0,    21,    22,    23,    24,
      25,     0,  -355,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -714,    26,  -714,     0,    27,    28,     0,    29,
       0,    30,     0,     0,     0,    31,     0,    32,    33,    34,
       0,     0,     0,     0,     0,  -355,    35,    36,    37,    38,
       0,     0,    39,     0,     0,  -304,    40,    41,     0,    42,
       0,  -714,     0,     0,     0,    43,    44,    45,     0,    46,
       0,     0,    47,    48,     0,     0,     0,     0,    49,    50,
      51,    52,     0,     0,    53,     0,    54,    55,    56,    57,
      58,    59,    60,     0,     0,    61,     0,     0,     0,     0,
      62,    63,     0,     0,    64,    65,    66,    67,    68,    69,
       0,     0,     0,     0,     0,    70,    71,    72,     0,    73,
       0,     0,    74,     0,    75,     0,    76,     0,    77,     0,
      78,     1,    79,    80,    81,     2,     0,     3,     0,    82,
       4,     0,     0,     0,     0,     0,     0,     5,  -714,     6,
       7,     0,     0,     0,     0,     8,     0,     9,     0,     0,
       0,    10,    11,  -714,     0,     0,     0,     0,     0,    12,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    13,
       0,     0,     0,     0,     0,     0,    14,    15,     0,    16,
      17,  -296,    18,     0,    19,     0,    20,     0,     0,     0,
      21,    22,    23,    24,    25,     0,  -355,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -714,    26,  -714,     0,
      27,    28,     0,    29,     0,    30,     0,     0,     0,    31,
       0,    32,    33,    34,     0,     0,     0,     0,     0,  -355,
      35,    36,    37,    38,     0,     0,    39,     0,     0,  -304,
      40,    41,     0,    42,     0,  -714,     0,     0,     0,    43,
      44,    45,     0,    46,     0,     0,    47,    48,     0,     0,
       0,     0,    49,    50,    51,    52,     0,     0,    53,     0,
      54,    55,    56,    57,    58,    59,    60,     0,     0,    61,
       0,     0,     0,     0,    62,    63,     0,     0,    64,    65,
      66,    67,    68,    69,     0,     0,     0,     0,     0,    70,
      71,    72,     0,    73,     0,     0,    74,     0,    75,     0,
      76,     0,    77,     0,    78,   190,    79,    80,    81,     0,
     191,     0,     0,    82,     0,     0,     0,   192,     0,     0,
       0,     0,     0,     0,     0,   193,     0,   194,     0,     0,
       0,     0,   195,     0,     0,     0,     0,     0,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
       0,     0,     0,     0,     0,     0,   198,     0,     0,   199,
     200,     0,   201,     0,     0,     0,     0,     0,     0,     0,
     202,     0,   203,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   205,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     206,     0,   207,   208,     0,     0,   209,     0,     0,     0,
       0,     0,     0,   210,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,     0,   212,   213,     0,     0,
       0,     0,   214,   215,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   216,   217,     0,     0,   218,
       0,     0,     0,     0,     0,   219,     0,     0,     0,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,   223,
     224,     0,     0,   225,     0,     0,   226,     0,   227,     0,
       0,     0,   228,     0,   229,     0,   230,     0,   231,     0,
       0,     0,     0,   232
};

static const yytype_int16 yycheck[] =
{
      31,   181,   256,   142,   144,   178,   434,    92,   456,   234,
     453,     0,   277,   111,   239,   276,   155,   119,   157,   124,
     125,   156,   765,   742,   183,   324,   366,   478,   169,   376,
     628,   478,   750,   592,   173,   976,   407,   930,   636,    23,
     751,   962,     0,   754,   755,    14,   249,    41,   941,   128,
     725,  1034,    27,    41,    41,    22,   154,    11,    29,  1042,
     145,  1076,    79,    40,    81,   412,    24,  1040,   667,    29,
      35,  1044,    41,   103,    29,    40,   161,    79,   109,     8,
    1053,    12,    92,    88,   126,     8,     8,    88,   119,    13,
      11,    42,    20,    51,    83,   174,   175,    60,    56,    13,
     126,    13,   466,    29,   167,    79,   169,    81,    18,    35,
     141,    69,   476,    37,   145,    11,    26,    29,   160,   150,
     146,    35,    50,   128,   126,    83,   127,   157,   138,   160,
      81,  1052,   109,  1148,  1075,   110,   847,   848,   169,     8,
      50,   852,   853,     6,   109,    11,   177,    11,   106,    12,
     181,    75,   183,    63,   109,    86,  1129,    81,    21,    11,
      16,    85,    11,   248,   266,   505,   245,   392,   767,    98,
     249,   129,    82,    83,    84,    98,    98,   135,    88,    29,
      43,    44,   199,  1166,    40,   633,   146,   328,    51,   147,
      53,   122,  1207,   156,  1167,    30,    13,   191,   156,    34,
     279,   159,   160,   191,   191,   126,  1127,   238,   179,   580,
     120,   195,   166,   109,   394,   182,   126,   146,   421,   194,
      37,   179,   191,   146,   146,   900,   136,  1120,   203,    98,
      13,   602,    75,    76,   158,   266,   315,   147,   269,   105,
     106,   103,   690,    35,  1185,   109,   128,   966,    40,    75,
    1171,    33,   283,   109,    37,   703,    18,   109,    75,   103,
     109,   124,   341,   603,    81,   100,   128,   298,    85,    40,
     301,    88,   831,    65,   109,   127,    52,   127,    35,   877,
      35,   117,   192,  1052,    75,    76,    20,   169,    30,  1058,
     200,    35,    34,   372,    52,    52,   437,   328,    81,   162,
     163,    36,    85,   334,    86,   128,    88,    52,   339,    36,
     761,   762,   138,   176,   761,   762,    88,    35,   491,   458,
      65,   109,    40,    76,    69,    87,   169,    35,   359,   360,
     361,    52,   104,   291,   169,   366,    80,   160,   109,   418,
      52,   158,   421,   125,    36,   376,    91,  1065,   688,   696,
       3,     4,  1095,    65,   109,     8,   148,    69,   100,   464,
      94,    88,    15,   394,   395,   100,   713,   109,  1137,  1080,
      35,   128,    40,   100,   109,   158,   407,   169,   169,    91,
      36,   412,   109,    92,   128,   558,   174,    40,    80,    13,
     135,   109,   471,   534,   103,    35,    88,    35,   356,   134,
     699,   109,   541,   107,   563,   484,   437,   134,   100,    35,
     128,    35,    54,    37,   445,   446,   169,   109,   126,    76,
     128,    35,   126,   135,    80,  1144,    79,    80,    81,    82,
      83,    84,    85,   178,     8,    88,    89,    79,   396,    81,
     701,   109,   134,    15,   100,   548,    52,  1190,    88,   128,
      88,    75,   109,   109,   533,    29,   109,    81,   906,   138,
     903,    85,    78,   128,    88,   544,   178,   546,   553,   109,
     568,   109,   100,   126,   505,   578,   507,   508,   134,   510,
      96,   109,    52,   109,   664,   109,   517,   518,   128,   153,
     128,   548,   108,   936,   452,    79,   598,    81,    29,   634,
     164,   109,   128,   534,   128,   685,   585,    79,    80,    81,
      82,    83,    84,    85,   128,    88,    79,    89,    81,   103,
      83,   578,    85,    79,    98,    81,   179,    52,    79,    60,
      81,   104,   563,   197,   158,   128,   128,   128,   118,   100,
     571,   109,    52,   622,    62,   169,   126,   727,   109,   580,
     139,   175,   691,   169,   126,    47,    48,   108,   126,   132,
      52,    52,    80,   126,   157,   157,   157,   598,   157,   834,
      88,   602,   603,   157,   109,    67,    90,    52,    32,    82,
      83,    75,    76,    52,    38,    99,    78,    41,   619,   620,
     621,   126,  1128,   766,    79,    52,    81,   628,    52,   149,
      52,    52,  1138,    88,    96,   636,    60,   157,   687,    63,
      80,   569,   697,   692,    68,    69,   108,    48,    88,    52,
     793,   719,   653,    77,   116,   587,   588,    52,   169,    52,
     127,   589,  1168,   664,   623,    52,  1172,    52,   743,    52,
      52,    52,    52,  1071,   675,    52,  1094,    52,   140,   680,
     681,    52,    52,    18,   685,    52,    52,   688,    52,    90,
     618,    26,   116,  1199,    52,   696,    97,    52,    52,   748,
      52,   102,   897,    52,    52,    52,   634,   756,    52,  1215,
     111,    52,   713,   823,   115,    50,    52,    57,    52,    52,
     121,   649,    52,    52,    52,    52,   727,    52,    63,   157,
      52,   119,    28,    71,   735,    61,    35,   161,   666,   140,
     789,   103,   791,   103,   968,    88,   747,    82,    83,    84,
      26,   127,    57,    88,    61,   128,   193,   141,    61,   185,
     189,   103,   169,   126,   765,    88,    35,   191,    28,   770,
      76,    13,   103,    87,    18,   200,   200,   201,    97,   707,
      29,    40,    29,    28,    79,   120,    29,    28,   837,   109,
    1208,   126,   127,   842,    29,   904,   128,   114,   122,    29,
      29,   136,    29,   182,   202,    80,    92,   160,    88,    18,
      88,    76,   147,    52,    52,    35,    29,    11,    58,   928,
     157,    29,    29,    29,   202,   146,    52,    24,    40,    40,
     146,   182,   182,   146,    35,    45,    29,    40,    29,   127,
      29,    75,   157,   127,   772,   988,    82,    52,    52,   157,
     778,    88,    83,    29,   997,   103,   965,   192,    23,   908,
      35,    29,    40,    88,    88,    83,   867,   177,   157,    18,
     103,   175,   184,    52,    46,    52,   877,   195,    52,    52,
     146,   139,   937,   139,   157,     9,    29,    35,   889,   944,
      29,   892,   146,   139,   895,    29,    29,    26,   200,   200,
     157,    29,   157,    83,   127,    55,    98,   139,   909,    29,
      35,   128,   164,    40,   182,    60,  1026,    29,   146,   182,
     921,   970,    40,   197,    40,   146,   148,   127,    29,   182,
     146,   146,  1082,   696,    76,   713,    83,   100,   681,   995,
     314,   685,   680,   162,   146,   655,   523,   146,   146,   139,
     146,   891,   559,  1208,  1188,  1220,   675,   517,   796,  1056,
     697,   962,   157,   746,   503,   896,   741,   264,   445,   734,
     446,  1020,   899,   730,   595,  1194,  1026,   906,   979,   907,
    1159,   892,  1031,  1036,  1008,   827,   273,   727,  1174,   990,
     960,  1046,   993,   959,  1046,   594,   952,  1052,  1181,   993,
     831,   927,   510,   663,   772,   537,   854,  1143,   483,  1072,
     938,   471,   761,   130,   762,  1016,   125,  1066,    -1,    -1,
      -1,    -1,    -1,   762,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1143,    -1,   964,    -1,    -1,  1040,
      -1,    -1,    -1,  1044,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1052,  1053,    -1,    -1,    -1,    -1,    -1,    -1,  1060,
      -1,    -1,    -1,    -1,   992,    -1,    -1,   995,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1082,  1137,    -1,  1194,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1095,    -1,  1024,    -1,  1147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1155,  1216,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1127,    -1,  1129,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1165,    -1,  1167,    -1,    -1,    -1,
    1171,  1220,    -1,    -1,  1223,    -1,     0,     1,    -1,    -1,
      -1,     5,    -1,     7,    -1,    -1,    10,    -1,    -1,  1190,
      -1,    -1,    -1,    17,    18,    19,    20,    -1,    -1,    -1,
      -1,    25,    -1,    27,  1132,    -1,    -1,    31,    32,    33,
      -1,    -1,    -1,    -1,    -1,    39,    -1,  1145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    49,    -1,    -1,    -1,    -1,
      -1,  1159,    56,    57,    -1,    59,    60,    61,    62,    -1,
      64,    -1,    66,    -1,    -1,    -1,    70,    71,    72,    73,
      74,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    86,    87,    88,    -1,    90,    91,    -1,    93,
      -1,    95,    -1,    -1,    -1,    99,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
      -1,    -1,   116,    -1,    -1,   119,   120,   121,    -1,   123,
      -1,   125,    -1,    -1,    -1,   129,   130,   131,    -1,   133,
      -1,    -1,   136,   137,    -1,    -1,    -1,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,    -1,    -1,   159,    -1,    -1,    -1,    -1,
     164,   165,    -1,    -1,   168,   169,   170,   171,   172,   173,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,    -1,   183,
      -1,    -1,   186,    -1,   188,    -1,   190,    -1,   192,    -1,
     194,     1,   196,   197,   198,     5,    -1,     7,    -1,   203,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    -1,    -1,    -1,    -1,    25,    -1,    27,    -1,    -1,
      -1,    31,    32,    33,    -1,    -1,    -1,    -1,    -1,    39,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,
      -1,    -1,    -1,    -1,    -1,    -1,    56,    57,    -1,    59,
      60,    61,    62,    -1,    64,    -1,    66,    -1,    -1,    -1,
      70,    71,    72,    73,    74,    -1,    76,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    86,    87,    88,    -1,
      90,    91,    -1,    93,    -1,    95,    -1,    -1,    -1,    99,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,    -1,    -1,   116,    -1,    -1,   119,
     120,   121,    -1,   123,    -1,   125,    -1,    -1,    -1,   129,
     130,   131,    -1,   133,    -1,    -1,   136,   137,    -1,    -1,
      -1,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,    -1,    -1,   159,
      -1,    -1,    -1,    -1,   164,   165,    -1,    -1,   168,   169,
     170,   171,   172,   173,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,    -1,   183,    -1,    -1,   186,    -1,   188,    -1,
     190,    -1,   192,    -1,   194,     5,   196,   197,   198,    -1,
      10,    -1,    -1,   203,    -1,    -1,    -1,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    27,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,
      -1,    -1,    -1,    -1,    -1,    -1,    56,    -1,    -1,    59,
      60,    -1,    62,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      70,    -1,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,    -1,   112,   113,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   131,    -1,    -1,    -1,    -1,   136,   137,    -1,    -1,
      -1,    -1,   142,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   155,   156,    -1,    -1,   159,
      -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,    -1,    -1,   183,    -1,    -1,   186,    -1,   188,    -1,
      -1,    -1,   192,    -1,   194,    -1,   196,    -1,   198,    -1,
      -1,    -1,    -1,   203
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     1,     5,     7,    10,    17,    19,    20,    25,    27,
      31,    32,    39,    49,    56,    57,    59,    60,    62,    64,
      66,    70,    71,    72,    73,    74,    87,    90,    91,    93,
      95,    99,   101,   102,   103,   110,   111,   112,   113,   116,
     120,   121,   123,   129,   130,   131,   133,   136,   137,   142,
     143,   144,   145,   148,   150,   151,   152,   153,   154,   155,
     156,   159,   164,   165,   168,   169,   170,   171,   172,   173,
     179,   180,   181,   183,   186,   188,   190,   192,   194,   196,
     197,   198,   203,   205,   206,   207,   208,   217,   218,   219,
     220,   223,   224,   228,   229,   230,   231,   232,   233,   238,
     240,   281,   328,   331,   334,   335,   337,   338,   339,   340,
     440,   465,   474,   475,   497,   499,   501,   508,   509,   510,
     512,   513,   530,   536,   537,   547,   548,   103,    52,   221,
      52,    52,    52,   117,   243,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,   337,    52,   127,   441,
     442,   444,    52,   109,   236,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,   337,    41,   191,   531,
     337,   216,   466,    52,    52,    52,   216,    52,    52,    52,
      52,    52,   337,    52,    52,   329,   331,    52,    52,    52,
       5,    10,    17,    25,    27,    32,    39,    49,    56,    59,
      60,    62,    70,    72,    74,    93,   110,   112,   113,   116,
     123,   131,   136,   137,   142,   143,   155,   156,   159,   165,
     170,   171,   172,   179,   180,   183,   186,   188,   192,   194,
     196,   198,   203,   336,    52,    52,    52,   216,    52,    52,
       0,   206,   157,   473,   216,    11,   126,   225,   226,   413,
     103,   157,   239,   239,    52,    61,   119,   128,   337,   103,
      76,   234,   236,   341,   342,   343,   344,   347,   349,   351,
     352,   473,   103,   480,    33,    86,    88,   125,   476,    28,
      11,   347,   511,    88,   514,    88,   104,   132,   485,   539,
     549,   549,    40,   236,   493,   222,   337,   548,   263,    35,
     237,   399,   301,   337,    26,    79,    81,   306,   127,   445,
      20,    50,   322,    57,   236,   399,    61,    14,    41,   191,
     313,   386,   236,   296,   413,   167,   337,   525,   193,   443,
      11,   236,   446,   447,    54,    79,    81,   245,   473,   399,
     525,   399,    12,    86,   122,   325,   337,    30,    34,   100,
     236,   288,   290,   291,   292,   295,   337,   118,   314,   413,
     255,   247,   141,    11,   166,   280,   234,   532,   533,   215,
     467,   309,   399,   307,   493,   493,   209,   174,   236,   299,
     237,   337,   268,    36,   100,   134,   236,   252,   253,   390,
     395,   285,   286,   288,   241,    88,   332,    61,   330,    41,
     191,   323,   185,   189,   297,   306,   316,   317,    79,    81,
     199,   242,   210,   236,   306,    35,   128,   227,   487,   493,
     103,   413,   227,    48,    90,    97,   102,   111,   115,   121,
     140,   282,   283,   284,   329,   169,   103,    35,   353,    28,
     350,   343,   346,   347,    13,   348,    29,   235,   236,   354,
     103,    47,    48,    52,    67,    78,    96,   108,   116,   140,
     398,   481,   482,   502,   498,   499,   514,    18,   477,   478,
     493,   520,   521,   522,   236,    97,   515,   486,   200,   540,
     337,   109,   495,    40,    29,   127,   236,   264,   265,   266,
     267,    29,   236,    79,   244,   243,   493,    13,    37,    81,
      85,   158,   421,   414,   421,   234,    28,    13,    35,   448,
      29,   449,   236,   236,   493,   122,   128,   128,   160,   337,
     114,   315,   236,   236,   256,   257,   258,    88,   248,   249,
     250,   252,   235,    28,   182,   534,    60,   156,   468,   469,
     471,    29,   310,   493,    29,   308,    29,   311,   211,   212,
     351,    79,    81,    88,   300,    42,    81,   294,    29,   269,
     270,   396,    80,   287,   293,   306,   252,   236,   333,   337,
     202,   326,    11,   105,   106,   298,   318,   354,   213,   214,
     351,    79,   126,   246,   493,   160,   227,    13,    29,   332,
     234,    92,   356,   357,   358,   359,   360,   139,   157,   345,
     349,   352,    29,    35,   355,   337,    15,    79,    80,    81,
      82,    83,    84,    85,    89,   126,   431,   432,    52,    52,
     487,    52,   399,   483,   485,   507,   485,    18,   444,   479,
      88,   523,   521,    76,   524,   146,   444,   488,   490,   431,
     432,   496,   541,   542,   543,   544,   545,   546,    58,   538,
     494,   495,   493,    35,   259,    29,    11,   237,   202,   324,
     324,   235,    75,   435,   455,   456,   457,   458,   459,   460,
     461,   236,   236,   447,   157,   289,   100,   292,   236,   259,
      29,   251,    82,    83,   254,    29,   493,   535,   234,    52,
     472,   472,   399,   493,   493,   215,   348,   302,   303,   413,
     237,   270,    40,   391,   288,   146,   473,   337,   236,    23,
     195,   319,   215,   348,   354,    24,   493,   283,   283,   337,
     153,   164,   197,   361,   357,    76,   364,   365,   368,   433,
     435,   360,   347,   354,   235,    40,   337,   236,   236,   236,
     493,   331,   182,   182,   146,   446,    45,    35,   487,   525,
     446,    29,     3,     4,     8,    88,   179,   491,   493,   496,
      40,    29,    52,   337,   236,   265,    29,   458,   252,   388,
      76,   337,   463,   464,   459,   157,   127,   290,    88,   260,
     258,   249,    83,    82,   250,   252,   157,   493,   235,   373,
     487,   399,   493,    29,   312,   212,   146,   303,   304,   421,
     272,   499,    80,   392,   394,   487,   103,   337,   184,   327,
     195,   320,    23,   321,   214,   473,    27,   110,   194,   203,
     362,   363,    35,   368,   400,   401,   402,   403,   406,   409,
     388,   356,   355,   236,   330,   507,   485,    60,   516,   338,
     236,   493,   177,   526,   516,   489,   491,    88,    88,   491,
     491,   493,     8,    98,    40,    79,    81,    83,    85,   126,
     492,   542,   545,   546,   267,   237,   138,   436,    83,   462,
     126,   236,   451,   452,   453,   157,   464,   450,   262,   337,
     146,   157,    16,   470,   493,   493,   237,   300,   175,   305,
      18,   273,   393,   103,    52,    52,    52,    52,   149,   157,
     139,    32,    38,    52,    60,    63,    68,    69,    77,   161,
     200,   201,   369,   370,   371,   385,   386,   397,   398,   430,
       6,    12,    21,    43,    44,    51,    53,   124,   162,   163,
     176,   374,   375,   376,   387,   405,    52,    65,    69,    91,
     135,   178,   404,   425,   426,    18,    26,    50,    63,    82,
      83,    84,    88,   120,   136,   147,   192,   200,   407,   408,
     410,   411,   413,   436,   514,    22,   182,   503,   200,   500,
      35,   493,   517,    46,   146,   139,   493,   527,   157,     9,
     519,   146,   491,   491,   146,   491,   491,   492,    29,   236,
      35,   454,   139,    29,   446,    29,   261,    29,    35,   128,
     236,   416,   422,   423,   424,    88,   266,   274,   390,    26,
     236,   316,   306,   363,   368,   431,   399,    35,   128,   372,
     373,   337,   493,   236,   377,   139,   157,   236,   200,   389,
     445,   399,   379,   386,   379,   157,    29,   404,   431,   160,
     413,   337,   379,   107,   413,   427,   428,   429,    83,   411,
     409,   405,    88,   175,   337,   412,   417,   418,   422,   127,
     437,    78,    96,   108,   337,   484,   399,   505,   506,   504,
     507,   329,   493,    55,   518,    80,   523,   528,   236,   146,
      29,   237,    29,   438,   236,   337,   453,   262,   146,   237,
      35,   128,    20,    94,   275,   271,   396,   236,   493,    35,
      40,    65,   148,   337,   381,   382,   383,   384,    40,   366,
     371,   164,   493,   182,   380,   380,   376,   416,   380,   416,
     148,   429,   146,   127,   413,   417,   422,    88,   416,   305,
      13,    37,    75,    81,    85,   158,   420,    88,   415,   417,
     236,   516,   493,    29,   182,   332,   518,   128,   523,   529,
     524,   491,   252,   157,   276,   487,    11,   267,   277,    29,
     127,   378,    40,   367,   127,   197,   379,   146,   146,   422,
     412,    88,   416,   337,   419,   413,   417,   412,    79,    81,
     108,   434,   506,   507,   337,   493,   524,   146,   182,   493,
      29,   179,   382,    40,    76,   236,   380,   416,   412,   146,
     413,   422,   412,   138,   420,   146,   438,   523,   275,   267,
     278,   279,   493,   369,   412,   146,   162,   439,   524,   276,
      29,   139,   412,   399,   157,   146,   279,   493
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   204,   205,   205,   206,   206,   206,   206,   206,   206,
     206,   206,   206,   206,   206,   206,   207,   207,   207,   207,
     207,   207,   207,   207,   207,   208,   209,   208,   210,   208,
     211,   211,   212,   213,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   225,   226,   226,
     227,   227,   227,   228,   229,   230,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   239,   240,   240,   240,
     240,   240,   240,   240,   240,   240,   240,   240,   240,   240,
     240,   240,   240,   240,   240,   240,   240,   240,   240,   240,
     240,   240,   240,   240,   240,   240,   240,   240,   240,   241,
     240,   240,   240,   240,   240,   240,   240,   240,   240,   240,
     240,   240,   240,   240,   240,   240,   240,   242,   242,   242,
     243,   243,   244,   244,   245,   245,   245,   246,   246,   246,
     247,   248,   248,   249,   249,   249,   249,   251,   250,   252,
     252,   253,   253,   254,   254,   254,   254,   254,   255,   256,
     256,   257,   257,   258,   259,   259,   260,   260,   261,   261,
     262,   263,   264,   264,   264,   264,   265,   265,   266,   267,
     268,   269,   269,   270,   271,   272,   273,   274,   274,   274,
     275,   275,   276,   276,   277,   277,   277,   278,   278,   279,
     280,   280,   281,   282,   282,   282,   283,   284,   284,   284,
     284,   284,   284,   284,   284,   285,   286,   287,   286,   288,
     289,   288,   290,   290,   290,   290,   290,   291,   291,   292,
     293,   293,   294,   294,   295,   295,   295,   295,   296,   296,
     297,   298,   298,   298,   298,   299,   299,   299,   299,   300,
     300,   300,   301,   301,   302,   302,   303,   304,   304,   305,
     305,   306,   306,   307,   308,   308,   309,   310,   310,   311,
     311,   312,   312,   313,   313,   314,   314,   315,   315,   317,
     316,   318,   318,   319,   319,   319,   320,   320,   321,   321,
     322,   322,   323,   323,   324,   324,   325,   325,   325,   326,
     327,   327,   328,   329,   330,   330,   331,   331,   332,   332,
     333,   333,   333,   334,   335,   335,   336,   336,   336,   336,
     336,   336,   336,   336,   336,   336,   336,   336,   336,   336,
     336,   336,   336,   336,   336,   336,   336,   336,   336,   336,
     336,   336,   336,   336,   336,   336,   336,   336,   336,   336,
     336,   336,   336,   336,   336,   336,   336,   336,   336,   337,
     337,   338,   339,   339,   339,   340,   341,   341,   342,   342,
     343,   344,   345,   346,   346,   347,   347,   348,   349,   349,
     350,   351,   351,   352,   353,   353,   354,   354,   355,   355,
     356,   356,   357,   357,   358,   358,   359,   359,   360,   361,
     361,   361,   362,   362,   363,   363,   363,   363,   364,   365,
     365,   365,   366,   366,   367,   367,   368,   369,   369,   370,
     370,   371,   371,   371,   371,   371,   371,   371,   371,   371,
     371,   372,   372,   372,   373,   373,   374,   374,   375,   375,
     376,   376,   376,   376,   376,   376,   376,   377,   378,   378,
     379,   379,   380,   380,   381,   381,   382,   383,   383,   384,
     384,   384,   384,   385,   385,   385,   385,   386,   386,   387,
     387,   387,   387,   387,   388,   388,   389,   389,   390,   390,
     391,   391,   392,   393,   394,   394,   395,   395,   395,   396,
     396,   397,   398,   399,   399,   400,   400,   401,   402,   403,
     404,   404,   404,   404,   404,   404,   404,   405,   405,   406,
     407,   407,   408,   409,   409,   410,   410,   410,   410,   410,
     410,   410,   410,   410,   410,   410,   410,   410,   411,   411,
     411,   411,   411,   411,   411,   411,   411,   411,   411,   411,
     412,   412,   413,   414,   414,   415,   415,   416,   416,   417,
     418,   419,   419,   420,   420,   420,   420,   420,   420,   421,
     421,   421,   421,   421,   422,   422,   422,   423,   423,   424,
     424,   425,   426,   427,   427,   427,   428,   428,   429,   430,
     431,   431,   431,   431,   431,   431,   431,   431,   431,   431,
     432,   433,   434,   434,   434,   434,   435,   436,   437,   437,
     438,   438,   439,   439,   440,   441,   442,   443,   443,   443,
     444,   444,   445,   445,   446,   446,   446,   447,   448,   448,
     448,   449,   450,   449,   451,   451,   452,   452,   453,   454,
     454,   455,   456,   457,   457,   458,   458,   459,   460,   460,
     461,   462,   462,   463,   463,   464,   464,   465,   465,   465,
     466,   465,   465,   465,   465,   467,   467,   468,   468,   469,
     470,   470,   471,   472,   472,   473,   473,   474,   474,   475,
     476,   476,   477,   478,   479,   479,   480,   480,   481,   481,
     481,   481,   481,   481,   481,   481,   481,   482,   482,   483,
     484,   484,   484,   484,   485,   486,   487,   487,   488,   489,
     490,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     492,   492,   492,   492,   492,   493,   493,   493,   494,   494,
     495,   496,   497,   498,   499,   499,   500,   500,   501,   502,
     503,   503,   504,   504,   505,   505,   506,   507,   508,   509,
     509,   509,   510,   511,   511,   512,   513,   513,   513,   513,
     513,   513,   514,   514,   515,   515,   516,   516,   517,   517,
     518,   518,   519,   519,   520,   520,   521,   522,   523,   523,
     524,   524,   525,   525,   525,   526,   526,   527,   528,   528,
     529,   529,   530,   531,   531,   531,   532,   533,   533,   534,
     534,   534,   535,   535,   536,   536,   537,   538,   538,   539,
     539,   540,   540,   541,   541,   542,   542,   543,   544,   545,
     545,   546,   546,   547,   547,   548,   549,   549,   549
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     2,     3,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     0,     5,     0,     5,
       1,     3,     1,     1,     3,     2,     0,     0,     2,     1,
       1,     3,     0,     1,     3,     1,     2,     1,     2,     3,
       3,     1,     3,     2,     1,     2,     2,     3,     1,     2,
       1,     1,     1,     2,     2,     1,     1,     4,     2,     4,
       4,     5,     4,     3,     4,     3,     4,     4,     5,     4,
       4,     4,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     4,     3,     3,     3,     3,     3,     2,     0,
       4,     3,     4,     4,     3,     3,     3,     6,     3,     3,
       3,     3,     3,     3,     3,     9,     5,     1,     1,     1,
       0,     1,     0,     1,     1,     1,     2,     0,     1,     1,
       0,     0,     1,     1,     1,     3,     3,     0,     4,     4,
       2,     0,     1,     0,     2,     2,     1,     1,     0,     0,
       1,     1,     3,     3,     0,     2,     0,     4,     0,     2,
       1,     0,     0,     1,     4,     2,     0,     1,     1,     2,
       0,     1,     9,     0,     0,     1,     1,     0,     1,     7,
       1,     1,     0,     2,     1,     3,     1,     1,     3,     1,
       1,     1,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     0,     3,     1,
       0,     4,     1,     1,     3,     3,     1,     1,     3,     1,
       0,     1,     0,     1,     0,     1,     1,     2,     3,     3,
       2,     0,     1,     1,     1,     2,     2,     2,     5,     0,
       1,     1,     0,     1,     1,     2,     4,     0,     1,     0,
       1,     1,     1,     1,     0,     2,     2,     0,     3,     0,
       3,     0,     4,     1,     1,     1,     2,     0,     1,     0,
       2,     0,     2,     0,     2,     2,     0,     1,     0,     1,
       1,     1,     1,     1,     0,     1,     1,     2,     1,     1,
       0,     1,     6,     2,     0,     1,     0,     1,     0,     3,
       1,     2,     3,     7,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     2,     4,     3,     1,     0,     1,     1,     1,     2,
       3,     1,     1,     1,     3,     1,     3,     1,     1,     2,
       1,     1,     3,     2,     0,     2,     2,     4,     0,     2,
       1,     2,     2,     5,     0,     1,     1,     2,     4,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     2,     1,
       4,     6,     0,     3,     0,     4,     0,     0,     1,     1,
       3,     4,     1,     1,     1,     1,     3,     2,     2,     2,
       2,     1,     1,     2,     0,     1,     0,     1,     1,     3,
       1,     3,     2,     2,     1,     3,     3,     0,     0,     1,
       0,     1,     0,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     0,     1,     0,     3,     1,     1,
       0,     2,     4,     0,     0,     1,     0,     1,     1,     0,
       2,     1,     3,     0,     1,     1,     1,     2,     2,     0,
       1,     3,     2,     3,     2,     2,     1,     0,     2,     2,
       0,     3,     1,     0,     3,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     5,
       5,     3,     5,     7,     5,     4,     6,     4,     5,     4,
       0,     1,     1,     0,     1,     0,     1,     0,     1,     3,
       0,     0,     2,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       2,     5,     1,     0,     1,     1,     1,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     9,     0,     1,     1,     1,     1,     1,     0,     1,
       0,     2,     0,     3,     5,     3,     1,     0,     2,     3,
       0,     1,     0,     1,     1,     1,     3,     2,     0,     2,
       2,     0,     0,     5,     1,     1,     1,     3,     2,     0,
       2,     0,     2,     0,     1,     1,     2,     2,     3,     1,
       5,     0,     1,     1,     2,     2,     5,     2,     1,     1,
       0,     3,     1,     1,     1,     0,     2,     1,     1,     4,
       1,     1,     4,     0,     1,     0,     1,     1,     1,     3,
       0,     4,     2,     1,     0,     4,     0,     2,     1,     2,
       1,     1,     3,     3,     3,     3,     7,     2,     1,     0,
       1,     1,     1,     1,     6,     0,     1,     1,     2,     1,
       0,     3,     3,     3,     2,     4,     6,     1,     3,     2,
       1,     1,     1,     1,     1,     1,     3,     2,     0,     1,
       1,     1,     7,     0,     0,     1,     0,     4,     7,     0,
       2,     2,     1,     3,     1,     3,     2,     1,     3,     7,
       6,     2,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     0,     3,     0,     1,     0,     2,     2,     3,
       0,     1,     0,     2,     1,     2,     5,     2,     0,     4,
       0,     4,     0,     1,     1,     0,     2,     2,     2,     2,
       2,     4,     5,     0,     1,     1,     2,     1,     2,     0,
       2,     3,     2,     3,     3,     5,     1,     0,     1,     1,
       1,     0,     2,     1,     3,     1,     1,     3,     1,     1,
       1,     1,     3,     1,     1,     1,     0,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 14:
#line 638 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* for blank lines -- nothing to do */
	}
#line 2814 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 15:
#line 644 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* to keep going after stumbling on an input error */
		Getting_tup_dur = NO;
		Good_till_canceled = NO;
		Defining_multiple = NO;
		Curr_grpsyl_p = (struct GRPSYL *) 0;
		Last_grpsyl_p = (struct GRPSYL *) 0;
		Prev_grpsyl_p = (struct GRPSYL *) 0;
	}
#line 2828 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 16:
#line 655 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* fill in context field of the SSV struct */
		Currstruct_p->u.ssv_p->context = (short) Context;
	}
#line 2837 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 17:
#line 662 "src/mup/gram.y" /* yacc.c:1646  */
    {}
#line 2843 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 18:
#line 666 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_family = Score.fontfamily;
	}
#line 2851 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 19:
#line 672 "src/mup/gram.y" /* yacc.c:1646  */
    {}
#line 2857 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 20:
#line 676 "src/mup/gram.y" /* yacc.c:1646  */
    {}
#line 2863 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 21:
#line 680 "src/mup/gram.y" /* yacc.c:1646  */
    {}
#line 2869 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 22:
#line 684 "src/mup/gram.y" /* yacc.c:1646  */
    {}
#line 2875 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 23:
#line 688 "src/mup/gram.y" /* yacc.c:1646  */
    {}
#line 2881 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 24:
#line 692 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* have lots of separate structs in music context, so
		 * mark that we have no current struct */
		Currstruct_p = (struct MAINLL *) 0;

		/* make sure at least 1 staff is visible. Not good to
		 * check when user sets visible, because it would be
		 * nice to first set everything invisible and later
		 * turn one on. So if we wait till now to check,
		 * user doesn't have to switch back and forth from
		 * score to staff to get 1 voice visible. */
		check_at_least1visible();
	}
#line 2899 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 25:
#line 707 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Context = C_SCORE;
		Curr_font = svpath(0, FONT)->font;
		Curr_family = svpath(0, FONTFAMILY)->fontfamily;
		Curr_size = svpath(0, SIZE)->size;
	}
#line 2910 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 26:
#line 715 "src/mup/gram.y" /* yacc.c:1646  */
    { begin_range(PL_UNKNOWN); }
#line 2916 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 27:
#line 716 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Make sure all the staffs are in range */
		chk_ssv_ranges(C_STAFF);

		/* Set current SSV's staff to the first one on the list.
		 * If there is more than one, we will clone the SSV later.
		 * Note that it is possible that the staff number the user
		 * specified is actually illegal, but we will use it anyway,
		 * because it keeps the code simpler to pretend all is well,
		 * and ssv.c code will ignore such illegal SSVs anyway.
		 */
		if (Svrangelist_p != 0 && Svrangelist_p->stafflist_p != 0) {
			Currstruct_p->u.ssv_p->staffno
					= Svrangelist_p->stafflist_p->begin;
		}
		Context = C_STAFF;
	}
#line 2938 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 28:
#line 735 "src/mup/gram.y" /* yacc.c:1646  */
    { begin_range(PL_UNKNOWN); }
#line 2944 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 29:
#line 736 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Make sure all the staffs and voices are in range */
		chk_ssv_ranges(C_VOICE);

		/* Set current SSV's staff/voice to the first one on the list.
		 * If there are more than, we will clone the SSV later */
		if (Svrangelist_p != 0 && Svrangelist_p->stafflist_p != 0) {
			Currstruct_p->u.ssv_p->staffno
					= Svrangelist_p->stafflist_p->begin;
		}
		if (Svrangelist_p != 0 && Svrangelist_p->vnolist_p != 0) {
			Currstruct_p->u.ssv_p->voiceno
					= Svrangelist_p->vnolist_p->begin;
		}
		Context = C_VOICE;
	}
#line 2965 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 32:
#line 760 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_to_sv_list();
	}
#line 2973 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 35:
#line 770 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_to_sv_list();
	}
#line 2981 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 36:
#line 775 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* allocate an SSV struct */
		Currstruct_p = newMAINLLstruct(S_SSV, yylineno);
	}
#line 2990 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 37:
#line 781 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* entering new context, if we have a current struct,
		 * we were in a different context, so add its info to the list */
		end_prev_context();
	}
#line 3000 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 38:
#line 788 "src/mup/gram.y" /* yacc.c:1646  */
    {
		struct FEED *feed_p;		/* where to attach blocks */
		int calloced;			/* YES if dynamically alloced */

		end_prev_context();
		Context = (yyvsp[-1].intval);
		calloced = NO;

		switch ((yyvsp[-1].intval)) {
		case C_HEADER:
			switch ((yyvsp[0].intval)) {
			case PGSIDE_NOT_SET:
				chkdup_headfoot(GOT_HEADER, "header", &Header);
				break;
			case PGSIDE_LEFT:
				chkdup_headfoot(GOT_LHEADER,
					"header leftpage", &Leftheader);
				break;
			case PGSIDE_RIGHT:
				chkdup_headfoot(GOT_RHEADER,
					"header rightpage", &Rightheader);
				break;
			}
			break;

		case C_HEAD2:
			switch ((yyvsp[0].intval)) {
			case PGSIDE_NOT_SET:
				chkdup_headfoot(GOT_HEADER2,
					"header2", &Header2);
				break;
			case PGSIDE_LEFT:
				chkdup_headfoot(GOT_LHEADER2,
					"header2 leftpage", &Leftheader2);
				break;
			case PGSIDE_RIGHT:
				chkdup_headfoot(GOT_RHEADER2,
					"header2 rightpage", &Rightheader2);
				break;
			}
			break;
		case C_FOOTER:
			switch ((yyvsp[0].intval)) {
			case PGSIDE_NOT_SET:
				chkdup_headfoot(GOT_FOOTER,
					"footer", &Footer); 
				break;
			case PGSIDE_LEFT:
				chkdup_headfoot(GOT_LFOOTER,
					"footer leftpage", &Leftfooter);
				break;
			case PGSIDE_RIGHT:
				chkdup_headfoot(GOT_RFOOTER,
					"footer rightpage", &Rightfooter);
				break;
			}
			break;
		case C_FOOT2:
			switch ((yyvsp[0].intval)) {
			case PGSIDE_NOT_SET:
				chkdup_headfoot(GOT_FOOTER2,
					"footer2", &Footer2);
				break;
			case PGSIDE_LEFT:
				chkdup_headfoot(GOT_LFOOTER2,
					"footer2 leftpage", &Leftfooter2);
				break;
			case PGSIDE_RIGHT:
				chkdup_headfoot(GOT_RFOOTER2,
					"footer2 rightpage", &Rightfooter2);
				break;
			}
			break;
		case C_TOP:
		case C_TOP2:
		case C_BOT:
		case C_BOT2:
		case C_BLOCK:
			CALLOC(BLOCKHEAD, Currblock_p, 1);
			calloced = YES;
			break;
		default:
			pfatal("Unknown block-type context");
			/*NOTREACHED*/
			break;
		}
		set_win_coord(Currblock_p->c);
		/* Remember where to start attaching "print" commands */
		Next_print_link_p_p = &(Currblock_p->printdata_p);

		/* The dynamically allocated blocks
		 * (not the static head/foot blocks)
		 * need extra processing to populate
		 * the main list properly with FEEDs.
		 */
		if (calloced == YES) {
			if (Mainlltc_p == 0 || Mainlltc_p->str != S_FEED) {
				/* User had not specified a feed
				 * right before this block, so we need
				 * to add one for them implicitly.
				 * Create a new FEED and add it
				 * to the end of the main list.
				 */
				insertMAINLL(newMAINLLstruct(S_FEED, yylineno),
							Mainlltc_p);
			}
			feed_p = Mainlltc_p->u.feed_p;

			/* Normally, top/top2/bot/bot2 result in a pagefeed.
			 * But we have a special case for backward
			 * compatibility and for flexibility.
			 * User can get a separate
			 * "title" page if they really want to,
			 * by using an explicit newpage at the beginning.
			 * But in the normal case, they'd want to declare
			 * top/bot that will go on the first page without
			 * that causing a newpage. So if there hasn't been
			 * any music or block yet, we won't set newpage=YES
			 * for top/top2/bot/bot2, but otherwise we will.
			 */
			if (Context & (C_TOP|C_TOP2|C_BOT|C_BOT2)) {
				struct MAINLL *m_p;
				for (m_p = Mainlltc_p->prev; m_p != 0;
							m_p = m_p->prev) {
					if (m_p->str == S_BAR ||
							m_p->str == S_BLOCKHEAD) {
						/* There was music or block,
						 * so this is not
						 * at very beginning,
						 * so no special case:
						 * there will be new page.
						 */
						feed_p->pagefeed = YES;
						break;
					}
				}
			}

			/* Now check for redefined blocks and
			 * attach the BLOCKHEAD onto the FEED or the
			 * main list, as appropriate.
			 */
			switch (Context) {
			case C_TOP:
				switch ((yyvsp[0].intval)) {
				case PGSIDE_NOT_SET:
					chkdup_topbot( &(feed_p->top_p),
							"top" );
					break;
				case PGSIDE_LEFT:
					chkdup_topbot( &(feed_p->lefttop_p),
							"top leftpage" );
					break;
				case PGSIDE_RIGHT:
					chkdup_topbot( &(feed_p->righttop_p),
							"top rightpage" );
					break;
				}
				break;
			case C_TOP2:
				switch ((yyvsp[0].intval)) {
				case PGSIDE_NOT_SET:
					chkdup_topbot( &(feed_p->top2_p),
							"top2" );
					break;
				case PGSIDE_LEFT:
					chkdup_topbot( &(feed_p->lefttop2_p),
							"top2 leftpage" );
					break;
				case PGSIDE_RIGHT:
					chkdup_topbot( &(feed_p->righttop2_p),
							"top2 rightpage" );
					break;
				}
				break;
			case C_BOT:
				switch ((yyvsp[0].intval)) {
				case PGSIDE_NOT_SET:
					chkdup_topbot( &(feed_p->bot_p),
							"bot" );
					break;
				case PGSIDE_LEFT:
					chkdup_topbot( &(feed_p->leftbot_p),
							"bot leftpage" );
					break;
				case PGSIDE_RIGHT:
					chkdup_topbot( &(feed_p->rightbot_p),
							"bot rightpage" );
					break;
				}
				break;
			case C_BOT2:
				switch ((yyvsp[0].intval)) {
				case PGSIDE_NOT_SET:
					chkdup_topbot( &(feed_p->bot2_p),
							"bot2" );
					break;
				case PGSIDE_LEFT:
					chkdup_topbot( &(feed_p->leftbot2_p),
							"bot2 leftpage" );
					break;
				case PGSIDE_RIGHT:
					chkdup_topbot( &(feed_p->rightbot2_p),
							"bot2 rightpage" );
					break;
				}
				break;
			case C_BLOCK:
				if (Doing_samescore == YES) {
					l_yyerror(Curr_filename, yylineno,
						"cannot have a block inside a samescore zone");
				}
				insertMAINLL(newMAINLLstruct(S_BLOCKHEAD, yylineno),
						Mainlltc_p);
				Mainlltc_p->u.blockhead_p = Currblock_p;
				Currblock_p->samepage = Doing_samepage;
				if ((yyvsp[0].intval) != PGSIDE_NOT_SET) {
					l_warning(Curr_filename, yylineno,
						"leftpage/rightpage cannot be used on blocks; ignoring");
				}
				/* These blocks count like "music" for purposes
				 * of things that can only be set
				 * before any "music"
				 */
				Got_some_data = YES;
				break;
			case C_HEADER:
			case C_HEAD2:
			case C_FOOTER:
			case C_FOOT2:
				/* These are static, not in main list,
				 * so nothing needs to be done with them.
				 */
				break;
			default:
				pfatal("unexpected context (0x%x) for block", Context);
				/*NOTREACHED*/
				break;
			}

			/* We need a feed after a block.
			 * Use -1 as lineno to mark it as internally generated.
			 * That way if user puts their own explicit feed
			 * next in the input, we can know we can
			 * discard this internally generated one.
			 */
			if (Context & C_BLOCK) {
				insertMAINLL(newMAINLLstruct(S_FEED, -1), Mainlltc_p);
			}
		}
	}
#line 3256 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1041 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Context = C_MUSIC;
	}
#line 3264 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1046 "src/mup/gram.y" /* yacc.c:1646  */
    {
		end_prev_context();
		Context = C_GRIDS;
	}
#line 3273 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1052 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 3280 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1056 "src/mup/gram.y" /* yacc.c:1646  */
    {
		end_prev_context();
		Context = C_ACCIDENTALS;
	}
#line 3289 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1062 "src/mup/gram.y" /* yacc.c:1646  */
    {
		struct ACCIDENTALS *acc_name_map_p;

		/* Make sure not already in list */
		for (acc_name_map_p = Acc_contexts_list_p; acc_name_map_p != 0;
					acc_name_map_p = acc_name_map_p->next) {
			if (strcmp(acc_name_map_p->name, (yyvsp[0].stringval)) == 0) {
				l_warning(Curr_filename, yylineno,
				"accidental context name %s re-defined; using last", (yyvsp[0].stringval));
				/* We'll free the table, since that is
				 * potentially big, and is easy to do.
				 * We'll leave the ACCIDENTALS struct itself,
				 * because it doesn't seem worth the trouble
				 * to keep track of the "prev" to free up a
				 * little memory in a rare error case.
				 * And we'll leave the name, so future loops
				 * though the list can strcmp it, even though
				 * it will never really be used. We will put
				 * the replacement at the head of the list,
				 * so we'll always see that copy first and
				 * never bother to come down to this one.
				 */
				if (acc_name_map_p->info != 0) {
					FREE(acc_name_map_p->info);
					acc_name_map_p->info = 0;
					acc_name_map_p->size = 0;
				}
				/* If redefined multiple times, don't
				 * bother giving multiple errors. */
				break;
			}
		}

		MALLOC(ACCIDENTALS, acc_name_map_p, 1);
		acc_name_map_p->name = strdup((yyvsp[0].stringval) + 2);
		MALLOC(ACCINFO, acc_name_map_p->info, ITEMS);
		acc_name_map_p->size = 0;
		acc_name_map_p->next = Acc_contexts_list_p;
		Acc_contexts_list_p = acc_name_map_p;
	}
#line 3334 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1104 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Context != C_ACCIDENTALS) {
			yyerror("something like looks like an accidentals entry when not in accidentals context");
		}
	}
#line 3344 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1112 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Context == C_ACCIDENTALS) {
			new_acc_entry((yyvsp[0].stringval) + 2);
		}
	}
#line 3354 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1120 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* A single value to use for all notes a-g */
		int i;
		for (i = 0; i < 7; i++) {
			add_acc_offset('a' + i, (yyvsp[0].floatval));
		}
	}
#line 3366 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1134 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_acc_offset((yyvsp[-1].intval), (yyvsp[0].floatval));
	}
#line 3374 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1140 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_acc_offset((yyvsp[-1].intval), (yyvsp[0].floatval));
	}
#line 3382 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1146 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = (float) cents2value( (double) ((yyvsp[-2].intval) * (yyvsp[-1].floatval)));
	}
#line 3390 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1152 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = (yyvsp[0].floatval);
	}
#line 3398 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1158 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].floatval) == 0.0) {
			yyerror("denominator cannot be zero");
		}
		else {
			(yyval.floatval) = (yyvsp[-2].floatval) / (yyvsp[0].floatval);
		}
	}
#line 3411 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1168 "src/mup/gram.y" /* yacc.c:1646  */
    {
		end_prev_context();
		Context = C_KEYMAP;
		new_keymap((yyvsp[0].stringval) + 2);
	}
#line 3421 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1177 "src/mup/gram.y" /* yacc.c:1646  */
    {
		end_prev_context();
		Context = C_CONTROL;
		Saw_restoreparms = NO;
		Prev_control_parms = SR_SAVE;	/* really means "not restore"
						 * but didn't seem worth
						 * having separate state
						 * for that. */

	}
#line 3436 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1190 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (contextcheck(C_CONTROL, "saveparms") == YES) {
			/* Associate the user's name with the current place
			 * in the main list */
			add_saveparms((yyvsp[0].stringval) + 2);
			if (Prev_control_parms != SR_WARN) {
				Prev_control_parms = SR_SAVE;
			}
		}
	}
#line 3451 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1203 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (contextcheck(C_CONTROL, "restoreparms") == YES) {
			if (do_restoreparms((yyvsp[0].stringval) + 2) == YES) {
				if (Saw_restoreparms == YES) {
					if (Prev_control_parms == SR_RESTORE) {
						l_warning(Curr_filename, yylineno,
						"consecutive instances of 'restoreparms' in the same control context; only the last is effective");
					}
					else if (Prev_control_parms != SR_WARN) {
						l_warning(Curr_filename, yylineno,
						"multiple instances of 'restorparms is of dubious usefulness");
					}
					Prev_control_parms = SR_WARN;
				}
				if (Prev_control_parms != SR_WARN) {
					Prev_control_parms = SR_RESTORE;
				}
			}
		}
	}
#line 3476 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1226 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Context == C_GRIDS) {
			add_grid((yyvsp[-2].stringval), (yyvsp[-1].stringval));
		}
		else if (Context == C_HEADSHAPES) {
			/* skip past the font/size bytes */
			add_shape((yyvsp[-2].stringval) + 2, (yyvsp[-1].stringval) + 2);
		}
		else if (Context == C_KEYMAP) {
			add_to_keymap((yyvsp[-2].stringval), (yyvsp[-1].stringval));
		}
		else {
			l_warning(Curr_filename, yylineno - 1,
				"unexpected pair of text strings (possibly intended to be in grids, headshapes, or keymap context, or missing + for concatenation?)");
		}
	}
#line 3497 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1245 "src/mup/gram.y" /* yacc.c:1646  */
    {
		end_prev_context();
		Context = C_HEADSHAPES;
	}
#line 3506 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1253 "src/mup/gram.y" /* yacc.c:1646  */
    {
		end_prev_context();
		Context = C_SYMBOL;
		/* The +2 to skip font/size */
		Curr_usym_p = alloc_usym((yyvsp[0].stringval) + 2);
	}
#line 3517 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1265 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
		/* later on we check for being within current range */
	}
#line 3526 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1271 "src/mup/gram.y" /* yacc.c:1646  */
    {
		errno = 0;
		(yyval.intval) = strtol(yytext, 0, 10);
		if (errno == ERANGE) {
			l_yyerror(Curr_filename, yylineno,
				"Number %s is beyond the range of numbers that can be handled", yytext);
		}
	}
#line 3539 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1281 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[-1].intval) * (yyvsp[0].intval);
	}
#line 3547 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1296 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Only a few things are allowed to have a negative number.
		 * Other code assumes that that restriction is enforced here,
		 * so we only honor the minus if it is legal. */
		if ((yyvsp[-1].intval) == -1) {
			if ((yyvsp[-3].intval) != SYLPOSITION) {
				yyerror("negative value not allowed");
			}
			else {
				assign_int((yyvsp[-3].intval), -((yyvsp[0].intval)), Currstruct_p);
			}
		}
		else {
			assign_int((yyvsp[-3].intval), (yyvsp[0].intval), Currstruct_p);
		}
	}
#line 3568 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1315 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* only restcombine and gridfret can be set to empty */
		if ((yyvsp[-1].intval) == RESTCOMBINE) {
			assign_int((yyvsp[-1].intval), NORESTCOMBINE, Currstruct_p);
		}
		else if ((yyvsp[-1].intval) == GRIDFRET) {
			assign_int((yyvsp[-1].intval), NOGRIDFRET, Currstruct_p);
		}
		else {
			yyerror("parameter value required");
		}
	}
#line 3585 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1330 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_firstpage((yyvsp[-1].intval), (yyvsp[0].intval), Currstruct_p);
	}
#line 3593 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1336 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[-1].intval) == -1) {
			if ((yyvsp[-3].intval) != STAFFPAD) {
				yyerror("negative value not allowed");
			}
			else {
				assign_float((yyvsp[-3].intval), -((yyvsp[0].floatval)), Currstruct_p);
			}
		}
		else {
			assign_float((yyvsp[-3].intval), (yyvsp[0].floatval), Currstruct_p);
		}
	}
#line 3611 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1352 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_2floats((yyvsp[-4].intval), (yyvsp[-2].floatval), (yyvsp[0].floatval), Currstruct_p);
	}
#line 3619 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1358 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_float((yyvsp[-3].intval), (yyvsp[-1].floatval), Currstruct_p);
	}
#line 3627 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1364 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_direction((yyvsp[-2].intval), (yyvsp[0].intval), Currstruct_p);
	}
#line 3635 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1370 "src/mup/gram.y" /* yacc.c:1646  */
    {
		double multiplier;
		multiplier = (Score.units == INCHES ? 1.0 : CMPERINCH);
		assign_float(PAGEWIDTH, pagesztbl[(yyvsp[-1].intval)][(yyvsp[0].intval)] * multiplier, Currstruct_p);
		assign_float(PAGEHEIGHT, pagesztbl[(yyvsp[-1].intval)][(yyvsp[0].intval) ^ 1] * multiplier, Currstruct_p);
	}
#line 3646 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1379 "src/mup/gram.y" /* yacc.c:1646  */
    { }
#line 3652 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1383 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* specified in stepsizes, stored in inches */
		assign_float(PAD, (yyvsp[-1].intval) * (yyvsp[0].floatval) * STEPSIZE, Currstruct_p);
	}
#line 3661 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1390 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_vscheme ((yyvsp[-1].intval), (yyvsp[0].intval), Currstruct_p);
	}
#line 3669 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1396 "src/mup/gram.y" /* yacc.c:1646  */
    {
		set_beamlist(Currstruct_p);
		if (Currstruct_p != 0 && Currstruct_p->u.ssv_p != 0) {
			Currstruct_p->u.ssv_p->beamrests = ((yyvsp[0].intval) & 0x1);
			Currstruct_p->u.ssv_p->beamspaces = (((yyvsp[0].intval) >> 1) & 0x1);
		}
	}
#line 3681 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1406 "src/mup/gram.y" /* yacc.c:1646  */
    {
		set_staffset((yyvsp[-3].intval), Currstruct_p);
	}
#line 3689 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1412 "src/mup/gram.y" /* yacc.c:1646  */
    {
		set_barstlist(Currstruct_p, 0);
	}
#line 3697 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1418 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Put them in time order */
		if (Currstruct_p != 0) {
			qsort((char *)(Currstruct_p->u.ssv_p->subbarlist),
				Currstruct_p->u.ssv_p->nsubbar,
				sizeof(struct SUBBAR_INSTANCE),
				comp_subbar);
		}
	}
#line 3711 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1430 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (contextcheck(C_SCORE|C_STAFF, "repeatdots") == YES
					&& Currstruct_p != 0) {
			Currstruct_p->u.ssv_p->repeatdots = (yyvsp[0].intval);
			Currstruct_p->u.ssv_p->used[REPEATDOTS] = YES;
		}
	}
#line 3723 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1440 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			chk_order(Currstruct_p->u.ssv_p, Order_place);
		}
	}
#line 3733 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1451 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_int((yyvsp[-2].intval), (yyvsp[0].intval), Currstruct_p);
	}
#line 3741 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1457 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* all the work for this is done in timesig */
	}
#line 3749 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1466 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (contextcheck(C_SCORE|C_STAFF|C_VOICE, "defaultphraseside") == YES
					&& Currstruct_p != 0) {
			Currstruct_p->u.ssv_p->defaultphraseside = (yyvsp[0].intval);
			Currstruct_p->u.ssv_p->used[DEFAULTPHRASESIDE] = YES;
		}
	}
#line 3761 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1476 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 3768 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1481 "src/mup/gram.y" /* yacc.c:1646  */
    {
		set_font((yyvsp[-2].intval), (yyvsp[0].intval), Currstruct_p);
	}
#line 3776 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1487 "src/mup/gram.y" /* yacc.c:1646  */
    {
		set_font((yyvsp[-2].intval), (yyvsp[0].intval), Currstruct_p);
	}
#line 3784 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1493 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (contextcheck(C_SCORE|C_STAFF,"clef parameter") == YES) {
			used_check(Currstruct_p, CLEF, "clef");
			if (Context == C_STAFF && has_tab_staff()) {
				/* We used to be able to make this just a
				 * warning, but now that is hard, because
				 * we'd want to let it assign for any
				 * non-tab, but it is hard to know at this
				 * point which SSVs will be tab and which					 * non-tab, because we may not have created
				 * them all yet. We cannot let the tab ones
				 * get assigned, because later code would
				 * get confused by clef not being TABCLEF.
				 * While we could figure this all out with
				 * enough code, it really is a user error,
				 * so not worth bending over backwards
				 * to try to keep it just a warning.
				 */
				l_yyerror(Curr_filename, yylineno,
					"can't set clef on tab staff");
			}
			if (Currstruct_p != 0) {
				Currstruct_p->u.ssv_p->clef = (yyvsp[-1].intval);
				Currstruct_p->u.ssv_p->forceprintclef = (yyvsp[0].intval);
				Currstruct_p->u.ssv_p->used[CLEF] = YES;
				asgnssv(Currstruct_p->u.ssv_p);
			}
		}
	}
#line 3817 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1524 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (contextcheck(C_SCORE | C_STAFF, "chordtranslation parameter") == YES
						&& (Currstruct_p != 0) ) {
			if (Currstruct_p->u.ssv_p->used[(yyvsp[-2].intval)] == YES) {
				warning("setting chordtranslation parameter overrides previous setting");
			}
			Currstruct_p->u.ssv_p->chordtranslation = (yyvsp[0].intval);
			Currstruct_p->u.ssv_p->used[CHORDTRANSLATION] = YES;
		}
	}
#line 3832 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1537 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_int((yyvsp[-2].intval), (yyvsp[0].intval), Currstruct_p);
	}
#line 3840 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1543 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_int((yyvsp[-2].intval), (yyvsp[0].intval), Currstruct_p);
	}
#line 3848 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1552 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_int((yyvsp[-2].intval), (yyvsp[0].intval), Currstruct_p);
	}
#line 3856 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1558 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (contextcheck(C_STAFF|C_VOICE, "unset") == YES
					&& Currstruct_p != 0) {
			if ((yyvsp[0].intval) < 0 || (yyvsp[0].intval) >= NUMFLDS) {
				pfatal("invalid parameter index %d on line %d", (yyvsp[0].intval), yylineno);
			}
			if (Currstruct_p->u.ssv_p->used[(yyvsp[0].intval)] == YES) {
				warning("unsetting parameter overrides previous setting");
			}
			/* Note that if user tries to unset something that
			 * can't be set in the current context, we silently
			 * ignore that. We figure that since it's already unset,
			 * it doesn't hurt anything to unset it again,
			 * and it's easier to not bother to check.
			 */

			Currstruct_p->u.ssv_p->used[(yyvsp[0].intval)] = UNSET;

			/* special case: scoresep controls two fields */
			if ((yyvsp[0].intval) == MINSCSEP) {
				Currstruct_p->u.ssv_p->used[MAXSCSEP] = UNSET;
			}

			/* Assign, just in case there are new interactions */
			asgnssv(Currstruct_p->u.ssv_p);
		}
	}
#line 3888 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1587 "src/mup/gram.y" /* yacc.c:1646  */
    { Doing_timeunit = YES; }
#line 3894 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1588 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ( contextcheck(C_SSV, "timeunit parameter") == YES ) {
			used_check(Currstruct_p, TIMEUNIT, "timeunit");
			if (Currstruct_p != 0) {
				Currstruct_p->u.ssv_p->timeunit = (yyvsp[0].ratval);
				Currstruct_p->u.ssv_p->timelist_p = Extra_time_p;
				Currstruct_p->u.ssv_p->used[TIMEUNIT] = YES;
			}
			Extra_time_p = 0;
			Doing_timeunit = NO;
		}
	}
#line 3911 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1603 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ( contextcheck(C_SSV, "swingunit parameter") == YES ) {
			used_check(Currstruct_p, SWINGUNIT, "swingunit");
			if (Currstruct_p != 0) {
				Currstruct_p->u.ssv_p->swingunit = (yyvsp[0].ratval);
				Currstruct_p->u.ssv_p->used[SWINGUNIT] = YES;
			}
		}
	}
#line 3925 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1615 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 3932 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1620 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 3939 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1625 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ( contextcheck(C_SCORE, "endingstyle parameter") == YES
					&& Currstruct_p != 0 ) {
			used_check(Currstruct_p, ENDINGSTYLE, "endingstyle");
			Currstruct_p->u.ssv_p->endingstyle = (yyvsp[0].intval);
			Currstruct_p->u.ssv_p->used[ENDINGSTYLE] = YES;
		}
	}
#line 3952 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1636 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			if ((yyvsp[-2].intval) == REHSTYLE) {
				if (contextcheck(C_SCORE | C_STAFF, "rehstyle parameter") == YES ) {
					used_check(Currstruct_p, REHSTYLE, "rehstyle");
					Currstruct_p->u.ssv_p->rehstyle = (yyvsp[0].intval);
					Currstruct_p->u.ssv_p->used[REHSTYLE] = YES;
				}
			}
			else if ((yyvsp[-2].intval) == MEASNUMSTYLE) {
				if (contextcheck(C_SCORE, "measnumstyle parameter") == YES) {
					used_check(Currstruct_p, MEASNUMSTYLE, "measnumstyle");
					Currstruct_p->u.ssv_p->measnumstyle = (yyvsp[0].intval);
					Currstruct_p->u.ssv_p->used[MEASNUMSTYLE] = YES;
				}
			}
		}
	}
#line 3975 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1657 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (contextcheck(C_SCORE | C_STAFF, "pedstyle parameter") == YES
					&& Currstruct_p != 0) {
			used_check(Currstruct_p, PEDSTYLE, "pedstyle");
			Currstruct_p->u.ssv_p->pedstyle = (yyvsp[0].intval);
			Currstruct_p->u.ssv_p->used[PEDSTYLE] = YES;
			/* Since Ped_stop is a predefined string that
			 * doesn't go through fix_string(), we wouldn't
			 * realize that font ZD1 was used until printing
			 * phase after we ought to have emitted the
			 * encoding vector code, which is too late,
			 * so mark it here. If the user sets the
			 * parameter to pedstar but then never actually uses
			 * a star, this will just cause a few extraenous
			 * but otherwise harmless lines of output. It is
			 * less important the ZI gets marked as used,
			 * since we don't change its encoding vector,
			 * so don't need to emit special code, but might as
			 * well mark that here as well. */
			if ((yyvsp[0].intval) != P_LINE) {
				Fontinfo[font_index(FONT_ZD1)].was_used = YES;
				Fontinfo[font_index(FONT_ZI)].was_used = YES;
			}
		}
	}
#line 4005 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1685 "src/mup/gram.y" /* yacc.c:1646  */
    {
		char *trans_name;
		trans_name = ((yyvsp[-5].intval) == TRANSPOSITION ?
			"transpose" : "addtranspose");
		if (contextcheck(C_SCORE|C_STAFF, trans_name) == YES) {
			if (Context == C_STAFF && has_tab_staff() == YES) {
				l_warning(Curr_filename, yylineno,
					"%s not allowed on tablature staff; ignoring",
					trans_name);
			}
			chk_interval((yyvsp[-2].intval), (yyvsp[-1].intval));
			if (Currstruct_p != 0) {
				used_check(Currstruct_p, (yyvsp[-5].intval), trans_name);
				if ((yyvsp[-5].intval) == TRANSPOSITION) {
					Currstruct_p->u.ssv_p->inttype = (yyvsp[-2].intval);
					Currstruct_p->u.ssv_p->intnum = (yyvsp[-3].intval) * (yyvsp[-1].intval);
					Currstruct_p->u.ssv_p->trans_usage = (yyvsp[0].intval);
				}
				else {
					Currstruct_p->u.ssv_p->addinttype = (yyvsp[-2].intval);
					Currstruct_p->u.ssv_p->addintnum = (yyvsp[-3].intval) * (yyvsp[-1].intval);
					Currstruct_p->u.ssv_p->addtrans_usage = (yyvsp[0].intval);
				}
				Currstruct_p->u.ssv_p->used[(yyvsp[-5].intval)] = YES;
				asgnssv(Currstruct_p->u.ssv_p);
			}
		}
	}
#line 4038 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1716 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_int(CUE, (yyvsp[0].intval), Currstruct_p);
	}
#line 4046 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1722 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_unit((yyvsp[0].intval), Currstruct_p);
	}
#line 4054 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1728 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_string((yyvsp[-2].intval), (yyvsp[0].stringval), Currstruct_p);
	}
#line 4062 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1734 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_string((yyvsp[-2].intval), (yyvsp[0].stringval), Currstruct_p);
	}
#line 4070 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1740 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (contextcheck(C_SCORE, "tuning") == YES
				&& Currstruct_p != 0) {
			used_check(Currstruct_p, TUNING, "tuning");
			Currstruct_p->u.ssv_p->used[TUNING] = YES;
			Currstruct_p->u.ssv_p->tuning = (yyvsp[0].intval);
			Tuning_used = YES;
		}
	}
#line 4084 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1752 "src/mup/gram.y" /* yacc.c:1646  */
    {
		set_keymap((yyvsp[-2].intval), (yyvsp[0].stringval), Currstruct_p);
	}
#line 4092 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1758 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_usym_p == 0) {
			l_yyerror(Curr_filename, yylineno,
				"postscript= only valid in symbol context; maybe you meant without '=' ?");
		}
		else {
			if (Curr_usym_p->flags & US_POSTSCRIPT) {
				l_warning(Curr_filename, yylineno,
					"Multiple postscript definitions given for symbol '%s'; using last",
					Curr_usym_p->name);
				FREE(Curr_usym_p->postscript);
			}
			Curr_usym_p->postscript = (yyvsp[0].stringval);
			Curr_usym_p->flags |= US_POSTSCRIPT;
		}
	}
#line 4113 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1777 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_usym_p == 0) {
			l_yyerror(Curr_filename, yylineno,
				"bbox= only valid in symbol context");
		}
		else {
			if (Curr_usym_p->flags & US_BBOX) {
				l_warning(Curr_filename, yylineno,
					"Multiple bbox definitions given for symbol %s; using last",
					Curr_usym_p->name);
			}
			Curr_usym_p->llx = (yyvsp[-6].intval);
			Curr_usym_p->lly = (yyvsp[-4].intval);
			Curr_usym_p->urx = (yyvsp[-2].intval);
			Curr_usym_p->ury = (yyvsp[0].intval);
			Curr_usym_p->flags |= US_BBOX;
		}
	}
#line 4136 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1798 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_usym_p == 0) {
			l_yyerror(Curr_filename, yylineno,
				"stemoffset= only valid in symbol context");
		}
		else {
			if (Curr_usym_p->flags & US_STEMOFFSET) {
				l_warning(Curr_filename, yylineno,
					"Multiple stemoffset definitions given for %s; last used",
					Curr_usym_p->name);
			}
			Curr_usym_p->upstem_y = (yyvsp[-2].intval);
			Curr_usym_p->downstem_y = (yyvsp[0].intval);
			Curr_usym_p->flags |= US_STEMOFFSET;
		}
	}
#line 4157 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1818 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* whereused is not allowed on voice, just score and staff */
		if (contextcheck(C_SCORE|C_STAFF, "visible=whereused") == YES) {
			assign_int(VISIBLE, YES, Currstruct_p);
			if (Currstruct_p != 0 && Currstruct_p->u.ssv_p != 0) {
				Currstruct_p->u.ssv_p->hidesilent = YES;
			}
		}
	}
#line 4171 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1830 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* only valid letter is y */
		if (*yytext != 'y') {
			yyerror("visible value must be y, n, or whereused");
		}
		else if (contextcheck(C_SSV, "visible parameter")
								== YES) {
			assign_int(VISIBLE, YES, Currstruct_p);
			if (Currstruct_p != 0 && Currstruct_p->u.ssv_p != 0) {
				Currstruct_p->u.ssv_p->hidesilent = NO;
			}
		}
	}
#line 4189 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1846 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (contextcheck(C_SSV, "visible parameter") == YES) {
			assign_int(VISIBLE, NO, Currstruct_p);
			if (Currstruct_p != 0 && Currstruct_p->u.ssv_p != 0) {
				Currstruct_p->u.ssv_p->hidesilent = NO;
			}
		}
	}
#line 4202 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1856 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = PGSIDE_NOT_SET;
	}
#line 4210 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1862 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 4218 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1867 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = NO;
	}
#line 4226 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1873 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* only valid letter is y */
		if (*yytext == 'y') {
			(yyval.intval) = YES;
		}
		else {
			/* Our yyerror will end up making this into a
			 * nice error message that gives the offending token */
			yyerror("syntax error");
			(yyval.intval) = NO;
		}
	}
#line 4243 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1888 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* only valid letter is y */
		if (*yytext != 'y') {
			yyerror("measnum value must be y, n, or every N");
			(yyval.intval) = MN_NONE;
		}
		else {
			(yyval.intval) = MN_SCORE;
		}
	}
#line 4258 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1901 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = MN_NONE;
	}
#line 4266 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1907 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) < MINEVERYMEASNUM || (yyvsp[0].intval) > MAXEVERYMEASNUM) {
			/* We have to do range check here rather than let
			 * assign_int() do it, because internally we use
			 * additional values, and it would be confusing to
			 * the user to include those internal values in the
			 * valid range. */
			l_yyerror(Curr_filename, yylineno,
				"for measnum=every N, N must be between %d and %d",
				MINEVERYMEASNUM, MAXEVERYMEASNUM);
			(yyval.intval) = MN_NONE;
		}
		else {
			(yyval.intval) = (yyvsp[0].intval);
		}
	}
#line 4287 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1926 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* none specified */
		(yyval.intval) = V_1;
	}
#line 4296 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1933 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* only valid value here is 'f'  */
		if (*yytext == 'f') {
			(yyval.intval) = V_2FREESTEM;
		}
		else {
			yyerror("invalid voice qualifier: must be f or o");
			(yyval.intval) = V_1;
		}
	}
#line 4311 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1946 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* only valid value here is 'o' */
		if (*yytext == 'o') {
			(yyval.intval) = V_2OPSTEM;
		}
		else {
			yyerror("invalid voice qualifier: must be f or o");
			(yyval.intval) = (int) V_1;
		}
	}
#line 4326 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1958 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* NULL token for allocating a new beamlist */
		new_beamlist();
	}
#line 4335 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1972 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_beamlist((yyvsp[0].ratval));
	}
#line 4343 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1981 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_beamlist((yyvsp[0].ratval));
	}
#line 4351 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1990 "src/mup/gram.y" /* yacc.c:1646  */
    { begin_subbeam(); }
#line 4357 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1991 "src/mup/gram.y" /* yacc.c:1646  */
    {
		end_subbeam();
	}
#line 4365 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1996 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.ratval) = calcfulltime((yyvsp[-3].ratval), (yyvsp[-2].intval));

		/* If filling in a GRPSYL struct,
		 * need to fill in dots and basictime.
		 * Could also be here due to beamstyle
		 * or timeunit or location time offset,
		 * in which case the Curr_grpsyl_p will be NULL,
		 * or while getting tuplet duration. */
		if (Curr_grpsyl_p != (struct GRPSYL *) 0
						&& Getting_tup_dur == NO) {
			Curr_grpsyl_p->dots = (yyvsp[-2].intval);
			Curr_grpsyl_p->basictime = reconstruct_basictime((yyval.ratval));
		}
		else {
			struct TIMELIST *timelist_p;	/* walk thru list */
			struct TIMELIST *next_p;/* save next to delete curr */
			RATIONAL totaltime;	/* sum of extra times */

			/* Start with first time value (which was calculated
			 * above and is now in $$), then add on the added
			 * times, if any. */
			totaltime = (yyval.ratval);
			for (timelist_p = Extra_time_p; timelist_p != 0;
						timelist_p = next_p) {
				next_p = timelist_p->next;
				totaltime = radd(totaltime, timelist_p->fulltime);
				if (Doing_timeunit == NO) {
					/* For things like swingunit
					 * or tuplet time, we just need the
					 * resulting time, not the individual
					 * time units and arithmetic. */
					FREE(timelist_p);
				}
			}
			if (Extra_time_p != 0 && LE(totaltime, Zero)) {
				yyerror("Time values must add up to more than zero");
			}
			/* Current timelist is finished; can't append any
			 * more items to it. */
			Curr_timelist_p = 0;
			if (Doing_timeunit == YES) {
				/* For timeunit, we return the initial
				 * timeunit, but also preserve
				 * Extra_time_p for putting in SSV.
				 */
				(yyval.ratval) = calcfulltime((yyvsp[-3].ratval), (yyvsp[-2].intval));
			}
			else {
				/* the list has been freed above */
				Extra_time_p = 0;
				(yyval.ratval) = totaltime;
			}
		}
	}
#line 4425 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 140:
#line 2054 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.ratval).n = (svpath(1, TIME))->time.n;
		(yyval.ratval).d = (svpath(1, TIME))->time.d;
		if (Curr_grpsyl_p != (struct GRPSYL *) 0
					&& Getting_tup_dur == NO) {
			/* use whole note symbol as default */
			Curr_grpsyl_p->basictime = 1;
			Curr_grpsyl_p->is_meas = YES;
			Meas_rpt_type = (yyvsp[-1].intval);
			User_meas_time = NO;
		}
		else {
			yyerror("'m' is not valid here");
		}
	}
#line 4445 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 141:
#line 2072 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.ratval) = Zero;
	}
#line 4453 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 143:
#line 2082 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = NO;
	}
#line 4461 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 144:
#line 2088 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (YES | (YES << 1));
	}
#line 4469 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 145:
#line 2094 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = ((YES << 1) | YES);
	}
#line 4477 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2100 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (YES << 1);
	}
#line 4485 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2106 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = YES;
	}
#line 4493 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2111 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* null token for the purpose of allocating a new rangelist
		 * to be filled in with user data */
		new_staffset();
	}
#line 4503 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2132 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* save information about this range in the list */
		/* if only a single number, not a range, rangetail will be
		 * 0, so use num as both beginning and end of range */
		add_staffset( (yyvsp[-2].intval), ((yyvsp[-1].intval) > 0 ? (yyvsp[-1].intval) : (yyvsp[-2].intval)), String1, String2);
	}
#line 4514 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2140 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* no end of range, so return 0 as flag that there was only 1 number */
		(yyval.intval) = 0;
	}
#line 4523 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2147 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* make sure isn't 0, because that it illegal and would be used
		 * later as though there were no range. Other error checking
		 * on this number will be done later. */
		if ((yyvsp[0].intval) == 0) {
			yyerror("second number of range may not be zero");
		}
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 4537 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2158 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* no labels */
		String1 = String2 = (char *) 0;
	}
#line 4546 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2165 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* save label */
		String1 = (yyvsp[-2].stringval);
	}
#line 4555 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2171 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* no second label */
		String2 = (char *) 0;
	}
#line 4564 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2178 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* save label2 for later use */
		String2 = (yyvsp[0].stringval);
	}
#line 4573 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2187 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* NULL token for allocating space for a bar style list */
		new_barstlist();
		Bar_between = NO;
	}
#line 4583 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2204 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_barst(1, MAXSTAFFS, Bar_between, YES);
	}
#line 4591 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2210 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 4598 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2219 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) != PL_BETWEEN) {
			yyerror("barstyle range place can only be between");
		}
		else {
			Bar_between = YES;
		}
	}
#line 4611 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2231 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* if only 1 number, not range, rangetail will be 0, so use
		 * same number for beginning and end */
		add_barst((yyvsp[-1].intval), ((yyvsp[0].intval) == 0 ? (yyvsp[-1].intval) : (yyvsp[0].intval)), Bar_between, NO);
	}
#line 4621 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2238 "src/mup/gram.y" /* yacc.c:1646  */
    {
		used_check(Currstruct_p, SUBBARSTYLE, "subbarstyle");
		Bar_between = NO;
	}
#line 4630 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2244 "src/mup/gram.y" /* yacc.c:1646  */
    {
		set_barstlist(Currstruct_p, Subbar_app_p);
	}
#line 4638 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2250 "src/mup/gram.y" /* yacc.c:1646  */
    {
		set_barstlist(Currstruct_p, Subbar_app_p);
	}
#line 4646 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2255 "src/mup/gram.y" /* yacc.c:1646  */
    {
		MALLOC(SUBBAR_APPEARANCE, Subbar_app_p, 1);
	}
#line 4654 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2260 "src/mup/gram.y" /* yacc.c:1646  */
    {
		new_barstlist();
	}
#line 4662 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2266 "src/mup/gram.y" /* yacc.c:1646  */
    {
		switch ((yyvsp[0].intval)) {
		case L_NORMAL:
		case L_DASHED:
		case L_DOTTED:
			break;
		default:
			l_yyerror(Curr_filename, yylineno,
				"subbar linetype, if specified, can only be dashed or dotted");
			break;
		}

		Subbar_app_p->linetype = (yyvsp[0].intval);
	}
#line 4681 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2283 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) != SINGLEBAR && (yyvsp[0].intval) != DOUBLEBAR) {
			l_yyerror(Curr_filename, yylineno,
				"subbar type can only be bar or dblbar");
		}
		Subbar_app_p->bartype = (yyvsp[0].intval);
	}
#line 4693 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2292 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Subbar_app_p->upper_ref_line = LR_TOP;
		Subbar_app_p->upper_offset = 0.0;
		Subbar_app_p->lower_ref_line = LR_BOTTOM;
		Subbar_app_p->lower_offset = 0.0;
	}
#line 4704 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2304 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Subbar_app_p->upper_ref_line = (yyvsp[-5].intval);
		Subbar_app_p->upper_offset = (yyvsp[-4].floatval);
		Subbar_app_p->lower_ref_line = (yyvsp[-2].intval);
		Subbar_app_p->lower_offset = (yyvsp[-1].floatval);
	}
#line 4715 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2313 "src/mup/gram.y" /* yacc.c:1646  */
    {
		switch ((yyvsp[0].intval)) {
		case C_TOP:
			(yyval.intval) = LR_TOP;
			break;
		case C_BOT:
			(yyval.intval) = LR_BOTTOM;
			break;
		default:
			/* our yyerror will turn this into more helpful msg */
			yyerror("syntax error");
			/* return some valid value */
			(yyval.intval) = LR_MIDDLE;
			break;
		}
	}
#line 4736 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2332 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = LR_MIDDLE;
	}
#line 4744 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2337 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = 0.0;
	}
#line 4752 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2343 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = (yyvsp[-1].intval) * (yyvsp[0].floatval);
	}
#line 4760 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2355 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_barst(1, MAXSTAFFS, Bar_between, YES);
	}
#line 4768 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2368 "src/mup/gram.y" /* yacc.c:1646  */
    {
		struct SSV *ssv_p;
		int n;		/* to loop for checking for duplicates */

		if (Currstruct_p != 0) {
			ssv_p = Currstruct_p->u.ssv_p;
			if (ssv_p->nsubbar == 0) {
				MALLOC(SUBBAR_INSTANCE, ssv_p->subbarlist, 1);
			}
			else {
				REALLOC(SUBBAR_INSTANCE, ssv_p->subbarlist,
							ssv_p->nsubbar+1);
			}

			if ((yyvsp[0].floatval) <= 1.0 || (yyvsp[0].floatval) >= (double) Score.timenum + 1.0) {
				l_yyerror(Curr_filename, yylineno,
					"subbar time must be greater than 1.0 and less than %.3f",
							Score.timenum + 1.0);
			}
			for (n = 0; n < ssv_p->nsubbar; n++) {
				if (ssv_p->subbarlist[n].count == (yyvsp[0].floatval)) {
					l_warning(Curr_filename, yylineno,
						"time %f specified more than once for same subbar instance", (yyvsp[0].floatval));
				}
			}
			ssv_p->subbarlist[ssv_p->nsubbar].count = (yyvsp[0].floatval);
			ssv_p->subbarlist[ssv_p->nsubbar].appearance_p = Subbar_app_p;
			(ssv_p->nsubbar)++;
		}
	}
#line 4803 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2401 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = RD_ALL;
	}
#line 4811 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2407 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = RD_STANDARD;
	}
#line 4819 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2412 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Order_place = (yyvsp[0].intval);
		Order_prio = 1;
		if (Currstruct_p != 0) {
			switch ((yyvsp[0].intval)) {
			case PL_ABOVE:
				Currstruct_p->u.ssv_p->used[ABOVEORDER] = YES;
				break;
			case PL_BELOW:
				Currstruct_p->u.ssv_p->used[BELOWORDER] = YES;
				break;
			case PL_BETWEEN:
				Currstruct_p->u.ssv_p->used[BETWEENORDER] = YES;
				break;
			}
		}
	}
#line 4841 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2432 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			Currstruct_p->u.ssv_p->markorder[Order_place][(yyvsp[0].intval)] = Order_prio;
		}
	}
#line 4851 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2440 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			Currstruct_p->u.ssv_p->markorder[Order_place][(yyvsp[0].intval)] = ++Order_prio;
		}
	}
#line 4861 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2448 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			Currstruct_p->u.ssv_p->markorder[Order_place][(yyvsp[0].intval)] = Order_prio;
		}
	}
#line 4871 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2455 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			if (Currstruct_p->u.ssv_p->markorder[Order_place][(yyvsp[0].intval)] != 0) {
				l_yyerror(Curr_filename, yylineno,
					"order item %s specified more than once", (yyvsp[0].intval));
			}
		}
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 4885 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2467 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = MK_MUSSYM;
	}
#line 4893 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2473 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = MK_OCTAVE;
	}
#line 4901 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2479 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = MK_OTHERTEXT;
	}
#line 4909 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2485 "src/mup/gram.y" /* yacc.c:1646  */
    {
		switch ((yyvsp[0].intval)) {
		case TM_CHORD:
			(yyval.intval) = MK_CHORD;
			break;
		case TM_DYN:
			(yyval.intval) = MK_DYN;
			break;
		default:
			yyerror("invalid text modifier in order list");
			/* set to something valid, since $$ will be used
			 * as an array subscript. */
			(yyval.intval) = MK_CHORD;
			break;
		}
	}
#line 4930 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2504 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = MK_LYRICS;
	}
#line 4938 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2510 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = MK_ENDING;
	}
#line 4946 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2516 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = MK_REHEARSAL;
	}
#line 4954 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2522 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = MK_PEDAL;
	}
#line 4962 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2528 "src/mup/gram.y" /* yacc.c:1646  */
    {
		tsig_item(TSR_END);
		if (Currstruct_p != 0 && Currstruct_p->u.ssv_p != 0) {
			MALLOCA(char, Currstruct_p->u.ssv_p->timerep, Tsig_offset);
			strcpy(Currstruct_p->u.ssv_p->timerep, Timerep);
			assign_timesig(Currstruct_p, (yyvsp[0].intval), &Next_alt_timesig);
			Tsig_visibility = (yyvsp[0].intval);
			/* If there are alternating time signatures,
			 * need to save pointer to this list */
			if (Next_alt_timesig != 0) {
				Alt_timesig_list = Currstruct_p->u.ssv_p->timerep;
			}
			else {
				Alt_timesig_list = 0;
			}
		}
		/* Reset for next time signature usage, if any */
		Tsig_offset = 0;
	}
#line 4986 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2552 "src/mup/gram.y" /* yacc.c:1646  */
    { tsig_item(TSR_ALTERNATING); }
#line 4992 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2553 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* this is for alternating time signature */
	}
#line 5000 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2559 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 5007 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2563 "src/mup/gram.y" /* yacc.c:1646  */
    { tsig_item(TSR_ADD); }
#line 5013 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2564 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* This would be for things like 2/4 + 3/8 */
	}
#line 5021 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2570 "src/mup/gram.y" /* yacc.c:1646  */
    {
		tsig_item(TSR_CUT);
	}
#line 5029 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2576 "src/mup/gram.y" /* yacc.c:1646  */
    {
		tsig_item(TSR_COMMON);
	}
#line 5037 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2582 "src/mup/gram.y" /* yacc.c:1646  */
    {
		tsig_item(TSR_SLASH);
		if ((yyvsp[0].intval) < MINDENOMINATOR) {
			l_yyerror(Curr_filename, yylineno,
				"time signature denominator cannot be less than %d",
				MINDENOMINATOR);
			(yyvsp[0].intval) = MINDENOMINATOR;
		}
		else if ((yyvsp[0].intval) > MAXDENOMINATOR) {
			l_yyerror(Curr_filename, yylineno,
				"time signature denominator cannot be greater than %d",
				MAXDENOMINATOR);
			(yyvsp[0].intval) = MAXDENOMINATOR;
		}
		else if (power_of2check((yyvsp[0].intval), "time signature denominator") == NO) {
			(yyvsp[0].intval) = 1 << drmo((yyvsp[0].intval));
		}

		tsig_item((yyvsp[0].intval));
	}
#line 5062 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2605 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* this is something like 3+1/4 where the 1/4 get interpreted
		 * by lexer as quadwhole, but it's really 1 for numerator
		 * and 4 for denominator. 
		 */
		tsig_item(1);
		tsig_item(TSR_SLASH);
		tsig_item((yyvsp[0].intval));
	}
#line 5076 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2617 "src/mup/gram.y" /* yacc.c:1646  */
    {
		tsig_item(1);
		tsig_item(TSR_SLASH);
		tsig_item((yyvsp[0].intval));
	}
#line 5086 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2631 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) < MINNUMERATOR) {
			l_yyerror(Curr_filename, yylineno,
				"time signature numerator cannot be less than %d",
				MINNUMERATOR);
			(yyvsp[0].intval) = MINNUMERATOR;
		}
		else if ((yyvsp[0].intval) > MAXNUMERATOR) {
			l_yyerror(Curr_filename, yylineno,
				"time signature numerator cannot be greater than %d",
				MAXNUMERATOR);
			(yyvsp[0].intval) = MAXNUMERATOR;
		}
		tsig_item((yyvsp[0].intval));
	}
#line 5106 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2649 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = PTS_ONCE;
	}
#line 5114 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2655 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = ((yyvsp[0].intval) == YES ? PTS_ALWAYS : PTS_NEVER);
	}
#line 5122 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2660 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = NO;
	}
#line 5130 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2666 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* 'n' is used in various places to mean do NOT
		 * print something that would normally be printed,
		 * so YES means we do want to inhibit the normal printing. */
		(yyval.intval) = YES;
	}
#line 5141 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2674 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0 && Currstruct_p->u.ssv_p != 0) {
			Currstruct_p->u.ssv_p->prtime_str1 = 0;
			Currstruct_p->u.ssv_p->prtime_str2 = 0;
			Currstruct_p->u.ssv_p->prtime_is_arbitrary = NO;
			Currstruct_p->u.ssv_p->used[PRINTEDTIME] = YES;
		}
	}
#line 5154 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2685 "src/mup/gram.y" /* yacc.c:1646  */
    {
		tsig_item(TSR_END);
		if (Currstruct_p != 0 && Currstruct_p->u.ssv_p != 0) {
			MALLOCA(char, Currstruct_p->u.ssv_p->prtime_str1, Tsig_offset);
			strcpy(Currstruct_p->u.ssv_p->prtime_str1, Timerep);
			Currstruct_p->u.ssv_p->prtime_str2 = 0;
			Currstruct_p->u.ssv_p->prtime_is_arbitrary = NO;
			Currstruct_p->u.ssv_p->used[PRINTEDTIME] = YES;
		}
		/* Reset for next time signature usage, if any */
		Tsig_offset = 0;
	}
#line 5171 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2700 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0 && Currstruct_p->u.ssv_p != 0) {
			Currstruct_p->u.ssv_p->prtime_str1 = (yyvsp[0].stringval);
			Currstruct_p->u.ssv_p->prtime_str2 = 0;
			Currstruct_p->u.ssv_p->prtime_is_arbitrary = YES;
			Currstruct_p->u.ssv_p->used[PRINTEDTIME] = YES;

		}
	}
#line 5185 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2712 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0 && Currstruct_p->u.ssv_p != 0) {
			Currstruct_p->u.ssv_p->prtime_str1 = (yyvsp[-1].stringval);
			Currstruct_p->u.ssv_p->prtime_str2 = (yyvsp[0].stringval);
			Currstruct_p->u.ssv_p->prtime_is_arbitrary = YES;
			Currstruct_p->u.ssv_p->used[PRINTEDTIME] = YES;
		}
	}
#line 5198 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2722 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ( ((yyvsp[-1].intval) != '#') && ((yyvsp[-1].intval) != '&') ) {
			yyerror("key signature must include # or &");
		}
		else {
			assign_key((yyvsp[-2].intval), (yyvsp[-1].intval), (yyvsp[0].intval), Currstruct_p);
		}
	}
#line 5211 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2733 "src/mup/gram.y" /* yacc.c:1646  */
    {
		int sharps;

		/* Get number of sharps for the pitch letter */
		sharps = strchr(Circle, (yyvsp[-2].intval)) - Circle - 1;

		/* adjust for sharp/flat */
		if ((yyvsp[-1].intval) == '#') {
			sharps += 7;
		}
		else if ((yyvsp[-1].intval) == '&') {
			sharps -= 7;
		}
		else if ((yyvsp[-1].intval) != 0) {
			yyerror("key letter can only be followed by # or &");
			/* set to some ridiculous value, so will fail below */
			sharps = 999;
		}

		/* Adjust if needed for minor */
		if ((yyvsp[0].intval) == YES) {
			sharps -= 3;
		}

		/* disallow illegal keys, like f& */
		if (abs(sharps) > 7) {
			/* print error unless already printed one above */
			if (sharps < 100) {
				yyerror("invalid key--too many sharps or flats");
			}
		}
		else {
			assign_key(abs(sharps), (sharps >= 0 ? '#' : '&'),
							(yyvsp[0].intval), Currstruct_p);
		}
	}
#line 5252 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2772 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[-1].intval) == NO) {
			if ((yyvsp[0].intval) != -1) {
				l_warning(Curr_filename, yylineno,
					"can't use useaccs qualifier with n; ignoring the qualifier");
			}
			(yyval.intval) = UA_N;
		}
		else {
			if ((yyvsp[0].intval) == -1) {
				(yyvsp[0].intval) = UA_Y_NONE;
			}
			(yyval.intval) = (yyvsp[0].intval);
		}
	}
#line 5272 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2790 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Empty means UA_Y_NONE when used with 'y', but we need
		 * to distinguish temporarily, in case user erroneously
		 * tries to use std with 'n' */
		(yyval.intval) = -1;
	}
#line 5283 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2799 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 5291 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2805 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = UA_Y_ALL;
	}
#line 5299 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2811 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = UA_Y_NONNAT;
	}
#line 5307 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2818 "src/mup/gram.y" /* yacc.c:1646  */
    {
		asgn_stafflines((yyvsp[-1].intval), (yyvsp[0].intval) == YES ? SS_NOTHING : SS_NORMAL, Currstruct_p);
	}
#line 5315 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2824 "src/mup/gram.y" /* yacc.c:1646  */
    {
		asgn_stafflines((yyvsp[-1].intval), SS_DRUM, Currstruct_p);
	}
#line 5323 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2830 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* use default tablature */
		if (Currstruct_p != 0) {
			Currstruct_p->u.ssv_p->strinfo = Guitar;
			asgn_stafflines(DEFTABLINES, (yyvsp[0].intval), Currstruct_p);
		}
	}
#line 5335 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2840 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* user-specified tablature */
		asgn_stafflines((yyvsp[-2].intval), (yyvsp[0].intval), Currstruct_p);
	}
#line 5344 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2846 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = PTC_FIRST;
	}
#line 5352 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2852 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = PTC_NEVER;
	}
#line 5360 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2858 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* only valid letter is y */
		if (*yytext != 'y') {
			yyerror("flag value must be y or n");
		}
		(yyval.intval) = PTC_ALWAYS;
	}
#line 5372 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2867 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = CT_NONE;
	}
#line 5380 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2873 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (strcmp((yyvsp[0].stringval) + 2, "German") == 0) {
			(yyval.intval) = CT_GERMAN;
		}
		else {
			parse_doremi_string((yyvsp[0].stringval) + 2);
			(yyval.intval) = CT_DOREMI;
		}
	}
#line 5394 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2885 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = 1;
	}
#line 5402 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2891 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* count up the number of strings */
		(yyval.intval) = (yyvsp[-1].intval) + 1;
	}
#line 5411 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2897 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* save info about this tablature string */
		if (Currstruct_p != 0) {
			add_tab_string_info((yyvsp[-3].intval), (yyvsp[-2].intval), (yyvsp[-1].intval), (yyvsp[0].intval), Currstruct_p->u.ssv_p);
		}
	}
#line 5422 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2905 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = 0;
	}
#line 5430 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2911 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) != '&' && (yyvsp[0].intval) != '#') {
			yyerror("accidental on string can only be & or #");
		}
	}
#line 5440 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2918 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* no ticks */
		(yyval.intval) = 0;
	}
#line 5449 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2925 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* limit number of ticks. Has to match the number of bits
		 * used by TMP_NTICKS in grpsyl.c */
		if ((yyvsp[0].intval) > MAXTICKS) {
			l_yyerror(Curr_filename, yylineno,
				"too many ' marks (%d max)", MAXTICKS);
			(yyvsp[0].intval) = MAXTICKS;
		}
	}
#line 5463 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2936 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* only valid letter is y */
		if (*yytext != 'y') {
			yyerror("flag value must be y or n");
		}
		(yyval.intval) = YES;
	}
#line 5475 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2946 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = NO;
	}
#line 5483 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2951 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p == 0) {
			l_warning(Curr_filename, yylineno,
				"wrong context for setting scoresep; ignoring");
		}
		else {
			/* Assign the value of minimum vertical space
			 * between scores. */
			assign_float(MINSCSEP, (yyvsp[0].floatval), Currstruct_p);
		}
	}
#line 5499 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2964 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			/* if user set minimum greater than default maximum,
			 * adjust maximum to equal the minimum
			 * they specified. */
			if (Currstruct_p->u.ssv_p->minscsep
					> Currstruct_p->u.ssv_p->maxscsep) {
				Currstruct_p->u.ssv_p->maxscsep
					= Currstruct_p->u.ssv_p->minscsep;
			}
			else {
				/* fill in default */
				assign_float(MAXSCSEP, DEFMAXSCSEP, Currstruct_p);
			}
		}
	}
#line 5520 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2983 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			if (Currstruct_p->u.ssv_p->minscsep > (yyvsp[0].floatval)) {
				yyerror("scoresep maximum smaller than minimum");
			}
			assign_float(MAXSCSEP, (yyvsp[0].floatval), Currstruct_p);
		}
	}
#line 5533 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2993 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p == 0) {
			l_warning(Curr_filename, yylineno,
				"wrong context for setting scorepad; ignoring");
		}
		else {
			/* Assign the value of minimum vertical space
			 * between scores. */
			assign_float(MINSCPAD, (yyvsp[-1].intval) * (yyvsp[0].floatval), Currstruct_p);
		}
	}
#line 5549 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 257:
#line 3007 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			/* If user set minimum greater than default maximum,
			 * adjust maximum to equal the minimum
			 * they specified. */
			if (Currstruct_p->u.ssv_p->minscpad
					> Currstruct_p->u.ssv_p->maxscpad) {
				Currstruct_p->u.ssv_p->maxscpad
					= Currstruct_p->u.ssv_p->minscpad;
			}
			else {
				/* fill in default */
				assign_float(MAXSCPAD, DEFMAXSCPAD, Currstruct_p);
			}
		}
	}
#line 5570 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 258:
#line 3026 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			if (Currstruct_p->u.ssv_p->minscpad > (yyvsp[-1].intval) * (yyvsp[0].floatval)) {
				yyerror("scorepad maximum smaller than minimum");
			}
			assign_float(MAXSCPAD, (yyvsp[-1].intval) * (yyvsp[0].floatval), Currstruct_p);
		}
	}
#line 5583 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 259:
#line 3037 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 5590 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 260:
#line 3042 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_float(MAXPROSHORT, (yyvsp[-1].floatval), Currstruct_p);
	}
#line 5598 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 261:
#line 3047 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 5605 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 262:
#line 3052 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[-2].intval) > (yyvsp[0].intval)) {
			l_warning(Curr_filename, yylineno,
				"distance to begin shortening protruding stems cannot be greater than ending distance; making them equal");
			(yyvsp[0].intval) = (yyvsp[-2].intval);
		}
		assign_int(BEGPROSHORT, (yyvsp[-2].intval), Currstruct_p);
		assign_int(ENDPROSHORT, (yyvsp[0].intval), Currstruct_p);
	}
#line 5619 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 263:
#line 3064 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = UNKNOWN;
	}
#line 5627 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 264:
#line 3070 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 5635 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 266:
#line 3079 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[-1].intval) == (int) 'a' && (yyvsp[0].intval) >= 4 && (yyvsp[0].intval) <= 6) {
			switch ((yyvsp[0].intval)) {
			case 4:
				(yyval.intval) = PS_A4;
				break;
			case 5:
				(yyval.intval) = PS_A5;
				break;
			case 6:
				(yyval.intval) = PS_A6;
				break;
			default:
				pfatal("impossible pagesize");
				break;
			}
		}
		else {
			yyerror("unsupported pagesize");
		}
	}
#line 5661 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 267:
#line 3104 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = 0;
	}
#line 5669 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 268:
#line 3110 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = ((yyvsp[0].intval) == O_PORTRAIT ? 0 : 1);
	}
#line 5677 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 269:
#line 3116 "src/mup/gram.y" /* yacc.c:1646  */
    { VCrange_p = 0; Doing_vcombine = YES; }
#line 5683 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 270:
#line 3116 "src/mup/gram.y" /* yacc.c:1646  */
    { Doing_vcombine = NO; }
#line 5689 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 271:
#line 3121 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_vcombine(VC_NOOVERLAP, NO, Currstruct_p, Curr_tssv_p);
	}
#line 5697 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 272:
#line 3127 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Defining_multiple = NO;
	}
#line 5705 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 273:
#line 3133 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_vcombine(VC_NOOVERLAP, NO, Currstruct_p, Curr_tssv_p);
	}
#line 5713 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 274:
#line 3139 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_vcombine((yyvsp[-1].intval), (yyvsp[0].intval), Currstruct_p, Curr_tssv_p);
	}
#line 5721 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 275:
#line 3145 "src/mup/gram.y" /* yacc.c:1646  */
    {
		assign_vcombine((yyvsp[0].intval), YES, Currstruct_p, Curr_tssv_p);
	}
#line 5729 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 276:
#line 3152 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = VC_NOOVERLAP;
	}
#line 5737 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 277:
#line 3158 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 5745 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 278:
#line 3165 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = NO;
	}
#line 5753 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 279:
#line 3171 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = YES;
	}
#line 5761 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 280:
#line 3178 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 5769 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 281:
#line 3184 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) != C_TOP) {
			l_yyerror(Curr_filename, yylineno,
					"%s not valid here", yytext);
		}
		(yyval.intval) = ENDING_TOP;
	}
#line 5781 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 282:
#line 3193 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = 1;
	}
#line 5789 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 283:
#line 3199 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = -1;
	}
#line 5797 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 284:
#line 3204 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = NO;
	}
#line 5805 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 285:
#line 3210 "src/mup/gram.y" /* yacc.c:1646  */
    {
		switch ((yyvsp[0].intval)) {
		case MINOR:
			(yyval.intval) = YES;
			break;
		case MAJOR:
			(yyval.intval) = NO;
			break;
		default:
			(yyval.intval) = NO;
			yyerror("must be major or minor");
			break;
		}
	}
#line 5824 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 286:
#line 3226 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = P_LINE;
	}
#line 5832 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 287:
#line 3232 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = P_ALTPEDSTAR;
	}
#line 5840 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 288:
#line 3238 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = P_PEDSTAR;
	}
#line 5848 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 290:
#line 3246 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = TR_BOTH;
	}
#line 5856 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 291:
#line 3252 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 5864 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 292:
#line 3257 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 5871 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 293:
#line 3261 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) == FONT_UNKNOWN) {
			(yyvsp[0].intval) = Curr_font;
		}
		if ((yyvsp[-1].intval) == FAMILY_DFLT) {
			/* user didn't specify a family. Use the current
			 * family, unless we don't have one yet, in which
			 * case look it up */
			if (Curr_family == FAMILY_DFLT) {
				Curr_family = Score.fontfamily;
			}
			Titlefont =  Curr_family + (yyvsp[0].intval);
		}
		else {
			Titlefont = (yyvsp[-1].intval) + (yyvsp[0].intval);
		}
	}
#line 5893 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 294:
#line 3280 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = FONT_UNKNOWN;
	}
#line 5901 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 295:
#line 3286 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 5909 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 296:
#line 3291 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = FAMILY_DFLT;
	}
#line 5917 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 297:
#line 3296 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 5925 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 298:
#line 3301 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Titlesize = Curr_size;
	}
#line 5933 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 299:
#line 3307 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Titlesize = (yyvsp[-1].intval);
	}
#line 5941 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 300:
#line 3313 "src/mup/gram.y" /* yacc.c:1646  */
    {
		String1 = (yyvsp[0].stringval);
		Extra = extra_needed(Titlefont, Titlesize, &String1);
		proc_printcmd(J_CENTER, (struct INPCOORD *) 0, String1,
			Titlefont, Titlesize, YES, NO, PU_NORMAL, NO, 0, Extra);
	}
#line 5952 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 301:
#line 3322 "src/mup/gram.y" /* yacc.c:1646  */
    {
		double tmp_extra;

		/* If one is taller than the default for the font/size,
		 * figure out how much more to add on. */
		String1 = (yyvsp[-1].stringval);
		Extra = extra_needed(Titlefont, Titlesize, &String1);
		String2 = (yyvsp[0].stringval);
		tmp_extra = extra_needed(Titlefont, Titlesize, &String2);
		Extra = MAX(Extra, tmp_extra);

		proc_printcmd(J_LEFT, (struct INPCOORD *) 0, String1,
				Titlefont, Titlesize, YES, NO, PU_NORMAL,
				NO, 0, Extra);
		proc_printcmd(J_RIGHT, (struct INPCOORD *) 0, String2,
				Titlefont, Titlesize, NO, NO, PU_NORMAL,
				NO, 0, (double) 0.0);
	}
#line 5975 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 302:
#line 3343 "src/mup/gram.y" /* yacc.c:1646  */
    {
		double tmp_extra;
		char *string3;

		String1 = (yyvsp[-2].stringval);
		Extra = extra_needed(Titlefont, Titlesize, &String1);
		String2 = (yyvsp[-1].stringval);
		tmp_extra = extra_needed(Titlefont, Titlesize, &String2);
		Extra = MAX(Extra, tmp_extra);
		string3 = (yyvsp[0].stringval);
		tmp_extra = extra_needed(Titlefont, Titlesize, &string3);
		Extra = MAX(Extra, tmp_extra);

		proc_printcmd(J_LEFT, (struct INPCOORD *) 0, String1,
				Titlefont, Titlesize, YES, NO, PU_NORMAL,
				NO, 0, Extra);
		proc_printcmd(J_CENTER, (struct INPCOORD *) 0, String2,
				Titlefont, Titlesize, NO, NO, PU_NORMAL,
				NO, 0, (double) 0.0);
		proc_printcmd(J_RIGHT, (struct INPCOORD *) 0, string3,
				Titlefont, Titlesize, NO, NO, PU_NORMAL,
				NO, 0, (double) 0.0);
	}
#line 6003 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 303:
#line 3368 "src/mup/gram.y" /* yacc.c:1646  */
    {
		char *p;		/* pointer through the string */
		int backslash_count;	/* how many backslashes in a row */
		int font, size;		/* at end of \n-delimited segment */
		char *string_start;	/* where current segment begins */

		/* Convert unescaped input newlines to spaces.
		 * The +2 in the 'for' initialization is to skip font/size.
		 */
		backslash_count = 0;
		string_start = (yyvsp[-2].stringval);
		/* If we are running on a file using \r or \r\n for
		 * line separator, normalize to \n instead */
		for (p = string_start + 2; *p != 0; p++) {
			if (*p == '\r') {
				if ( *(p+1) != '\n') {
					/* \r by itself. Use \n instead */
					*p = '\n';
				}
				else {
					/* delete the \r */
					char *src, *dest;
					for (src = p + 1, dest = p;  ; src++, dest++) { 
						*dest = *src;
						if (*src == '\0') {
							break;
						}
					}
				}
			}
		}

		font = Titlefont;
		size = Titlesize;
		for (p = string_start + 2; *p != 0; p++) {
			/* Real newlines not preceded by an odd number
			 * of backslashes are converted to spaces. */
			if (*p == '\n' && (backslash_count & 0x1) == 0) {
				*p = ' ';
			}

			/* Count up number of consecutive backslashes.
			 * Also, if user explicitly uses \n, split into
			 * a new paragraph
			 */
			if (*p == '\\') {
				backslash_count++;
				if (((backslash_count & 0x1) == 1)
						&& ( *(p+1) == 'n') ) {
					/* Need to split.
					 * Terminate the current string
					 * where we are in it, and process it,
					 * then arrange to continue processing
					 * on the rest of the string.
					 */
					*p = '\0';
					(void) fix_string(string_start,
						font, size,
						Curr_filename, yylineno);
					String1 = map_print_str(strdup(string_start), Curr_filename, yylineno);
					proc_printcmd((yyvsp[-6].intval), (struct INPCOORD*) 0,
						String1, font, size,
						YES, NO, PU_NORMAL, NO, 0, 0.0);

					/* The user could change font/size
					 * in mid-string with \f() and/or \s().
					 * so we have to determine what they
					 * are at the end of the current segment
					 * and use that for making the copy
					 * of the remainder of the string.
					 * The original copy of the remainder
					 * of the string gets "memory leaked,"
					 * but this is a rare case, so not
					 * worth worrying about.
					 */
					end_fontsize(String1, &font, &size);
					string_start = copy_string(p+2, font, size);
					p++;
				}
			}
			else {
				backslash_count = 0;
			}
		}
		(void) fix_string(string_start, font, size,
					Curr_filename, yylineno);
		String1 = map_print_str(strdup(string_start), Curr_filename, yylineno);
		proc_printcmd((yyvsp[-6].intval), (struct INPCOORD*) 0, String1,
				font, size, YES, NO, PU_NORMAL, NO, 0, 0.0);
	}
#line 6098 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 304:
#line 3461 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Use same paragraph time as last time (or default if
		 * this is the first paragraph ever in this song.) */
		(yyval.intval) = Curr_paratype;
	}
#line 6108 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 305:
#line 3469 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_paratype = (yyvsp[0].intval);
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 6117 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 349:
#line 3605 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* strip the quotes from the string and make a copy for later use */
		if (Curr_family == FAMILY_DFLT) {
			Curr_family = Score.fontfamily;
		}
		(yyval.stringval) = copy_string(stripquotes(yytext), Curr_family + Curr_font,
								Curr_size);
	}
#line 6130 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 350:
#line 3616 "src/mup/gram.y" /* yacc.c:1646  */
    {
		char *old_string;

		/* append new string part to existing part */
		old_string = (yyvsp[-2].stringval);
		/* new string part has quotes, so subtract 2 from needed length,
		 * but need space for null, so overall need 1 less. */
		MALLOCA(char, (yyval.stringval), strlen(old_string) + strlen(yytext) - 1);
		sprintf((yyval.stringval), "%s%s", old_string, stripquotes(yytext));
		FREE(old_string);
	}
#line 6146 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3629 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(void) contextcheck(C_MUSIC, "music information");
		tssv_line();
		/* reset flags for next voice */
		Defining_multiple = NO;
		Curr_grpsyl_p = (struct GRPSYL *) 0;
		Good_till_canceled = NO;
		free_extra_time();
		Prev_grpsyl_p = 0;
		Meas_rpt_type = MRT_NONE;
	}
#line 6162 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3642 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Here's the deal: the staff/voice specification
		 * could be lists of staff ranges and/or voices.
		 * We need a separate copy of the groupinfo
		 * for each staff/voice. So as we parse the sv_spec,
		 * we remember which staffs and voices are specified,
		 * and keep a pointer to the first STAFF in the measure.
		 * Then after collecting the groupinfo,
		 * we make copies of the group info for each staff/voice given.
		 * It has to be copies rather than just a pointer to the
		 * same stuff, because the coordinates will be different
		 * for each staff/voice. */

		/* attach the groupinfo to each of the STAFF structs */
		link_groups();
	}
#line 6183 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3661 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_multirest((yyvsp[-1].intval));
		/* If there are alternating time signatures, figure out
		 * which one should be in effect at the end of the multirest */
		if (Alt_timesig_list != 0) {
			int m;

			/* The Next_alt_timesig is already pointing to
			 * the value for after the first measure in the
			 * multirest, so have to subtract 1 here */
			for (m = 0; m < (yyvsp[-1].intval) - 1; m++) {
				if (Next_alt_timesig == 0) {
					/* Shouldn't really ever get here,
					 * since other code should do the
					 * wrap-around, but just in case... */
					Next_alt_timesig = Alt_timesig_list;
					continue;
				}
				do {
					Next_alt_timesig++;
					if (*Next_alt_timesig == TSR_END) {
						Next_alt_timesig = Alt_timesig_list;
						break;
					}
				} while (*Next_alt_timesig != TSR_ALTERNATING);
			}
			if (*Next_alt_timesig == TSR_ALTERNATING) {
				Next_alt_timesig++;
			}
		}
		Currstruct_p = (struct MAINLL *) 0;
	}
#line 6220 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3696 "src/mup/gram.y" /* yacc.c:1646  */
    {
		free_staffrange();
	}
#line 6228 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3701 "src/mup/gram.y" /* yacc.c:1646  */
    {
		begin_range(PL_UNKNOWN);
	}
#line 6236 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3706 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Chord_at_a_time = NO;
	}
#line 6244 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3712 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Chord_at_a_time = YES;
	}
#line 6252 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3727 "src/mup/gram.y" /* yacc.c:1646  */
    {
		begin_map();
	}
#line 6260 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3732 "src/mup/gram.y" /* yacc.c:1646  */
    {
		end_map();
	}
#line 6268 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3737 "src/mup/gram.y" /* yacc.c:1646  */
    {
		map_item();
	}
#line 6276 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3743 "src/mup/gram.y" /* yacc.c:1646  */
    {
		map_item();
		Defining_multiple = YES;
	}
#line 6285 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3749 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* initialize grpsyl info */
		Curr_grpsyl_p = Last_grpsyl_p = (struct GRPSYL *) 0;
	}
#line 6294 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3759 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* prepare for a new set of ranges */
		begin_range(Place);
		Defining_multiple = YES;
	}
#line 6304 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3766 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* data is for staff with only one voice */
		save_vno_range(1, 1);
		add_to_sv_list();
	}
#line 6314 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3774 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) == YES) {
			add_to_sv_list();
		}
	}
#line 6324 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3783 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* set flag as to whether we are processing tab staff
		 * information or normal staff info */
		Doing_tab_staff = is_tab_range();
	}
#line 6334 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3793 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* several staffs have the same note data */
		Defining_multiple = YES;
	}
#line 6343 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3799 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* remember which staffs we are currently getting data for */
		/* if only a single number, not a range, staff_range will be
		 * 0, so use staffnum as high and low of range */
		save_staff_range((yyvsp[-1].intval), ((yyvsp[0].intval) == 0 ? (yyvsp[-1].intval) : (yyvsp[0].intval)));
	}
#line 6354 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3807 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* empty - no range, just a single number */
		(yyval.intval) = 0;
	}
#line 6363 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3814 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Defining_multiple = YES;
		(yyval.intval) = (yyvsp[0].intval);
		if ((yyvsp[0].intval) == 0) {
			yyerror("staff of 0 is illegal");
		}
	}
#line 6375 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3824 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* note data applies to a single voice */
		if (rangecheck((yyvsp[-1].intval), MINVOICES, MAXVOICES, "voice") == YES) {
			if (Doing_vcombine == YES) {
				save_vcombine_range((yyvsp[-1].intval), (yyvsp[-1].intval));
			}
			else {
				save_vno_range((yyvsp[-1].intval), (yyvsp[-1].intval));
			}
			(yyval.intval) = YES;
		}
		else {
			(yyval.intval) = NO;
		}
	}
#line 6395 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3842 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* note data applies to range of voices */
		if (rangecheck((yyvsp[-3].intval), MINVOICES, MAXVOICES, "voice") == YES &&
				rangecheck((yyvsp[-1].intval), MINVOICES, MAXVOICES, "voice") == YES) {
			if ((yyvsp[-1].intval) < (yyvsp[-3].intval)) {
				l_yyerror(Curr_filename, yylineno,
					"end of voice range is smaller than beginning");
				(yyval.intval) = NO;
			}
			else {
				if (Doing_vcombine == YES) {
					save_vcombine_range((yyvsp[-3].intval), (yyvsp[-1].intval));
				}
				else {
					save_vno_range((yyvsp[-3].intval), (yyvsp[-1].intval));
					Defining_multiple = YES;
				}
				(yyval.intval) = YES;
			}
		}
		else {
			(yyval.intval) = NO;
		}
	}
#line 6424 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3872 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Doing_vcombine == NO) {
			Defining_multiple = YES;
		}
	}
#line 6434 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3889 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Associate any TIMEDSSVs with this group */
		if (Curr_tssv_p != 0) {
			tssv_setgrpsyl(Curr_grpsyl_p);
			Curr_tssv_p = 0;
		}

		/* if no custom beaming indicated, fill in based on previous. */
		if ( Curr_grpsyl_p->beamloc == NOITEM) {
			setbeamloc(Curr_grpsyl_p, Last_grpsyl_p);
		}

		/* later we check that if there is an 'm', it is
		 * the only thing in the measure */

		link_notegroup(Curr_grpsyl_p, Last_grpsyl_p);
		Curr_marklist = 0;
		/* Save pointer to this group, in case there are additive
		 * times, and the next group gets its time value from this
		 * group. In that case, we need this group, not the last one
		 * of the added groups. */
		Prev_grpsyl_p = Curr_grpsyl_p;
		/* Add groups if there were additive time values. */
		if (Extra_time_p != 0) {
			Curr_grpsyl_p = expandgrp(Curr_grpsyl_p, Extra_time_p);
			/* If there was a custom beam ebm on something with
			 * additive time, we need make sure ENDITEM is on only
			 * the last of the expanded groups. */
			if (Curr_grpsyl_p != Prev_grpsyl_p
					&& Prev_grpsyl_p->beamloc == ENDITEM) {
				struct GRPSYL *g_p;
				for (g_p = Prev_grpsyl_p; g_p != Curr_grpsyl_p;
							g_p = g_p->next) {
					g_p->beamloc = INITEM;
				}
				Curr_grpsyl_p->beamloc = ENDITEM;
			}
			Last_grpsyl_p = Curr_grpsyl_p->prev;
		}
		Curr_timelist_p = 0;
	}
#line 6480 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3947 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Chord_at_a_time == YES) {
			yyerror("mid-measure changes not allowed on chord-at-a-time input");
		}
	}
#line 6490 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3956 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_tssv_p = tssv_create(C_SCORE);
	}
#line 6498 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3962 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_tssv_p = tssv_create(C_STAFF);
	}
#line 6506 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3968 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_tssv_p = tssv_create(C_VOICE);
	}
#line 6514 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3982 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p != 0 && Curr_grpsyl_p->grpsyl == GS_GROUP
				&& Curr_grpsyl_p->grpvalue == GV_ZERO) {
			yyerror("mid-measure clef change not allowed after grace note\n");
		}
		tssv_update(Curr_tssv_p, (yyvsp[-2].intval), (yyvsp[0].intval));
	}
#line 6526 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3992 "src/mup/gram.y" /* yacc.c:1646  */
    {
		switch ((yyvsp[-2].intval)) {

		case DEFOCT:
		case RELEASE:
			tssv_update(Curr_tssv_p, (yyvsp[-2].intval), (yyvsp[0].intval));
			break;

		default:
			l_warning(Curr_filename, yylineno,
				"parameter type cannot be changed mid-measure; ignoring");
			break;
		}
	}
#line 6545 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 396:
#line 4009 "src/mup/gram.y" /* yacc.c:1646  */
    {
		switch ((yyvsp[-2].intval)) {

		case ALIGNRESTS:
			tssv_update(Curr_tssv_p, (yyvsp[-2].intval), (yyvsp[0].intval));
			break;

		default:
			l_warning(Curr_filename, yylineno,
				"parameter type cannot be changed mid-measure; ignoring");
			break;
		}
	}
#line 6563 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 397:
#line 4025 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 6570 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 399:
#line 4034 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Good_till_canceled == NO) {
			/* use default attributes */
			Curr_grpsyl_p->grpvalue = GV_NORMAL;
			Curr_grpsyl_p->grpsize = GS_NORMAL;
			Curr_grpsyl_p->headshape = HS_UNKNOWN;
		}
		else {
			/* re-use previous style */
			copy_attributes(Curr_grpsyl_p, Last_grpsyl_p);
			Curr_grpsyl_p->with_was_gtc = YES;
		}
	}
#line 6588 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 400:
#line 4050 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Good_till_canceled = NO;
	}
#line 6596 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 401:
#line 4056 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 6603 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 402:
#line 4060 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Good_till_canceled = NO;
	}
#line 6611 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 403:
#line 4066 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Good_till_canceled = YES;
	}
#line 6619 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 404:
#line 4071 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 6626 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 405:
#line 4076 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Good_till_canceled == YES) {
			yyerror("can't use ... and more than one [] on same chord");
		}
	}
#line 6636 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 406:
#line 4083 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* NULL token to cause allocation of a GRPSYL struct */
		Last_grpsyl_p = Curr_grpsyl_p;
		Curr_grpsyl_p = newGRPSYL(GS_GROUP);
	}
#line 6646 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 407:
#line 4090 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* an empty marklist means we should use
		 * the same attributes as the last time */
		copy_attributes(Curr_grpsyl_p, Last_grpsyl_p);
	}
#line 6656 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 411:
#line 4107 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_grpsyl_p->nwith = (short) Item_count;
		Curr_grpsyl_p->withlist = Curr_marklist;
		if ((yyvsp[0].intval) != PL_UNKNOWN) {
			int m;

			/* User specified a side, so remember that */
			for (m = Mark_start; m < Item_count; m++) {
				Curr_marklist[m].place = (yyvsp[0].intval);
			}
		}
	}
#line 6673 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 415:
#line 4131 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->stemdir != UNKNOWN &&
					Curr_grpsyl_p->stemdir != (yyvsp[0].intval)) {
			l_warning(Curr_filename, yylineno,
				"both stem directions specified; using last instance");
		}
		if (Doing_tab_staff == YES) {
			l_warning(Curr_filename, yylineno,
				"stem direction specification is pointless on tab staff; ignoring");
		}
		else {
			Curr_grpsyl_p->stemdir = (yyvsp[0].intval);
		}
	}
#line 6692 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 416:
#line 4148 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[-2].intval) != DIST) {
			l_warning(Curr_filename, yylineno,
				"unexpected parameter name; ignoring");
		}
		else {
			if (Curr_grpsyl_p->restdist != NORESTDIST &&
					Curr_grpsyl_p->restdist != (yyvsp[-1].intval) * (yyvsp[0].intval)) {
				l_warning(Curr_filename, yylineno,
						"more than one dist value specified; using last instance");
			}
			Curr_grpsyl_p->restdist = (yyvsp[-1].intval) * (yyvsp[0].intval);
		}
	}
#line 6711 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 417:
#line 4165 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->ho_usage != HO_NONE &&
				Curr_grpsyl_p->ho_usage != (yyvsp[0].intval)) {
			l_warning(Curr_filename, yylineno,
				"More than one ho type specified; last instance used");
		}
		Curr_grpsyl_p->ho_usage = (yyvsp[0].intval);
	}
#line 6724 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 418:
#line 4176 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p != 0) {
			if (Curr_grpsyl_p->headshape != HS_UNKNOWN) {
				l_warning(Curr_filename, yylineno,
					"multiple head shapes specified, using last");
			}
			/* +2 to skip past extraneous font/size */
			if (Doing_tab_staff == YES && strcmp((yyvsp[0].stringval) + 2, "allx") != 0) {
				yyerror("allx is the only headshape allowed on tab staffs");
			}
			if ((Curr_grpsyl_p->headshape = get_shape_num((yyvsp[0].stringval) + 2))
					== HS_UNKNOWN) {
				l_yyerror(Curr_filename, yylineno,
					"'%s' is not a valid head shape name",
					ascii_str((yyvsp[0].stringval), YES, NO, TM_NONE));
			}
		}
		else {
			pfatal("Curr_grpsyl_p was null for setting hs");
		}
		/* We don't need the name anymore; we have its corresponding
		 * number that we use internally. */
		FREE((yyvsp[0].stringval));
	}
#line 6753 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 419:
#line 4203 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->stemlen != STEMLEN_UNKNOWN &&
				fabs(Curr_grpsyl_p->stemlen - (yyvsp[0].floatval) * STEPSIZE) > 0.0001) {
			l_warning(Curr_filename, yylineno,
				"more than one len specified; using last instance");
		}
		Curr_grpsyl_p->stemlen = (yyvsp[0].floatval) * STEPSIZE;
	}
#line 6766 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 420:
#line 4214 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) <= 0) {
			yyerror("slash number must be > 0");
		}
		else if ((yyvsp[0].intval) > 8) {
			/* we decided 8 slashes would be at least 256th note
			 * or shorter, and 256th is the shortest note we
			 * support, 8 slashes is plenty */
			l_warning(Curr_filename, yylineno,
				"number of slashes only allowed to be <= 8; limiting to 8");
			(yyvsp[0].intval) = 8;
		}
		if (Curr_grpsyl_p->slash_alt > 0 &&
					Curr_grpsyl_p->slash_alt != (yyvsp[0].intval)) {
			l_warning(Curr_filename, yylineno,
				"more than one slash value specified; using last instance");
		}
		if (Curr_grpsyl_p->slash_alt < 0) {
			yyerror("only one slash/alt allowed per group");
		}
		Curr_grpsyl_p->slash_alt = (yyvsp[0].intval);
	}
#line 6793 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 421:
#line 4239 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = HO_RIGHT;
	}
#line 6801 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 422:
#line 4245 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = HO_LEFT;
	}
#line 6809 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 423:
#line 4251 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* We want to silently accept identical values specified
		 * more than once, so use fuzzy compare to deal with roundoff */
		if (Curr_grpsyl_p->ho_usage == HO_VALUE &&
				fabs(Curr_grpsyl_p->ho_value - (yyvsp[-1].intval) * (yyvsp[0].floatval)) > 0.0001) {
			l_warning(Curr_filename, yylineno,
				"More than one ho value specified; last instance used");
		}
		if ((yyvsp[-1].intval) == 0) {
			Curr_grpsyl_p->ho_value = (yyvsp[0].floatval);
		}
		else {
			Curr_grpsyl_p->ho_value = (yyvsp[-1].intval) * (yyvsp[0].floatval);
		}
		(yyval.intval) = HO_VALUE;
	}
#line 6830 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 424:
#line 4270 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = 0;
	}
#line 6838 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 425:
#line 4276 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 6846 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 431:
#line 4298 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyvsp[0].floatval) *= (yyvsp[-1].intval);
		if (fabs(Curr_grpsyl_p->beamslope - NOBEAMANGLE) > 0.01) {
			l_warning(Curr_filename, yylineno,
				"multiple slope values specified; using last one");
		}
		if (frangecheck((yyvsp[0].floatval), MINBEAMANGLE, MAXBEAMANGLE, "slope") == YES) {
			Curr_grpsyl_p->beamslope = (yyvsp[0].floatval);
		}
	}
#line 6861 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 432:
#line 4311 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) <= 0) {
			yyerror("alt number must be > 0");
		}
		if (Curr_grpsyl_p->slash_alt != 0) {
			yyerror("only one slash/alt allowed per group");
		}
		if (Doing_tab_staff == YES) {
			l_warning(Curr_filename, yylineno,
				"alt not allowed on tablature staff; ignoring");
		}
		else {
			/* Should at least keep small enough
			 * that 1 shifted left by this still fits
			 * in a 16-bit int. For a while we limited to 15,
			 * but for slashes, we limit to 8, and
			 * that seems like more than enough for here too. */
			if ((yyvsp[0].intval) > 8) {
				l_warning(Curr_filename, yylineno,
					"alt value too large; limiting to 8");
				(yyvsp[0].intval) = 8;
			}
			Curr_grpsyl_p->slash_alt = -(yyvsp[0].intval);
		}
	}
#line 6891 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 433:
#line 4339 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->phcount < PH_COUNT) {
			Curr_grpsyl_p->phplace[Curr_grpsyl_p->phcount++] = (yyvsp[0].intval);
		}
		else {
			l_yyerror(Curr_filename, yylineno,
				"too many ph marks on the same chord; limiting to %d", PH_COUNT);
		}
	}
#line 6905 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 434:
#line 4351 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->ephcount < PH_COUNT) {
			Curr_grpsyl_p->ephcount++;
		}
		else {
			l_yyerror(Curr_filename, yylineno,
				"too many eph marks on the same chord; limiting to %d", PH_COUNT);
		}
	}
#line 6919 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 435:
#line 4362 "src/mup/gram.y" /* yacc.c:1646  */
    {
		int n;

		/* add a slur to each note in the chord. Don't know
		 * which pitch to slur to yet, just that it will be to
		 * the "matching" note in the next chord, so use
		 * special magic pitch of 'M' to convey this */
		for (n = 0; n < Curr_grpsyl_p->nnotes; n++) {
			add_slurto(Curr_grpsyl_p, 'M', USE_DFLT_OCTAVE, n, (yyvsp[-2].intval));
			set_slurdir(Curr_grpsyl_p, -1, (yyvsp[-1].intval), (yyvsp[0].intval));
		}
	}
#line 6936 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 436:
#line 4377 "src/mup/gram.y" /* yacc.c:1646  */
    {
		int n;

		Curr_grpsyl_p->tie = YES;
		for (n = 0; n < Curr_grpsyl_p->nnotes; n++) {
			Curr_grpsyl_p->notelist[n].tie = YES;
			Curr_grpsyl_p->notelist[n].tiestyle = (yyvsp[-2].intval);
			Curr_grpsyl_p->notelist[n].tiedir = (yyvsp[-1].intval);
			Curr_grpsyl_p->notelist[n].tied_to_voice = (yyvsp[0].intval);
		}
	}
#line 6952 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 437:
#line 4390 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_marklist == 0) {
			/* allocate space for a list of marks */
			MALLOC(WITH_ITEM, Curr_marklist, ITEMS);
			Item_count = 0;
			Max_items = ITEMS;
		}
		Mark_start = Item_count;
	}
#line 6966 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 438:
#line 4401 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = PL_UNKNOWN;
	}
#line 6974 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 439:
#line 4407 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 6982 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 440:
#line 4412 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = UNKNOWN;
	}
#line 6990 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 441:
#line 4418 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 6998 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 442:
#line 4424 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = NO_TO_VOICE;
	}
#line 7006 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 443:
#line 4430 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) >= MINVOICES && (yyvsp[0].intval) <= MAXVOICES) {
			/* Note that if the current staff doesn't have this
			 * to voice, that error will be caught later,
			 * by find_to_group() in tie.c */
			(yyval.intval) = (yyvsp[0].intval);
		}
		else {
			l_yyerror(Curr_filename, yylineno,
					"to voice must be between %d and %d",
					MINVOICES, MAXVOICES);
			(yyval.intval) = NO_TO_VOICE;
		}
	}
#line 7025 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 446:
#line 4453 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* if too many items, get some more space */
		if (Item_count >= Max_items) {
			Max_items += ITEMS;
			if ((Curr_marklist = (struct WITH_ITEM *) realloc(Curr_marklist,
						Max_items * sizeof(struct WITH_ITEM)))
						==  0) {
				l_no_mem(__FILE__, __LINE__);
			}
		}
		Curr_marklist[Item_count].string = (yyvsp[0].stringval);
		Curr_marklist[Item_count].place = PL_UNKNOWN;
		Item_count++;
	}
#line 7044 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 447:
#line 4469 "src/mup/gram.y" /* yacc.c:1646  */
    {
		MALLOCA(char, (yyval.stringval), strlen((yyvsp[0].stringval)) + 3);
		(yyval.stringval)[0] = FONT_TR;
		(yyval.stringval)[1] = DFLT_SIZE;
		sprintf((yyval.stringval) + 2, "%s", (yyvsp[0].stringval));
	}
#line 7055 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 449:
#line 4482 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = (Curr_grpsyl_p->grpsize == GS_NORMAL
					? "\\(dot)" : "\\(smdot)");
	}
#line 7064 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 450:
#line 4489 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = (Curr_grpsyl_p->grpsize == GS_NORMAL
					? "\\(leg)" : "\\(smleg)");
	}
#line 7073 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 451:
#line 4496 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = (Curr_grpsyl_p->grpsize == GS_NORMAL
					? "\\(acc_gt)" : "\\(smacc_gt)");
	}
#line 7082 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 452:
#line 4503 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = (Curr_grpsyl_p->grpsize == GS_NORMAL
					? "\\(acc_hat)" : "\\(smacc_hat)");
	}
#line 7091 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 453:
#line 4509 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->grpvalue == GV_ZERO) {
			Curr_grpsyl_p->grpsize = GS_TINY;
		}
		else {
			Curr_grpsyl_p->grpvalue = GV_NORMAL;
			Curr_grpsyl_p->grpsize = GS_SMALL;
		}
	}
#line 7105 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 454:
#line 4521 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_grpsyl_p->grpvalue = GV_ZERO;
		if (Curr_grpsyl_p->grpsize == GS_SMALL) {
			Curr_grpsyl_p->grpsize = GS_TINY;
		}
		else {
			Curr_grpsyl_p->grpsize = GS_SMALL;
		}
	}
#line 7119 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 455:
#line 4533 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->headshape != HS_UNKNOWN) {
			l_warning(Curr_filename, yylineno,
				"diam is overriding previous headshapes specification");
		}
		Curr_grpsyl_p->headshape = get_shape_num("diam");
	}
#line 7131 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 456:
#line 4543 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->headshape != HS_UNKNOWN) {
			l_warning(Curr_filename, yylineno,
				"xnote is overriding previous headshapes specification");
		}
		Curr_grpsyl_p->headshape = get_shape_num(
					Doing_tab_staff == YES ? "allx" : "x");
	}
#line 7144 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 457:
#line 4554 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = UP;
	}
#line 7152 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 458:
#line 4560 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = DOWN;
	}
#line 7160 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 459:
#line 4566 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* custom beaming cannot be nested */
		struct GRPSYL *prev_like_gs_p;
		/* Find previous group with same grace-ness. Can't use
		 * prevsimilar() here, since it looks at grpcont too. */
		for (prev_like_gs_p = Last_grpsyl_p; prev_like_gs_p != 0 &&
			prev_like_gs_p->grpvalue != Curr_grpsyl_p->grpvalue;
			prev_like_gs_p = prev_like_gs_p->prev) {
			;
		}
		if (prev_like_gs_p != 0 &&
				((prev_like_gs_p->beamloc == STARTITEM)
				|| (prev_like_gs_p->beamloc == INITEM)) ) {
			yyerror("custom beaming may not be nested");
		}
		/* Non-custom beaming, if any, is done later, in do_bar() */
		else {
			/* begin custom beaming */
			Curr_grpsyl_p->beamloc = STARTITEM;
			if (Curr_grpsyl_p->basictime < 8 && (yyvsp[0].intval) == CS_SAME) {
				yyerror("beamed notes must be 8th or shorter");
			}
		}
		Curr_grpsyl_p->beamto = (yyvsp[0].intval);
	}
#line 7190 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 460:
#line 4594 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_grpsyl_p->autobeam = STARTITEM;
	}
#line 7198 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 461:
#line 4600 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_grpsyl_p->autobeam = ENDITEM;
	}
#line 7206 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 462:
#line 4606 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_grpsyl_p->breakbeam = YES;
	}
#line 7214 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 463:
#line 4612 "src/mup/gram.y" /* yacc.c:1646  */
    {
		struct GRPSYL *last_nongrace_p;

		/* find the previous group, skipping grace groups */
		for (last_nongrace_p = Last_grpsyl_p;
				last_nongrace_p != (struct GRPSYL *) 0
				&& last_nongrace_p->grpvalue == GV_ZERO;
				last_nongrace_p = last_nongrace_p->prev) {
			;
		}

		/* check that a custom beam is in progress */
		if ((last_nongrace_p == (struct GRPSYL *) 0)
				|| ((last_nongrace_p != (struct GRPSYL *) 0)
				&& (last_nongrace_p->beamloc != STARTITEM)
				&& (last_nongrace_p->beamloc != INITEM) )) {
			l_warning(Curr_filename, yylineno,
				"'ebm' unexpected: no custom beaming in progress; ignoring");
		}
		else {
			Curr_grpsyl_p->beamloc = ENDITEM;
			Curr_grpsyl_p->beamto = last_nongrace_p->beamto;
			if (Curr_grpsyl_p->basictime < 8
					&& Last_grpsyl_p->beamto == CS_SAME) {
				yyerror("beamed notes must be 8th or shorter");
			}
		}
	}
#line 7247 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 464:
#line 4642 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Use the same as last time or default timeunit.
		 * If that involves additive time values,
		 * save pointer to that info in Extra_time_p for later use. */
		Extra_time_p = copy_timeunit(Curr_grpsyl_p, Prev_grpsyl_p,
						Extra_time_p);
	}
#line 7259 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 465:
#line 4652 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->is_meas == YES) {
			Curr_grpsyl_p->fulltime = Score.time;
		}
		else {
			Curr_grpsyl_p->fulltime = (yyvsp[0].ratval);
		}
	}
#line 7272 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 466:
#line 4662 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = CS_SAME;
	}
#line 7280 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 467:
#line 4668 "src/mup/gram.y" /* yacc.c:1646  */
    {
		CSBused = YES;
		switch ((yyvsp[0].intval)) {
		case PL_ABOVE:
			(yyval.intval) = CS_ABOVE;
			break;
		case PL_BELOW:
			(yyval.intval) = CS_BELOW;
			break;
		default:
			yyerror("bm with staff must be 'above' or 'below'");
			(yyval.intval) = CS_SAME;
		}
	}
#line 7299 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 468:
#line 4684 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.ratval).n = (yyvsp[0].intval);
		(yyval.ratval).d = 1;

		/* if filling in a GRPSYL struct, need to fill in basic time,
		 * could also be here due to beamstyle, in which case the
		 * Curr_grpsyl_p will be NULL, or when getting tuplet duration,
		 * in which case flag will be set */
		if (Curr_grpsyl_p != (struct GRPSYL *) 0
					&& Getting_tup_dur == NO) {
			/* If we are gathering basictime as part of a list
			 * of additive times, we will save the value a few
			 * lines down from here. But in the normal case,
			 * we set basictime in the current GRPSYL. */
			if (Extra_time_p == 0) {
				 Curr_grpsyl_p->basictime = multiwhole2basictime((yyvsp[0].intval));
			}
		}
		/* If doing additive times, need to save value. */
		if (Extra_time_p != 0) {
			Extra_basictime = multiwhole2basictime((yyvsp[0].intval));
		}
	}
#line 7327 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 469:
#line 4710 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* check that a power of two from 1 to MAXBASICTIME */
		if (power_of2check((yyvsp[0].intval), "note basic time value") == NO) {
			/* force to a power to two, so that other code
			 * (like in expandgrp) that expect a sane value
			 * will not blow up. This may lead to a somewhat
			 * misleading "time does not add up to time
			 * signature" message, but we don't know what
			 * time they really meant, and this is better
			 * than pfataling. */
			(yyvsp[0].intval) = 2;
		}
		/* can't use rangecheck here because the error message would
		 * say 0 and -1 are valid times, which is only true internally--
		 * the user has to use 1/2, 1/4, 1/8, or m. */
		if ((yyvsp[0].intval) < MINBASICTIME || (yyvsp[0].intval) > MAXBASICTIME) {
			l_yyerror(Curr_filename, yylineno,
				"time value must be between 1 and %d, or 1/2 or 1/4 or 1/8 or m",
				MAXBASICTIME);
			/* If user entered outrageous value, clamp to
			 * something semi-reasonable, else we could get
			 * rational overflow, and pfatal, even though it
			 * it is really a user error. */
			if ((yyvsp[0].intval) > MAXBASICTIME * 4) {
				(yyvsp[0].intval) = MAXBASICTIME * 4;
			}
		}
		(yyval.ratval).n = 1;
		/* avoid division by zero */
		if ((yyvsp[0].intval) == 0) {
			(yyvsp[0].intval) = 1;
		}
		(yyval.ratval).d = (yyvsp[0].intval);
		if (Curr_grpsyl_p != (struct GRPSYL *) 0
					&& Getting_tup_dur == NO) {
			if (Curr_timelist_p == 0) {
				Curr_grpsyl_p->basictime = (yyvsp[0].intval);
			}
		}
		/* If doing additive times, need to save value */
		if (Extra_time_p != 0) {
			Extra_basictime = (yyvsp[0].intval);
		}
	}
#line 7376 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 470:
#line 4757 "src/mup/gram.y" /* yacc.c:1646  */
    {
		free_extra_time();
	}
#line 7384 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 472:
#line 4767 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Set basictime to what we saved in basic_time_val rule,
		 * then calculate fulltime from that and number of dots. */
		Curr_timelist_p->basictime = Extra_basictime;
		Curr_timelist_p->fulltime = calcfulltime((yyvsp[-1].ratval), (yyvsp[0].intval));
		/* handle subtracted times by negating the fulltime */
		if ((yyvsp[-3].intval) == -1) {
			Curr_timelist_p->fulltime = rneg(Curr_timelist_p->fulltime);
		}
	}
#line 7399 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 473:
#line 4781 "src/mup/gram.y" /* yacc.c:1646  */
    {
		struct TIMELIST *timelist_p;

		MALLOC(TIMELIST, timelist_p, 1);
		/* Add to end of linked list */
		timelist_p->next = 0;
		/* Init fulltime to something to avoid garbage if there
		 * is a user input error */
		timelist_p->fulltime = Zero;
		if (Extra_time_p == 0) {
			Last_alloced_timelist_p = Extra_time_p = timelist_p;
		}
		else {
			Curr_timelist_p->next = timelist_p;
		}
		/* Keep track of where to append next item to list, if any */
		Curr_timelist_p = timelist_p;
	}
#line 7422 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 474:
#line 4802 "src/mup/gram.y" /* yacc.c:1646  */
    {
		User_meas_time = NO;
	}
#line 7430 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 475:
#line 4808 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p != (struct GRPSYL *) 0
					&& Getting_tup_dur == NO) {
			Curr_grpsyl_p->is_meas = YES;
			User_meas_time = YES;
			Meas_rpt_type = MRT_SINGLE;
		}
		else {
			yyerror("'m' is not valid here");
		}
	}
#line 7446 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 476:
#line 4821 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = MRT_SINGLE;
	}
#line 7454 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 477:
#line 4827 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = MRT_DOUBLE;
	}
#line 7462 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 478:
#line 4833 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = MRT_QUAD;
	}
#line 7470 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 479:
#line 4839 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = 0;
	}
#line 7478 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 480:
#line 4845 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* count up the number of dots */
		(yyval.intval) = (yyvsp[-1].intval) + 1;
	}
#line 7487 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 481:
#line 4851 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* We can't distinguish between the default 0.0 and
		 * if user explicitly sets to 0.0, so if they set to 0.0
		 * then to something else, we won't catch that as setting
		 * twice, but that shouldn't be common. Besides, if they
		 * expect them to be additive, adding to zero will work
		 * as they expect... Because of roundoff, we can't do
		 * exact compare for specifying the same value more than once,
		 * so treat as identical if pretty close. */
		if (Curr_grpsyl_p->padding != 0.0 && 
				fabs(Curr_grpsyl_p->padding - ((yyvsp[0].floatval) * STEPSIZE))
				> 0.0001) {
			l_warning(Curr_filename, yylineno,
				"padding specified more than once; using last instance");
		}
		Curr_grpsyl_p->padding = (yyvsp[0].floatval) * STEPSIZE;
	}
#line 7509 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 482:
#line 4871 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = (float) (yyvsp[-1].intval) * (yyvsp[0].floatval);
	}
#line 7517 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 483:
#line 4876 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* no sign--must be a positive number */
		(yyval.intval) = 1;
	}
#line 7526 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 484:
#line 4883 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* user wants a negative number */
		(yyval.intval) = -1;
	}
#line 7535 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 485:
#line 4889 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_grpsyl_p->grpcont = GC_NOTES;
		if ((yyvsp[0].intval) == 0) {
			/* no notes listed, use same as previous group */
			copy_notes(Curr_grpsyl_p, Last_grpsyl_p);
		}
		else {
			resize_notelist(Curr_grpsyl_p);
		}
	}
#line 7550 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 489:
#line 4914 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* allocate GRPSYL for the case where everything is defaulted
		 * from the previous group, with just an extra attribute
		 * like ? or ~ specified. */
		if (Curr_grpsyl_p == (struct GRPSYL *) 0) {
			/* shouldn't ever happen, but just in case... */
			Curr_grpsyl_p = newGRPSYL(GS_GROUP);
		}
		if (Last_grpsyl_p != (struct GRPSYL *) 0 &&
					Last_grpsyl_p->nnotes >= 1) {
			copy_notes(Curr_grpsyl_p, Last_grpsyl_p);
		}
		else if (Last_grpsyl_p != (struct GRPSYL *) 0 && 
				Last_grpsyl_p->grpcont == GC_REST) {
			Curr_grpsyl_p->grpcont = GC_REST;
		}
	}
#line 7572 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 490:
#line 4934 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->grpcont == GC_NOTES &&
					Curr_grpsyl_p->nnotes > 0) {
			if (Curr_grpsyl_p->grpvalue == GV_ZERO) {
				Curr_grpsyl_p->notelist[Curr_grpsyl_p->nnotes - 1]
						.notesize = GS_TINY;
			}
			else {
				Curr_grpsyl_p->notelist[Curr_grpsyl_p->nnotes - 1]
						.notesize = GS_SMALL;
			}
		}
		else if (Curr_grpsyl_p->grpcont == GC_REST) {
			Curr_grpsyl_p->grpsize  = GS_SMALL;
		}
		else {
			yyerror("no note specified for '?'");
		}
	}
#line 7596 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 491:
#line 4956 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->grpcont != GC_NOTES) {
			yyerror("can't tie a rest or space");
		}
		else if (Curr_grpsyl_p->nnotes > 0) {
			struct NOTE *n_p;
			n_p = &(Curr_grpsyl_p->notelist[Curr_grpsyl_p->nnotes - 1]);
			n_p->tie = YES;
			n_p->tiestyle = (yyvsp[-2].intval);
			n_p->tiedir = (yyvsp[-1].intval);
			n_p->tied_to_voice = (yyvsp[0].intval);
		}
		else {
			yyerror("no note specified for '~'");
		}
	}
#line 7617 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 492:
#line 4975 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->nnotes > 0) {
			switch (Curr_grpsyl_p->notelist
                                        [Curr_grpsyl_p->nnotes - 1].letter) {
			case PP_REST:
				/* If we haven't already allocated space for
				 * the restc array, so that now. It could
				 * already be allocated if user specified
				 * more than one tag. */
				if (Curr_grpsyl_p->restc == 0) {
					MALLOCA(float, Curr_grpsyl_p->restc, NUMCTYPE);
				}
				addsym((yyvsp[0].stringval), Curr_grpsyl_p->restc, CT_NOTE);
				break;
			case PP_SPACE:
			case PP_RPT:
			case PP_NO_PITCH:  /* this one not really possible */
				addsym((yyvsp[0].stringval), Curr_grpsyl_p->c, CT_GRPSYL);
				break;
			default:
				addsym((yyvsp[0].stringval), Curr_grpsyl_p->notelist
					[Curr_grpsyl_p->nnotes - 1].c, CT_NOTE);
				break;
			}
			var_valid();
		}
		else if (Curr_grpsyl_p->grpcont == GC_REST) {
			/* This should really never be hit anymore since
			 * chord-at-a-time code was added, but shouldn't
			 * hurt to leave it, just in case. */
			addsym((yyvsp[0].stringval), Curr_grpsyl_p->c, CT_GRPSYL);
			var_valid();
		}
		else {
			l_yyerror(Curr_filename, yylineno,
				"no note specified for location tag '%s'", (yyvsp[0].stringval));
		}
	}
#line 7660 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 493:
#line 5016 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* this is for bend on a non-tablature staff */
		if (Doing_tab_staff == YES) {
			yyerror("^ bend not allowed on tablature staff; use quoted bend string");
		}
		else {
			add_slurto(Curr_grpsyl_p, (yyvsp[-1].intval), (yyvsp[0].intval),
					Curr_grpsyl_p->nnotes - 1, L_NORMAL);
			if (Curr_grpsyl_p->nnotes > 0) {
				Curr_grpsyl_p->notelist
						[Curr_grpsyl_p->nnotes - 1]
						.is_bend = YES;
			}
		}
	}
#line 7680 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 494:
#line 5034 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* this is for a small bend (1/4 step) on a non-tab staff */
		if (Doing_tab_staff == YES) {
			yyerror("^/ not allowed on tablature staff; use quoted bend string");
		}
		else if (Curr_grpsyl_p != 0 && Curr_grpsyl_p->nnotes > 0) {
			Curr_grpsyl_p->notelist[Curr_grpsyl_p->nnotes - 1]
					.smallbend = YES;
		}
	}
#line 7695 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 495:
#line 5047 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->grpcont == GC_NOTES &&
					Curr_grpsyl_p->nnotes > 0) {
			if ((Curr_grpsyl_p->notelist[Curr_grpsyl_p->nnotes - 1]
					.headshape = get_shape_num((yyvsp[0].stringval) + 2))
					== HS_UNKNOWN) {
				l_yyerror(Curr_filename, yylineno,
					"'%s' is not a valid head shape name",
					ascii_str((yyvsp[0].stringval), YES, NO, TM_NONE));
			}
		}
		else {
			yyerror("no note specified for headshape");
		}
		FREE((yyvsp[0].stringval));
	}
#line 7716 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 499:
#line 5076 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[-1].intval) + (yyvsp[0].intval);	/* total number of notes */
	}
#line 7724 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 500:
#line 5082 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = 0;
	}
#line 7732 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 501:
#line 5088 "src/mup/gram.y" /* yacc.c:1646  */
    {
		switch ((yyvsp[0].intval)) {
		case PL_ABOVE:
			Curr_grpsyl_p->stemto = CS_ABOVE;
			break;
		case PL_BELOW:
			Curr_grpsyl_p->stemto = CS_BELOW;
			break;
		default:
			yyerror("cross staff stem must be with 'above' or 'below'");
			Curr_grpsyl_p->stemto = CS_SAME;
		}
		if ((yyvsp[-1].intval) == 0) {
			/* Maybe this wouldn't really hurt to allow,
			 * but it's rather silly--why would user bother to go
			 * to the trouble of saying there are cross staff stem
			 * notes, but then not list any?
			 */
			yyerror("cross-staff stem note list is empty");
		}

		/* It doesn't make sense to do "with r below" or "with s below"
		 * since we don't allow mixing rests and notes, and the only
		 * reason for CSS is for something that has a stem. */
		else if ((yyvsp[-1].intval) > 0) {
			int idx;
			int pitch;

			for (idx = FCNI(Curr_grpsyl_p);
					idx <= LCNI(Curr_grpsyl_p); idx++) {
				pitch = Curr_grpsyl_p->notelist[idx].letter;
				if (pitch == PP_REST || pitch == PP_SPACE) {
					yyerror("can't use with above/below on rest or space");
				}
			}
		}
		(yyval.intval) = (yyvsp[-1].intval);
	}
#line 7775 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 502:
#line 5128 "src/mup/gram.y" /* yacc.c:1646  */
    {
		CSSused = YES;
		Curr_grpsyl_p->stemto_idx = Curr_grpsyl_p->nnotes;
	}
#line 7784 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 503:
#line 5134 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* No notes.  If this is for the list of "normal" staff notes,
		 * and there are no "other" staff notes (for cross-staff stems),
		 * this means use the same notes as the last group. */
		(yyval.intval) = 0;
	}
#line 7795 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 504:
#line 5143 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* return number of notes in notelist */
		(yyval.intval) = (yyvsp[-2].intval) + 1;
	}
#line 7804 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 506:
#line 5152 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_note(Curr_grpsyl_p, (int) PP_REST, No_accs,
				USE_DFLT_OCTAVE, 0, NO, (char *) 0);
		if (Meas_rpt_type == MRT_DOUBLE || Meas_rpt_type == MRT_QUAD) {
			l_yyerror(Curr_filename, yylineno, "cannot use dbl/quad with mr");
		}
	}
#line 7816 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 507:
#line 5162 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* temporarily stash uncompressibility (NO in this case)
		 * in the octave field */
		add_note(Curr_grpsyl_p, (int) PP_SPACE, No_accs, NO,
							0, NO, (char *) 0);
		if (Curr_grpsyl_p->is_meas == YES && User_meas_time == YES) {
			l_warning(Curr_filename, yylineno,
				"specifying time value on measure space is pointless; ignoring");
		}
		if (Meas_rpt_type == MRT_DOUBLE || Meas_rpt_type == MRT_QUAD) {
			l_yyerror(Curr_filename, yylineno, "cannot use dbl/quad with ms");
		}
	}
#line 7834 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 508:
#line 5178 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* temporarily stash uncompressibility (YES in this case)
		 * in the octave field */
		add_note(Curr_grpsyl_p, (int) PP_SPACE, No_accs, YES,
							0, NO, (char *) 0);
		if (Curr_grpsyl_p->is_meas == YES && User_meas_time == YES) {
			l_warning(Curr_filename, yylineno,
				"specifying time value on measure uncollapsible space is pointless; ignoring");
		}
		if (Meas_rpt_type == MRT_DOUBLE || Meas_rpt_type == MRT_QUAD) {
			l_yyerror(Curr_filename, yylineno, "cannot use dbl/quad with mus");
		}
	}
#line 7852 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 509:
#line 5194 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_grpsyl_p->is_meas == YES) {
			if (User_meas_time == YES) {
				l_warning(Curr_filename, yylineno,
					"specifying time value on measure repeat is pointless; ignoring");
			}
		}
		else {
			yyerror("rpt can only be used with m");
		}
		add_note(Curr_grpsyl_p, (int) PP_RPT, No_accs, USE_DFLT_OCTAVE,
							0, NO, (char *) 0);
		Mrptused = YES;
		Curr_grpsyl_p->meas_rpt_type = Meas_rpt_type;
	}
#line 7872 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 510:
#line 5212 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) == SINGLEBAR) {
			/* lexer thinks this is 'bar'
			 * but is really 'b' 'a' 'r' */
			keyword_notes(yytext);
		}
		else if ((yyvsp[0].intval) == ENDBAR) {
			/* lexer thinks this is 'endbar'
			 * but is really 'en' 'd' 'b' 'a' 'r' */
			add_acc("nat");
			add_note(Curr_grpsyl_p, (int) 'e', Curr_accs,
				USE_DFLT_OCTAVE, 0, NO, (char *) 0);
			keyword_notes(yytext + 2);
		}
		else {
			yyerror("bar type not valid here");
		}
	}
#line 7895 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 511:
#line 5233 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* lexer thinks this is 'grace' but really 'g' 'r' 'a' 'c' 'e' */
		keyword_notes(yytext);
	}
#line 7904 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 512:
#line 5240 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) == ENDING_BARRED) {
			keyword_notes(yytext);
		}
		else {
			l_yyerror(Curr_filename, yylineno,
					"%s not valid here", yytext);
		}
	}
#line 7918 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 513:
#line 5251 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) == J_RAGPARA) {
			keyword_notes(yytext);
		}
		else {
			l_yyerror(Curr_filename, yylineno,
					"%s not valid here", yytext);
		}
	}
#line 7932 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 514:
#line 5263 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) == BRACELIST) {
			keyword_notes(yytext);
		}
		else {
			l_yyerror(Curr_filename, yylineno,
					"%s not valid here", yytext);
		}
	}
#line 7946 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 515:
#line 5275 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) == BASS) {
			keyword_notes(yytext);
		}
		else {
			l_yyerror(Curr_filename, yylineno,
					"%s not valid here", yytext);
		}
	}
#line 7960 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 516:
#line 5287 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* in chord-at-time mode, lex could mistake useaccs
		 * for a 6-note chord: us e a c c s  */
		keyword_notes(yytext);
	}
#line 7970 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 517:
#line 5295 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_grpsyl_p->notelist[Curr_grpsyl_p->nnotes - 1].note_has_paren = YES;
	}
#line 7978 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 518:
#line 5300 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Doing_tab_staff == YES) {
			add_note(Curr_grpsyl_p, (yyvsp[-1].intval), No_accs, NOFRET, 0, NO, (yyvsp[0].stringval));
		}
		else {
			add_note(Curr_grpsyl_p, (yyvsp[-1].intval), No_accs, USE_DFLT_OCTAVE,
								0, NO, (yyvsp[0].stringval));
		}
	}
#line 7992 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 519:
#line 5312 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Doing_tab_staff == YES) {
			l_warning(Curr_filename, yylineno,
				"parentheses around accidentals are extraneous on tab staffs; ignoring");
		}
		add_note(Curr_grpsyl_p, (yyvsp[-4].intval), Curr_accs, (yyvsp[0].intval), 0, YES, (char *) 0);
	}
#line 8004 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 520:
#line 5322 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Doing_tab_staff == NO) {
			l_warning(Curr_filename, yylineno,
				"parentheses around octave are extraneous; ignoring");
		}
		add_note(Curr_grpsyl_p, (yyvsp[-4].intval), No_accs, (yyvsp[-2].intval), 0, YES, (yyvsp[0].stringval));
	}
#line 8016 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 521:
#line 5332 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Whoops! The left paren was really for a new note,
		 * which happens to be parenthesized. But beause yacc only
		 * looks ahead one token, it finds out too late. So we
		 * catch it here, push the parenthesis and pitch back into
		 * the input and return back to the parent grammar rule,
		 * since we now have complete note. */
		pushback(yytext[0]);
		pushback('(');
		add_note(Curr_grpsyl_p, (yyvsp[-2].intval), No_accs,
			(Doing_tab_staff ? NOFRET : USE_DFLT_OCTAVE),
			0, NO, (char *) 0);
	}
#line 8034 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 522:
#line 5348 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_note(Curr_grpsyl_p, (yyvsp[-4].intval), Curr_accs, (yyvsp[-1].intval), (yyvsp[-2].intval), NO, (yyvsp[0].stringval));
	}
#line 8042 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 523:
#line 5354 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Doing_tab_staff == NO) {
			l_warning(Curr_filename, yylineno,
				"extraneous parentheses around octave; ignoring");
		}
		add_note(Curr_grpsyl_p, (yyvsp[-6].intval), Curr_accs, (yyvsp[-2].intval), (yyvsp[-4].intval), YES, (yyvsp[0].stringval));
	}
#line 8054 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 524:
#line 5364 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Whoops! The left paren was really for a new note,
		 * which happens to be parenthesized. But beause yacc only
		 * looks ahead one token, it finds out too late. So we
		 * catch it here, push the parenthesis and pitch back into
		 * the input and return back to the parent grammar rule,
		 * since we now have complete note. */
		pushback(yytext[0]);
		pushback('(');
		add_note(Curr_grpsyl_p, (yyvsp[-4].intval), Curr_accs,
			(Doing_tab_staff ? NOFRET : USE_DFLT_OCTAVE),
			(yyvsp[-2].intval), NO, (char *) 0);
	}
#line 8072 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 525:
#line 5380 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_note(Curr_grpsyl_p, (yyvsp[-3].intval), No_accs, (yyvsp[-1].intval), (yyvsp[-2].intval), NO, (yyvsp[0].stringval));
	}
#line 8080 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 526:
#line 5386 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_note(Curr_grpsyl_p, (yyvsp[-5].intval), No_accs, (yyvsp[-2].intval), (yyvsp[-4].intval), YES, (yyvsp[0].stringval));
	}
#line 8088 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 527:
#line 5392 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Doing_tab_staff == YES && Curr_accs[0] != '\0') {
			yyerror("accidental must be before fret number");
		}
		add_note(Curr_grpsyl_p, (yyvsp[-3].intval), Curr_accs, (yyvsp[-2].intval), 0, NO, (yyvsp[0].stringval));
	}
#line 8099 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 528:
#line 5401 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_note(Curr_grpsyl_p, (yyvsp[-4].intval), Curr_accs, (yyvsp[-3].intval), 0, YES, (char *) 0);
	}
#line 8107 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 529:
#line 5407 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Whoops! The left paren was really for a new note,
		 * which happens to be parenthesized. But beause yacc only
		 * looks ahead one token, it finds out too late. So we
		 * catch it here, push the parenthesis and pitch back into
		 * the input and return back to the parent grammar rule,
		 * since we now have complete note. */
		pushback(yytext[0]);
		pushback('(');
		add_note(Curr_grpsyl_p, (yyvsp[-3].intval), No_accs, (yyvsp[-2].intval), 0, NO, (char *) 0);
	}
#line 8123 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 530:
#line 5420 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = (char *) 0;
	}
#line 8131 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 531:
#line 5426 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Doing_tab_staff == NO) {
			/* try to give helpful error message */
			if (get_shape_num((yyvsp[0].stringval) + 2) != HS_UNKNOWN) {
				yyerror("missing 'hs' before headshape string");
			}
			else if (strcmp((yyvsp[0].stringval) + 2, "full") == 0 || isdigit((yyvsp[0].stringval)[2])) {
				yyerror("bend string not allowed on non-tablature staff; use ^");
			}
			else {
				yyerror("unexpected string");
			}
			(yyval.stringval) = (char *) 0;
		}
	}
#line 8151 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 532:
#line 5443 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* return 'a' to 'g' value */
		(yyval.intval) = (int) *yytext;
	}
#line 8160 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 533:
#line 5449 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* no accidental */
		(yyval.intval) = 0;
	}
#line 8169 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 534:
#line 5456 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 8176 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 535:
#line 5460 "src/mup/gram.y" /* yacc.c:1646  */
    {
		clear_curr_accs();
	}
#line 8184 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 536:
#line 5466 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 8191 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 537:
#line 5469 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* no octave or fret designation */
		(yyval.intval) = (Doing_tab_staff ? NOFRET : USE_DFLT_OCTAVE);
	}
#line 8200 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 538:
#line 5476 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 8207 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 539:
#line 5481 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 8214 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 540:
#line 5485 "src/mup/gram.y" /* yacc.c:1646  */
    {
		clear_curr_accs();
	}
#line 8222 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 541:
#line 5490 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 8229 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 542:
#line 5495 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 8236 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 543:
#line 5500 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_acc("sharp");
	}
#line 8244 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 544:
#line 5506 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_acc("flat");
	}
#line 8252 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 545:
#line 5512 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_acc("nat");
	}
#line 8260 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 546:
#line 5518 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_acc("dblsharp");
	}
#line 8268 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 547:
#line 5524 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_acc("dblflat");
	}
#line 8276 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 548:
#line 5530 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_acc((yyvsp[-1].stringval) + 2);
		Tuning_used = YES;
	}
#line 8285 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 549:
#line 5537 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = '#';
	}
#line 8293 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 550:
#line 5543 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = '&';
	}
#line 8301 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 551:
#line 5549 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* natural */
		(yyval.intval) = 'n';
	}
#line 8310 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 552:
#line 5556 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* double sharp */
		(yyval.intval) = 'x';
	}
#line 8319 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 553:
#line 5563 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = 'B';
	}
#line 8327 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 554:
#line 5569 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 8335 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 555:
#line 5575 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* we can't really fill in the actual octave yet, because
		 * it may be different on different staffs or voices, so
		 * we store the relative octave and fill in actual value
		 * later.
		 */
		/* this will be a negative number */
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 8349 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 556:
#line 5587 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* we can't really fill in the actual octave yet, because
		 * it may be different on different staffs or voices, so
		 * we store the relative octave and fill in actual value
		 * later.
		 */
		(yyval.intval) = USE_DFLT_OCTAVE + (yyvsp[0].intval);
	}
#line 8362 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 557:
#line 5597 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = -1;
	}
#line 8370 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 558:
#line 5603 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* count up the number of minus signs */
		(yyval.intval) = (yyvsp[-1].intval) - 1;
	}
#line 8379 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 559:
#line 5609 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = 1;
	}
#line 8387 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 560:
#line 5615 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* count up the number of plus signs */
		(yyval.intval) = (yyvsp[-1].intval) + 1;
	}
#line 8396 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 561:
#line 5622 "src/mup/gram.y" /* yacc.c:1646  */
    {
		set_slurdir(Curr_grpsyl_p, Curr_grpsyl_p->nnotes - 1, (yyvsp[-1].intval), (yyvsp[0].intval));
	}
#line 8404 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 562:
#line 5629 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Linetype = (yyvsp[0].intval);
		begin_slur(Curr_grpsyl_p, Curr_grpsyl_p->nnotes - 1);
	}
#line 8413 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 563:
#line 5635 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* empty list. Only allowed if only one note in following
		 * group. However, we don't know that yet, so marked pitch
		 * as 'U' for unknown */
		add_slurto(Curr_grpsyl_p, 'U', USE_DFLT_OCTAVE,
				Curr_grpsyl_p->nnotes - 1, Linetype);
	}
#line 8425 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 564:
#line 5645 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_slurto(Curr_grpsyl_p, 0, (yyvsp[0].intval), Curr_grpsyl_p->nnotes - 1,
						Linetype);
	}
#line 8434 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 5663 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Doing_tab_staff == YES) {
			yyerror("cannot specify string inside <> on tab staffs");
		}
		else {
			add_slurto(Curr_grpsyl_p, (yyvsp[-1].intval), (yyvsp[0].intval),
					Curr_grpsyl_p->nnotes - 1, Linetype);
		}
	}
#line 8448 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 569:
#line 5675 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* save address associated with entire group */
		if ( (yyvsp[0].stringval) != (char *) 0) {
			addsym((yyvsp[0].stringval), Curr_grpsyl_p->c, CT_GRPSYL);
			var_valid();
		}
	}
#line 8460 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 570:
#line 5684 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = strcpy(Stringbuff, yytext);
	}
#line 8468 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 571:
#line 5690 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* a-g are usually pitches, but in this context, they
		 * are 1-character variable names. */
		(yyval.stringval) = strcpy(Stringbuff, yytext);
	}
#line 8478 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 572:
#line 5698 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* usually m means measure, but here it is the variable m */
		(yyval.stringval) = strcpy(Stringbuff, yytext);
	}
#line 8487 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 573:
#line 5705 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* usually rest, here variable r */
		(yyval.stringval) = strcpy(Stringbuff, yytext);
	}
#line 8496 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 574:
#line 5712 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* usually space, here variable s */
		(yyval.stringval) = strcpy(Stringbuff, yytext);
	}
#line 8505 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 575:
#line 5719 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* usually uncompressible, here variable u */
		(yyval.stringval) = strcpy(Stringbuff, yytext);
	}
#line 8514 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 576:
#line 5726 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* usually natural, here variable n */
		(yyval.stringval) = strcpy(Stringbuff, yytext);
	}
#line 8523 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 577:
#line 5733 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* usually double sharp, here variable x */
		(yyval.stringval) = strcpy(Stringbuff, yytext);
	}
#line 8532 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 578:
#line 5740 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* tag name with more than one character */
		(yyval.stringval) = strcpy(Stringbuff, yytext);
	}
#line 8541 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 579:
#line 5747 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(void) sprintf(Stringbuff + strlen((yyvsp[-2].stringval)), ".%d", (yyvsp[0].intval));
		(yyval.stringval) = Stringbuff;
	}
#line 8550 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 580:
#line 5754 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* tag name with more than one character */
		(yyval.stringval) = strcpy(Stringbuff, yytext);
	}
#line 8559 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 581:
#line 5761 "src/mup/gram.y" /* yacc.c:1646  */
    {
		end_tuplet((yyvsp[-4].intval), (yyvsp[-2].ratval), (yyvsp[-3].intval), (yyvsp[-5].intval), (yyvsp[-1].floatval));
		Getting_tup_dur = NO;
	}
#line 8568 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 582:
#line 5767 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* nothing -- use default of when to print tuplet number/bracket */
		(yyval.intval) = PT_DEFAULT;
	}
#line 8577 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 583:
#line 5774 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* don't print tuplet or bracket */
		(yyval.intval) = PT_NEITHER;
	}
#line 8586 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 584:
#line 5781 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* print number only */
		(yyval.intval) = PT_NUMBER;
	}
#line 8595 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 585:
#line 5788 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (*yytext == 'y') {
			(yyval.intval) = PT_BOTH;
		}
		else {
			yyerror("tuplet number/bracket qualifier must be y or n or num");
		}
	}
#line 8608 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 586:
#line 5800 "src/mup/gram.y" /* yacc.c:1646  */
    {
		begin_tuplet();
	}
#line 8616 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 587:
#line 5805 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Getting_tup_dur = YES;
	}
#line 8624 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 588:
#line 5810 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = PL_UNKNOWN;
	}
#line 8632 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 589:
#line 5816 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (yylval.intval == PL_BETWEEN) {
			yyerror("between not allowed for tuplet side");
			(yyval.intval) = PL_UNKNOWN;
		}
	}
#line 8643 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 590:
#line 5824 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* optional time value is missing */
		(yyval.ratval).n = 0;
		(yyval.ratval).d = 1;
	}
#line 8653 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 591:
#line 5832 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.ratval) = (yyvsp[0].ratval);
	}
#line 8661 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 592:
#line 5838 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = NOTUPLETANGLE;
	}
#line 8669 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 593:
#line 5843 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyvsp[0].floatval) *= (yyvsp[-1].intval);
		if (frangecheck((yyvsp[0].floatval), MINTUPLETANGLE, MAXTUPLETANGLE, "slope") == YES) {
			(yyval.floatval) = (yyvsp[0].floatval);
		}
		else {
			(yyval.floatval) = NOTUPLETANGLE;
		}
	}
#line 8683 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 594:
#line 5855 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 8690 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 595:
#line 5859 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Last_grpsyl_p = Curr_grpsyl_p = (struct GRPSYL *) 0;
	}
#line 8698 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 596:
#line 5864 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* If user does "all" without specifying a place,
		 * all() will call dflt_place() which was really intended
		 * to only handle STUFF. So we have to tell it we have lyrics,
		 * not a true STUFF. */
		set_stuff_type(-1);
	}
#line 8710 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 597:
#line 5873 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Using_staff = -1;
		Using_voice = -1;
	}
#line 8719 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 598:
#line 5880 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Using_staff = (yyvsp[0].intval);
		Using_voice = 1;
	}
#line 8728 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 599:
#line 5887 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Using_staff = (yyvsp[-1].intval);
		Using_voice = (yyvsp[0].intval);
	}
#line 8737 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 600:
#line 5893 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* empty, use default */
		begin_range(PL_UNKNOWN);
		(yyval.intval) = PL_UNKNOWN;
	}
#line 8747 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 601:
#line 5901 "src/mup/gram.y" /* yacc.c:1646  */
    {
		begin_range((yyvsp[0].intval));
	}
#line 8755 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 602:
#line 5906 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval)= PL_UNKNOWN;
	}
#line 8763 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 603:
#line 5912 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) == PL_BETWEEN) {
			yyerror("place for ph, if specified, must be above or below, not between");
		}
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 8774 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 605:
#line 5923 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* means goes above or below all the staffs, regardless if
		 * some happen to be invisible at the moment, so find top
		 * or bottom visible staff as appropriate,and save that
		 * away as the staff range */
		all();
	}
#line 8786 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 607:
#line 5936 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* if staff_range == 0, then only one staff specified, so
		 * use first staff number for both beginning and end of range */
		save_staff_range((yyvsp[-1].intval), ((yyvsp[0].intval) == 0 ? (yyvsp[-1].intval) : (yyvsp[0].intval)) );
	}
#line 8796 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 608:
#line 5943 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* empty */
		chk_range_type(NO);
		(yyval.intval) = 0;
	}
#line 8806 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 609:
#line 5951 "src/mup/gram.y" /* yacc.c:1646  */
    {
		chk_range_type(NO);
		(yyval.intval) = (yyvsp[0].intval);
		if ((yyvsp[0].intval) == 0) {
			yyerror("staff of 0 is illegal");
		}
	}
#line 8818 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 610:
#line 5961 "src/mup/gram.y" /* yacc.c:1646  */
    {
		chk_range_type(YES);
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 8827 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 612:
#line 5970 "src/mup/gram.y" /* yacc.c:1646  */
    { Place = (yyvsp[0].intval); }
#line 8833 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 614:
#line 5975 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 8840 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 615:
#line 5980 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (*yytext != 'c') {
			yyerror("verse must be 'c' or number(s)");
		}
		else {
			save_vno_range(0, 0);
		}
	}
#line 8853 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 616:
#line 5991 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 8860 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 617:
#line 5996 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 8867 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 618:
#line 6001 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* if end of range is 0, not really a range, use first number
		 * for both beginning and end */
		lyr_verse((yyvsp[-1].intval), ((yyvsp[0].intval) == 0 ? (yyvsp[-1].intval) : (yyvsp[0].intval)));
	}
#line 8877 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 619:
#line 6008 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* empty */
		(yyval.intval) = 0;
	}
#line 8886 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 620:
#line 6015 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 8894 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 621:
#line 6020 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* null token to allocate a GRPSYL for a lyric */
		Last_grpsyl_p = Curr_grpsyl_p;
		Curr_grpsyl_p = newGRPSYL(GS_SYLLABLE);
		if (Last_grpsyl_p == (struct GRPSYL *) 0) {
			Lyrics_p = Curr_grpsyl_p;
		}
	}
#line 8907 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 622:
#line 6030 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* If user didn't specify a place, fix that. */
		if (Place == PL_UNKNOWN) {
			Place = PL_BELOW;
		}
		/* copies of the lyrics info has been made for all staffs/verses
		 * at this point, so get rid of master copy */
		free_grpsyls(Lyrics_p);
	}
#line 8921 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 623:
#line 6041 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* empty -- need to derive times from music */
		Lyrics_p = derive_lyrtime();
	}
#line 8930 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 624:
#line 6048 "src/mup/gram.y" /* yacc.c:1646  */
    {
		not_derived();
	}
#line 8938 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 628:
#line 6063 "src/mup/gram.y" /* yacc.c:1646  */
    {
		link_notegroup(Curr_grpsyl_p, Last_grpsyl_p);
		/* Save pointer to current GRPSYL in case the next
		 * group gets its time value based on this one,
		 * and there are additive times on this one. */
		Prev_grpsyl_p = Curr_grpsyl_p;
		/* If there are additive times, add those in.
		 * We don't need to make extra groups for lyrics, because we
		 * don't need to tie groups together--the lyrics time
		 * can hold any legal RATIONAL, even those that aren't
		 * specifiable with a single time value. */
		if (Extra_time_p != 0) {
			struct TIMELIST *timelist_p;
			for (timelist_p = Extra_time_p; timelist_p != 0;
						timelist_p = timelist_p->next) {
				Curr_grpsyl_p->fulltime = radd(Curr_grpsyl_p->fulltime, timelist_p->fulltime);
			}
		}
	}
#line 8962 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 629:
#line 6085 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 8969 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 630:
#line 6089 "src/mup/gram.y" /* yacc.c:1646  */
    {
		end_tuplet((yyvsp[-1].intval), (yyvsp[0].ratval), NO, PL_UNKNOWN, NOTUPLETANGLE);
		Getting_tup_dur = NO;
	}
#line 8978 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 631:
#line 6095 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* empty, will fill in an actual syllable later */
		Curr_grpsyl_p->syl = (char *) 0;
	}
#line 8987 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 632:
#line 6102 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* space, not a lyric, so mark for later use */
		Curr_grpsyl_p->grpcont = GC_SPACE;
	}
#line 8996 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 6115 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* If no [verseno] is specified, use -1 as special flag
		 * to be resolved later to "one more than previous",
		 * or if there wasn't a previous, to verse 1.
		 */
		lyr_verse(-1, -1);
		proc_lyrics(Lyrics_p, (yyvsp[-1].stringval));
	}
#line 9009 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 6126 "src/mup/gram.y" /* yacc.c:1646  */
    {
		proc_lyrics(Lyrics_p, (yyvsp[-1].stringval));
	}
#line 9017 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 637:
#line 6131 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* If user set measnum=every N and did not already put some
		 * kind of reh mark on this bar, and this measure is a
		 * multiple of N, we add a mnum mark,
		 * but using measnumstyle */
		if (Currstruct_p != 0 && IS_EVERY(Score.measnum) &&
				Currstruct_p->u.bar_p->reh_type == REH_NONE &&
				Meas_num % Score.measnum == 0) {
			Currstruct_p->u.bar_p->reh_type = REH_BAR_MNUM;
			/* Do like the code in set_reh_string() except use the
			 * measnum* parameters for family, font, and size. */
			Currstruct_p->u.bar_p->reh_string =
					copy_string(num2str(Meas_num) + 2,
                        		Score.measnumfamily + Score.measnumfont,
                        		Score.measnumsize);
		}

		Currstruct_p = (struct MAINLL *) 0;
		/* If there are alternating time signature,
		 * add an implicit time signature SSV for the
		 * next time signature in the list.
		 */
		if (Alt_timesig_list != 0) {
			end_prev_context();
			Context = C_SCORE;
			Currstruct_p = newMAINLLstruct(S_SSV, -1);
			Currstruct_p->u.ssv_p->context = Context;
			if (Tsig_visibility == PTS_ALWAYS &&
					Next_alt_timesig != Alt_timesig_list) {
				/* If user wants alternating time signatures
				 * printed on every measure, if there is
				 * a multirest, we will print multiple
				 * time signatures there, and might have to
				 * wrap around to the beginning of the list.
				 * So make a copy of the entire list,
				 * starting from wherever we are now,
				 * wrapping around to the beginning,
				 * and ending just before where we are now.
				 * Most of the time,
				 * there probably won't be a multirest,
				 * so this will be a waste, but unfortunately,
				 * we don't know yet whether there will be
				 * one or not, so need to do the whole list
				 * just in case.
				 *
				 * Calculate length of the two pieces:
				 * from where we are to end, and from
				 * beginning to where we are.
				 */
				int remlength;
				int wraplength;
				remlength = strlen(Next_alt_timesig);
				wraplength = strlen(Alt_timesig_list)
						- remlength;
				/* need one more for terminator. */
				MALLOCA(char, Currstruct_p->u.ssv_p->timerep,
						remlength + wraplength + 1);

				/* copy remainder into beginning */
				strcpy(Currstruct_p->u.ssv_p->timerep,
						Next_alt_timesig);
				/* copy the wrap-around part of list,
				 * but move the TSR_ALTERNATING from the
				 * end of that part to between the two parts */
				Currstruct_p->u.ssv_p->timerep[remlength]
						= TSR_ALTERNATING;
				strncpy(Currstruct_p->u.ssv_p->timerep +
						remlength + 1, Alt_timesig_list,
						wraplength - 1);
				/* Add the terminator */
				Currstruct_p->u.ssv_p->timerep
						[remlength + wraplength]
						= TSR_END;

				assign_timesig(Currstruct_p, PTS_ALWAYS,
							&Next_alt_timesig);


				/* Make this new copy the new
				 * head of the list */
				Alt_timesig_list =
						Currstruct_p->u.ssv_p->timerep;
			}
			else {
				/* make a copy of the remaining alternating
				 * signatures and assign that */
				MALLOCA(char, Currstruct_p->u.ssv_p->timerep,
					strlen(Next_alt_timesig) + 1);
				strcpy(Currstruct_p->u.ssv_p->timerep,
							Next_alt_timesig);
				assign_timesig(Currstruct_p,
					(Tsig_visibility == PTS_ALWAYS ?
					PTS_ALWAYS : PTS_NEVER),
					&Next_alt_timesig);

				/* If we reached end of list, start over */
				if (Next_alt_timesig == 0) {
					Next_alt_timesig = Alt_timesig_list;
				}
			}

			asgnssv(Currstruct_p->u.ssv_p);
			end_prev_context();
			Context = C_MUSIC;
		}
	}
#line 9128 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 640:
#line 6246 "src/mup/gram.y" /* yacc.c:1646  */
    {
		struct MAINLL * mll_p;
		char *name;


		name = ((yyvsp[0].intval) == YES ? "newpage" : "newscore");

		(void) contextcheck(C_MUSIC | C_BLOCK, name);
		if (Mainlltc_p != 0 && Mainlltc_p->str == S_FEED) {
			/* Must be in block; Last thing on the list is a
			 * FEED, and it is illegal to have two FEEDs in a
			 * row, we just reuse the existing */
			Currstruct_p = Mainlltc_p;
			/* If this need feed is a pagefeed, set that in the
			 * existing struct. If not, leave it however it was.
			 * Otherwise if it was already a pagefeed, we would
			 * be downgrading, and we probably want to max */
			if ((yyvsp[0].intval) == YES) {
				Currstruct_p->u.feed_p->pagefeed = (yyvsp[0].intval);
			}
		}
		else {
			Currstruct_p = newMAINLLstruct(S_FEED, yylineno);
			Currstruct_p->u.feed_p->pagefeed = (yyvsp[0].intval);
		}

		/* make sure we're not in the middle of a measure. Go
		 * backwards in main list. If we hit STAFF before a BAR,
		 * then there is a problem.
		 */
		for (mll_p = Mainlltc_p; mll_p != (struct MAINLL *) 0;
					mll_p = mll_p->prev) {

			if (mll_p->str == S_BAR) {
				break;
			}
			else if (mll_p->str == S_STAFF) {
				l_yyerror(Curr_filename, yylineno,
					"%s not allowed in middle of measure",
					name);
				break;
			}
			else if (mll_p->str == S_FEED) {
				struct MAINLL *m_p;
				/* Need to look backwards for blocks, but need
				 * to ignore any SSVs that are in between */
				for (m_p = mll_p->prev;
						m_p != 0 && m_p->str == S_SSV;
						m_p = m_p->prev) {
					;
				}
				if (m_p != 0 && m_p->str == S_BLOCKHEAD) {
					/* This is a feed following a block.
					 * If it was an implicit feed,
					 * we can get rid of it, because
					 * user now put an explicit one.
					 */
					if (mll_p->inputlineno == -1) {
						unlinkMAINLL(mll_p);
						FREE(mll_p);
					}
					/* We must be in block context,
					 * so no need to check farther back.
					 */
					break;
				}
				else {
					l_yyerror(Curr_filename, yylineno,
						"consecutive newscore/newpage not allowed");
				}
				break;
			}
		}

		/* If inside a "samescore" zone, doing a feed is contradictory */
		if (Doing_samescore == YES) {
			l_yyerror(Curr_filename, yylineno,
				"cannot have a %s inside a samescore zone",
				name);
		}

		/* If inside a "samepage" zone, doing a page feed
		 * is contradictory, though a scorefeed is okay. */
		if ( (Doing_samepage == YES) && ((yyvsp[0].intval) == YES) ) {
			l_yyerror(Curr_filename, yylineno,
				"cannot have a pagefeed inside a samepage zone");
		}

		/* Add to main list, unless reusing the tail cell FEED */
		if (Currstruct_p != Mainlltc_p) {
			insertMAINLL(Currstruct_p, Mainlltc_p);
		}

		/* If this is inside a block, we need to create a new block
		 * and feed after it.
		 */
		if (Context == C_BLOCK) {
			CALLOC(BLOCKHEAD, Currblock_p, 1);
			set_win_coord(Currblock_p->c);
			Next_print_link_p_p = &(Currblock_p->printdata_p);
			insertMAINLL(newMAINLLstruct(S_BLOCKHEAD, yylineno),
						Mainlltc_p);
			Mainlltc_p->u.blockhead_p = Currblock_p;
			insertMAINLL(newMAINLLstruct(S_FEED, -1), Mainlltc_p);
		}

	}
#line 9240 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 641:
#line 6354 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Currstruct_p = (struct MAINLL *) 0;
	}
#line 9248 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 642:
#line 6360 "src/mup/gram.y" /* yacc.c:1646  */
    {
		char *name;

		name = ((yyvsp[0].intval) == YES ? "samescorebegin" : "samescoreend");
		(void) contextcheck(C_MUSIC, name);

		if ( ((yyvsp[0].intval) == YES) && (Doing_samescore == YES) ) {
			l_yyerror(Curr_filename, yylineno,
				"cannot nest samescorebegin zones");
		}
		if ( ((yyvsp[0].intval) == NO) ) {
			if (Doing_samescore == NO) {
				l_yyerror(Curr_filename, yylineno,
					"cannot have samescoreend without previous matching samescorebegin");
			}
			else {
				/* Need to undo the samescore setting on the
				 * most recent bar. */
				struct MAINLL *mll_p;

				for (mll_p = Mainlltc_p; mll_p != 0;
							mll_p = mll_p->prev) {
					if (mll_p->str == S_BAR) {
						mll_p->u.bar_p->samescore = NO;
						break;
					}
				}
			}
		}
		Doing_samescore = (yyvsp[0].intval);
	}
#line 9284 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 643:
#line 6394 "src/mup/gram.y" /* yacc.c:1646  */
    {
		char *name;

		name = ((yyvsp[0].intval) == YES ? "samepagebegin" : "samepageend");
		(void) contextcheck(C_MUSIC | C_BLOCK, name);

		if ( ((yyvsp[0].intval) == YES) && (Doing_samepage == YES) ) {
			l_yyerror(Curr_filename, yylineno,
				"cannot nest samepagebegin zones");
		}
		if ( ((yyvsp[0].intval) == NO) ) {
			if (Doing_samepage == NO) {
				l_yyerror(Curr_filename, yylineno,
					"cannot have samepageend without previous matching samespagebegin");
			}
			else {
				/* Need to undo the samescore setting on the
				 * most recent bar or block. */
				struct MAINLL *mll_p;

				for (mll_p = Mainlltc_p; mll_p != 0;
							mll_p = mll_p->prev) {
					if (mll_p->str == S_BAR) {
						mll_p->u.bar_p->samepage = NO;
						break;
					}
					else if (mll_p->str == S_BLOCKHEAD) {
						mll_p->u.blockhead_p->samepage = NO;
						break;
					}
				}
			}
		}
		Doing_samepage = (yyvsp[0].intval);
	}
#line 9324 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 649:
#line 6449 "src/mup/gram.y" /* yacc.c:1646  */
    {
		int mot;	/* margin override type */

		if ((yyvsp[-1].intval) == 0) {
			/* User didn't specify a sign, so this is an
			 * absolute, not relative value. Or auto. */
			if ((yyvsp[0].floatval) == MG_AUTO) {
				mot = MOT_AUTO;
			}
			else {
				mot = MOT_ABSOLUTE;
			}
		}
		else {
			mot = MOT_RELATIVE;
		}

		if ((yyvsp[0].floatval) > 0.0) {
			(yyvsp[-1].intval) = adjust2inches((yyvsp[-1].intval));	/* in case we are in centimeter mode */
		}
		if ((yyvsp[-3].intval) == RIGHTMARGIN) {
			if (Currstruct_p->u.feed_p->right_mot != MOT_UNUSED) {
				l_warning(Curr_filename, yylineno,
					"rightmargin specified more than once, using last instance");
				/* fall through to override the previous */
			}
			if (mot == MOT_ABSOLUTE) {
				Currstruct_p->u.feed_p->rightmargin = (yyvsp[0].floatval);
			}
			else if (mot == MOT_RELATIVE) {
				Currstruct_p->u.feed_p->rightmargin
						= Score.rightmargin + (yyvsp[-1].intval) * (yyvsp[0].floatval);
				/* Even if user specified as relative,
				 * we have now converted to absolute */
				mot = MOT_ABSOLUTE;
			}
			Currstruct_p->u.feed_p->right_mot = mot;
		}
		else if ((yyvsp[-3].intval) == LEFTMARGIN) {
			if (mot == MG_AUTO) {
				l_warning(Curr_filename, yylineno,
					"auto can only be used with rightmargin, not leftmargin; ignoring");
				mot = MOT_UNUSED;
			}
			if (Currstruct_p->u.feed_p->left_mot != MOT_UNUSED) {
				l_warning(Curr_filename, yylineno,
					"leftmargin specified more than once, using last instance");
				/* fall through to override the previous */
			}
			if (mot == MOT_ABSOLUTE) {
				Currstruct_p->u.feed_p->leftmargin = (yyvsp[0].floatval);
			}
			else if (mot == MOT_RELATIVE) {
				Currstruct_p->u.feed_p->leftmargin
						= Score.leftmargin + (yyvsp[-1].intval) * (yyvsp[0].floatval);
				/* Even if user specified as relative,
				 * we have now converted to absolute */
				mot = MOT_ABSOLUTE;
			}
			Currstruct_p->u.feed_p->left_mot = mot;
		}
		else {
			yyerror("unexpected parameter; only 'leftmargin' or 'rightmargin' allowed here");
		}
		chkmargin(Score.topmargin, Score.botmargin,
				Currstruct_p->u.feed_p->leftmargin,
				Currstruct_p->u.feed_p->rightmargin);
	}
#line 9397 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 650:
#line 6519 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = (yyvsp[0].floatval);
	}
#line 9405 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 651:
#line 6525 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = MG_AUTO;
	}
#line 9413 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 652:
#line 6531 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ( SEP_IS_VALID(Currstruct_p->u.feed_p->scoresep) ) {
			l_warning(Curr_filename, yylineno, "scoresep specified more than once, last being used");
		}
		if ( Currstruct_p->u.feed_p->pagefeed == YES) {
			l_warning(Curr_filename, yylineno, "scoresep ignored on newpage; only used on newscore");
		}
		frangecheck((yyvsp[0].floatval), -MAXSEPVAL, MAXSEPVAL, "scoresep value");
		Currstruct_p->u.feed_p->scoresep = (yyvsp[-1].intval) *(yyvsp[0].floatval);
	}
#line 9428 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 659:
#line 6562 "src/mup/gram.y" /* yacc.c:1646  */
    {

		/* build a BAR struct and add it to the main list */
		if (contextcheck(C_MUSIC, "bar") == YES) {

			Currstruct_p = add_bar((yyvsp[0].intval), (yyvsp[-2].intval), Endingloc,
						Endending_type, Mainlltc_p);
			Got_ending = NO;
			Currstruct_p->u.bar_p->samescore = Doing_samescore;
			Currstruct_p->u.bar_p->samepage = Doing_samepage;
		}
		if ((yyvsp[0].intval) == RESTART && Endingloc != NOITEM) {
			yyerror("restart cannot be used inside an ending");
		}

		/* User can specify bar type to use on preceding staff when
		 * a repeatstart gets moved to the next scores's pseudo-bar */
		if ((yyvsp[-1].intval) != -1) {
			if ((yyvsp[0].intval) != REPEATSTART) {
				l_warning(Curr_filename, yylineno,
					"bar type for preceding score only allowed on repeatstart; ignoring");
			}
			else if (Currstruct_p != 0 && Currstruct_p->u.bar_p != 0) {
				Currstruct_p->u.bar_p->precbartype = (yyvsp[-1].intval);
				if ((yyvsp[-1].intval) != SINGLEBAR && (yyvsp[-1].intval) != DOUBLEBAR &&
						(Linetype == L_DASHED ||
						Linetype == L_DOTTED)) {
					l_warning(Curr_filename, yylineno,
						"dashed/dotted only allowed on bar or dblbar; ignoring");
					Linetype = L_NORMAL;
				}
				Currstruct_p->u.bar_p->linetype = Linetype;
			}
		}
		else {
			/* Default is single bar. It could be argued that in
			 * the case of a key change on this bar, it really
		 	 * should be a dblbar, but user can force that
			 * if they want it. */
			if (Currstruct_p != 0 && Currstruct_p->u.bar_p != 0) {
				Currstruct_p->u.bar_p->precbartype = SINGLEBAR;
			}
		}
		/* Placement phase indirectly uses Doing_tab_staff when it
		 * calls notecomp, so clear it in case we don't get a
		 * non-tab staff input before the end of file.
		 * We could probably get by just doing after parsing is done,
		 * but this seems cleaner, and cheap enough.
		 */
		Doing_tab_staff = NO;
	}
#line 9484 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 6616 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = -1;	/* special value to mean "none specified" */
		Linetype = L_NORMAL;
	}
#line 9493 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 661:
#line 6623 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Parens wouldn't be strictly necessary to be able to parse,
		 * but seem useful semantically to make it clear this is
		 * optional, only applying when repeatstart is moved to
		 * next score's pseudo bar. */
		(yyval.intval) = (yyvsp[-1].intval);
		if ((yyvsp[-2].intval) == L_DOTTED || (yyvsp[-2].intval) == L_DASHED) {
			if ((yyvsp[-1].intval) != SINGLEBAR && (yyvsp[-1].intval) != DOUBLEBAR) {
				l_warning(Curr_filename, yylineno,
					"Only bar or dblbar can be dashed or dotted; ignoring");
			}
			else {
				Linetype = (yyvsp[-2].intval);
			}
		}
		else if ((yyvsp[-2].intval) != L_NORMAL) {
			l_warning(Curr_filename, yylineno,
					"Bar line type modifier can only can be dashed or dotted; ignoring");
		}
	}
#line 9518 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 662:
#line 6645 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Call proc_emptymeas() to free up the last buffer, if any,
		 * and return back to normal input stream. */
		proc_emptymeas(MAXSTAFFS+1);
		(yyval.intval) = (yyvsp[-1].intval);
	}
#line 9529 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 663:
#line 6653 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* If there was any empty voices in the input for this
		 * measure which have emptymeas parameter set,
		 * proc_emptymeas() will arrange to create just-in-time
		 * virtual input for it that will get parsed via
		 * the emptymeas_input rule.
		 * We pass arg of 1 to tell it to start looking from
		 * staff 1. Subsequent calls to proc_emptymeas(), if any,
		 * will generate input for additional voices, until
		 * no more are needed for this measure.
		 */
		if ((yyvsp[0].intval) != RESTART) {
			EM_staff = proc_emptymeas(1);
		}
		else {
			/* don't create any music before a restart */
			EM_staff = MAXSTAFFS + 1;
		}
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 9554 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 6675 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 9561 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 665:
#line 6680 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* See if there is any more virtual input needed */
		EM_staff = proc_emptymeas(EM_staff);
	}
#line 9570 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 668:
#line 6693 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != (struct MAINLL *) 0) {
			Currstruct_p->u.bar_p->padding += (yyvsp[0].floatval) * STEPSIZE;
		}
	}
#line 9580 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 669:
#line 6701 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != (struct MAINLL *) 0) {
			/* fill in location info */
			if ((yyvsp[0].stringval) != (char *) 0) {
				addsym((yyvsp[0].stringval), Currstruct_p->u.bar_p->c, CT_BAR);
			}
		}
	}
#line 9593 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 670:
#line 6712 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Got_ending == YES) {
			yyerror("Only one ending allowed per bar");
		}
		Got_ending = YES;

		if (Currstruct_p != (struct MAINLL *) 0) {
			if (Currstruct_p->u.bar_p->bartype == RESTART) {
				yyerror("ending not allowed on restart");
			}
			/* fill in ending label if any */
			Currstruct_p->u.bar_p->endinglabel = (yyvsp[0].stringval);
			Currstruct_p->u.bar_p->endingloc = Endingloc;
			Currstruct_p->u.bar_p->endending_type = Endending_type;
			ped_endings(Endingloc);

			/* for next time around, figure out what endingloc will
			 * be if user doesn't specify something different */
			switch (Endingloc) {
			case STARTITEM:
				Endingloc = INITEM;
				break;
			case ENDITEM:
				Endingloc = NOITEM;
				break;
			default:
				break;
			}
		}
	}
#line 9628 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 671:
#line 6745 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			if (Currstruct_p->u.bar_p->bartype == RESTART) {
				l_warning(Curr_filename, yylineno,
					"hidechanges not allowed on restart; ignoring");
			}
			else {
				Currstruct_p->u.bar_p->hidechanges = YES;
			}
		}
	}
#line 9644 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 672:
#line 6758 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			set_mnum(Currstruct_p->u.bar_p, (yyvsp[0].intval));
		}
	}
#line 9654 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 673:
#line 6765 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0) {
			int newval;

			newval = Meas_num + ((yyvsp[-1].intval) * (yyvsp[0].intval));
			if (newval < 1) {
				l_warning(Curr_filename, yylineno,
				"resulting measure number of %d is less than 1; using 1", newval);
				newval = 1;
			}
			set_mnum(Currstruct_p->u.bar_p, newval);
		}
	}
#line 9672 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 674:
#line 6780 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* +2 to skip font/size */
		init_reh(-1, (yyvsp[0].stringval) + 2, Currstruct_p);
	}
#line 9681 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 675:
#line 6786 "src/mup/gram.y" /* yacc.c:1646  */
    {
		init_reh((yyvsp[0].intval), (char *)0, Currstruct_p);
	}
#line 9689 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 676:
#line 6792 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != 0 && Currstruct_p->str == S_BAR) {
			if (Currstruct_p->u.bar_p->reh_string != 0) {
				/* This indicates user specified multiple
				 * rehearsal strings. We would have already
				 * given a warning message. */
				FREE(Currstruct_p->u.bar_p->reh_string);
				Currstruct_p->u.bar_p->reh_string = 0;
			}
			set_reh_string(Currstruct_p->u.bar_p, (yyvsp[-4].intval), (yyvsp[-3].intval), (yyvsp[-2].intval), (yyvsp[-1].stringval));
			Currstruct_p->u.bar_p->dist = Dist;
			Currstruct_p->u.bar_p->dist_usage = Dist_usage;
		}
	}
#line 9708 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 677:
#line 6809 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = (yyvsp[0].stringval);
		(void) fix_string((yyvsp[0].stringval), FONT_TR, DFLT_SIZE, Curr_filename, yylineno);
		Endingloc = STARTITEM;
		Endending_type = EE_DEFAULT;
	}
#line 9719 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 678:
#line 6818 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Endingloc == NOITEM) {
			l_warning(Curr_filename, yylineno,
				"no ending in progress; extraneous 'endending' ignored");
			Endending_type = EE_DEFAULT;
		}
		else {
			Endingloc = ENDITEM;
			Endending_type = (yyvsp[0].intval);
		}
		(yyval.stringval) = (char *) 0;
	}
#line 9736 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 679:
#line 6832 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* null token to check for more than one rehearsal mark
		 * on one BAR */
		if (Currstruct_p != (struct MAINLL *) 0 &&
				Currstruct_p->u.bar_p->reh_type != REH_NONE) {
			l_warning(Curr_filename, yylineno,
				"only one rehearsal mark allowed per bar; using last");
		}
	}
#line 9750 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 680:
#line 6843 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != (struct MAINLL *) 0) {
			Currstruct_p->u.bar_p->reh_type = REH_STRING;
		}
	}
#line 9760 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 681:
#line 6851 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != (struct MAINLL *) 0) {
			Currstruct_p->u.bar_p->reh_type = REH_MNUM;
		}
		(yyval.stringval) = (char *) 0;
	}
#line 9771 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 682:
#line 6860 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != (struct MAINLL *) 0) {
			Currstruct_p->u.bar_p->reh_type = REH_NUM;
		}
		(yyval.stringval) = (char *) 0;
	}
#line 9782 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 683:
#line 6869 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Currstruct_p != (struct MAINLL *) 0) {
			Currstruct_p->u.bar_p->reh_type = REH_LET;
		}
		(yyval.stringval) = (char *) 0;
	}
#line 9793 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 684:
#line 6877 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.inpcoord_p) = (yyvsp[-4].inpcoord_p);
		(yyvsp[-4].inpcoord_p)->hexpr_p = (yyvsp[-3].expr_p);
		(yyvsp[-4].inpcoord_p)->vexpr_p = (yyvsp[-1].expr_p);
	}
#line 9803 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 685:
#line 6884 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* null token to allocate an INPCOORD */
		CALLOC(INPCOORD, Curr_loc_info_p, 1);
		(yyval.inpcoord_p) = Curr_loc_info_p;
		/* set to positive in case input starts with an absolute
		 * x coordinate */
		Plus_minus = 1;
	}
#line 9816 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 686:
#line 6894 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = Plus_minus = 1;
	}
#line 9824 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 687:
#line 6900 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = Plus_minus = -1;
	}
#line 9832 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 688:
#line 6907 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.expr_p) = (yyvsp[0].expr_p);
		Curr_timeref_tag_p = 0;
	}
#line 9841 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 689:
#line 6915 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.expr_p) = (yyvsp[0].expr_p);

		/* Put lex back into normal (not coord arithemetic) mode */
		set_lex_mode(NO);
	}
#line 9852 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 690:
#line 6924 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Put lex into special mode to return different tokens
		 * for arithmetic operators. This is just in case the
		 * precedence rules might mess up other rules if we used
		 * the same tokens. The + - * / symbols are used for very
		 * different things elsewhere in the grammer, where
		 * precedence doesn't make sense. It probably wouldn't hurt,
		 * but it seems better to be safe, and only do the precedence
		 * when really needed.
		 */
		set_lex_mode(YES);
		Curr_timeref_tag_p = 0;
	}
#line 9870 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 691:
#line 6942 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.expr_p) = (yyvsp[-1].expr_p);
	}
#line 9878 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 692:
#line 6948 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.expr_p) = newnode((yyvsp[-1].intval));
		(yyval.expr_p)->left.lchild_p = (yyvsp[-2].expr_p);
		(yyval.expr_p)->right.rchild_p = (yyvsp[0].expr_p);
	}
#line 9888 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 693:
#line 6956 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.expr_p) = newnode((yyvsp[-1].intval));
		(yyval.expr_p)->left.lchild_p = (yyvsp[-2].expr_p);
		(yyval.expr_p)->right.rchild_p = (yyvsp[0].expr_p);
	}
#line 9898 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 694:
#line 6964 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[-1].intval) == OP_SUB) {
			(yyval.expr_p) = newnode(OP_MUL);
			(yyval.expr_p)->left.lchild_p = newnode(OP_FLOAT_LITERAL);
			(yyval.expr_p)->left.lchild_p->left.value = -1.0;
			(yyval.expr_p)->right.rchild_p = (yyvsp[0].expr_p);
		}
		else {
			(yyval.expr_p) = (yyvsp[0].expr_p);
		}
	}
#line 9914 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 695:
#line 6978 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.expr_p) = newnode((yyvsp[-3].intval));
		(yyval.expr_p)->left.lchild_p = (yyvsp[-1].expr_p);
	}
#line 9923 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 696:
#line 6986 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.expr_p) = newnode((yyvsp[-5].intval));
		(yyval.expr_p)->left.lchild_p = (yyvsp[-3].expr_p);
		(yyval.expr_p)->right.rchild_p = (yyvsp[-1].expr_p);
	}
#line 9933 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 697:
#line 6994 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.expr_p) = newnode(OP_FLOAT_LITERAL);
		(yyval.expr_p)->left.value = (yyvsp[0].floatval);
	}
#line 9942 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 698:
#line 7001 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.expr_p) = newnode(OP_TAG_REF);

		/* Get space to save info about this tag reference */
		MALLOC(TAG_REF, (yyval.expr_p)->left.ltag_p, 1);

		/* Get the address of the c[] associated with this tag.
		 * We also save which index into the c[]
		 */
		if (((yyval.expr_p)->left.ltag_p->c = symval((yyvsp[-2].stringval), &((yyval.expr_p)->left.ltag_p->c))) != 0) {
			(yyval.expr_p)->left.ltag_p->c_index = (yyvsp[0].intval);
			save_tag_ref((yyval.expr_p)->left.ltag_p->c, &((yyval.expr_p)->left.ltag_p->c));
		}

		if (index_type((yyvsp[0].intval)) == AX) {
			/* Remember this tag, in case user
			 * wants to do a time offset relative to it.
			 * We always take time offsets relative
			 * to the most recent horizontal tag
			 * in the current expression.
			 * Since there may be expressions as arguments
			 * to functions, we keep a stack of these. */
			Curr_timeref_tag_p = (yyval.expr_p)->left.ltag_p;
		}

		/* If this is the first tag of the proper direction in the
		 * expression, that's the base tag used to determine
		 * which staff/score the tag is associated with, if any */
		if (index_type((yyvsp[0].intval)) == AX && Curr_loc_info_p->hor_p == 0) {
			Curr_loc_info_p->hor_p = (yyval.expr_p)->left.ltag_p->c;
			save_tag_ref(Curr_loc_info_p->hor_p,
						&(Curr_loc_info_p->hor_p));
		}
		else if (index_type((yyvsp[0].intval)) == AY && Curr_loc_info_p->vert_p == 0) {
			Curr_loc_info_p->vert_p = (yyval.expr_p)->left.ltag_p->c;
			save_tag_ref(Curr_loc_info_p->vert_p,
						&(Curr_loc_info_p->vert_p));
		}
	}
#line 9986 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 699:
#line 7043 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_timeref_tag_p == 0) {
			yyerror("time offset requires a prior horizontal tag reference");
			(yyval.expr_p) = 0;
		}
		else if (is_builtin_tag(Curr_timeref_tag_p->c)) {
			yyerror("cannot have a time offset relative to a builtin tag like _win or _page");
			(yyval.expr_p) = 0;
		}
		else {
			(yyval.expr_p) = newnode(OP_TIME_OFFSET);
			(yyval.expr_p)->left.value = (yyvsp[0].floatval);
			MALLOC(TAG_REF, (yyval.expr_p)->right.rtag_p, 1);
			(yyval.expr_p)->right.rtag_p = Curr_timeref_tag_p;
			save_tag_ref((yyval.expr_p)->right.rtag_p->c,
						&((yyval.expr_p)->right.rtag_p->c));
		}
	}
#line 10009 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 700:
#line 7065 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* only valid letters are w and y */
		if (*yytext == 'w') {
			(yyval.intval) = AW;
		}
		else if (*yytext == 'y') {
			(yyval.intval) = AY;
		}
		else {
			yyerror("invalid direction: must be x, y, e, w, n or s");
			/* Return something valid, so if any code tries
			 * to use it later, it won't core dump */
			(yyval.intval) = AX;
		}
	}
#line 10029 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 701:
#line 7082 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = AX;
	}
#line 10037 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 702:
#line 7088 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* only valid value is e */
		if (*yytext != 'e') {
			yyerror("invalid direction: must be x, y, e, w, n or s");
		}
		(yyval.intval) = AE;
	}
#line 10049 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 703:
#line 7098 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = AN;
	}
#line 10057 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 704:
#line 7104 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = AS;
	}
#line 10065 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 705:
#line 7110 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = (float) (yyvsp[0].intval);
	}
#line 10073 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 7115 "src/mup/gram.y" /* yacc.c:1646  */
    {
		sprintf(Tmpbuff,"%d.%s", (yyvsp[-2].intval), (yyvsp[0].stringval));
		(yyval.floatval) = (float) atof(Tmpbuff);
	}
#line 10082 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 707:
#line 7121 "src/mup/gram.y" /* yacc.c:1646  */
    {
		sprintf(Tmpbuff,"0.%s", (yyvsp[0].stringval));
		(yyval.floatval) = (float) atof(Tmpbuff);
	}
#line 10091 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 708:
#line 7127 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* no decimal fraction part of float number */
		(yyval.stringval) = "";
	}
#line 10100 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 710:
#line 7137 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = yytext;
	}
#line 10108 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 712:
#line 7145 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Currstruct_p->u.line_p->linetype = (yyvsp[-6].intval);
		Currstruct_p->u.line_p->start = *((yyvsp[-3].inpcoord_p));
		Currstruct_p->u.line_p->end = *((yyvsp[-1].inpcoord_p));
		rep_inpcoord((yyvsp[-3].inpcoord_p), &(Currstruct_p->u.line_p->start));
		rep_inpcoord((yyvsp[-1].inpcoord_p), &(Currstruct_p->u.line_p->end));
		Currstruct_p->u.line_p->string = (yyvsp[0].stringval);

		/* copies of the location info went into the LINE struct,
		 * so we can free the original copy of the information */
		if ((yyvsp[-3].inpcoord_p)) {
			FREE((yyvsp[-3].inpcoord_p));
		}
		if ((yyvsp[-1].inpcoord_p)) {
			FREE((yyvsp[-1].inpcoord_p));
		}
		insertMAINLL(Currstruct_p, Mainlltc_p);
		Currstruct_p = (struct MAINLL *) 0;
	}
#line 10132 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 713:
#line 7166 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* null token to cause allocation of LINE struct */
		(void) contextcheck(C_MUSIC, "line");
		Currstruct_p = newMAINLLstruct(S_LINE, yylineno);
	}
#line 10142 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 714:
#line 7173 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = L_NORMAL;
	}
#line 10150 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 716:
#line 7183 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = 0;
	}
#line 10158 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 717:
#line 7188 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = fix_string((yyvsp[0].stringval), Titlefont, Titlesize, Curr_filename, yylineno);
	}
#line 10166 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 718:
#line 7194 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[-6].intval) == L_WAVY) {
			l_warning(Curr_filename, yylineno,
						"wavy curve not allowed; using normal curve");
			(yyvsp[-6].intval) = L_NORMAL;
		}
		Currstruct_p->u.curve_p->curvetype = (yyvsp[-6].intval);
		insertMAINLL(Currstruct_p, Mainlltc_p);
		Currstruct_p = (struct MAINLL *) 0;
	}
#line 10181 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 719:
#line 7206 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(void) contextcheck(C_MUSIC, "curve");
		Currstruct_p = newMAINLLstruct(S_CURVE, yylineno);

		/* get space for a list of locations and mark it as empty */
		Item_count = 0;
		Currstruct_p->u.curve_p->ncoord = (short) Item_count;
		Currstruct_p->u.curve_p->nbulge = (short) Item_count;
		MALLOC(INPCOORD, Currstruct_p->u.curve_p->coordlist, ITEMS);
		Max_items = ITEMS;
	}
#line 10197 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 726:
#line 7240 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* get enough space to store some values if don't have enough */
		if (Currstruct_p->u.curve_p->nbulge == 0) {
			MALLOCA(float, Currstruct_p->u.curve_p->bulgelist, ITEMS);
		}
		else if ( (Currstruct_p->u.curve_p->nbulge % ITEMS) == 0) {
			REALLOCA(float, Currstruct_p->u.curve_p->bulgelist,
				Currstruct_p->u.curve_p->nbulge + ITEMS);
		}

		/* fill in the value and increment the count of how many */
		Currstruct_p->u.curve_p->bulgelist[Currstruct_p->u.curve_p->nbulge] = (yyvsp[-1].intval) * (yyvsp[0].floatval);
		(Currstruct_p->u.curve_p->nbulge)++;
	}
#line 10216 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 727:
#line 7256 "src/mup/gram.y" /* yacc.c:1646  */
    {
		struct INPCOORD *curve_inpcoord_p;

		/* If ran off end of list, make list bigger.
		 * We cannot use REALLOC here, since we need to update
		 * the tag reference information on each individual array
		 * element, so we alloc all new space, copy the existing data,
		 * and update the tag references, then free the old space,
		 * and redirect the pointer to the new space. */
		if (Currstruct_p->u.curve_p->ncoord >= Max_items) {
			struct INPCOORD *newlist_p;
			int n;
			Max_items += ITEMS;
			MALLOC(INPCOORD, newlist_p, Max_items);
			for (n = 0; n < Currstruct_p->u.curve_p->ncoord; n++) {
				newlist_p[n] = Currstruct_p->u.curve_p->coordlist[n];
				rep_inpcoord(
				    &(Currstruct_p->u.curve_p->coordlist[n]),
				    &(newlist_p[n]));
			}
			FREE(Currstruct_p->u.curve_p->coordlist);
			Currstruct_p->u.curve_p->coordlist = newlist_p;
		}

		/* Add this entry to the end of the list, update the
		 * tag reference to point to this permanent copy rather
		 * the temporary one we will be deleting, and update the
		 * count of how many elements in the list. */
		curve_inpcoord_p = &(Currstruct_p->u.curve_p->coordlist
					[Currstruct_p->u.curve_p->ncoord]);
		*curve_inpcoord_p = *((yyvsp[0].inpcoord_p));
		rep_inpcoord((yyvsp[0].inpcoord_p), curve_inpcoord_p);
		(Currstruct_p->u.curve_p->ncoord)++;
		FREE((yyvsp[0].inpcoord_p));
	}
#line 10256 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 728:
#line 7293 "src/mup/gram.y" /* yacc.c:1646  */
    {
		attach_stuff();
		/* so reset flag */
		Defining_multiple = NO;
	}
#line 10266 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 729:
#line 7301 "src/mup/gram.y" /* yacc.c:1646  */
    {
		chk_stuff_header((yyvsp[-5].intval), (yyvsp[-4].intval), (yyvsp[-3].intval), Dist_usage);
		add_to_sv_list();
	}
#line 10275 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 730:
#line 7308 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* Separate rule for phrase because it has the linetype
		 * modifier in front, unlike any other STUFF. The size,
		 * and dist are not really allowed, but we match them
		 * if they are there in order to give more clear error
		 * message than just "syntax error," since there was
		 * already code elsewhere to check for these errors.
		 */
		set_stuff_type(ST_PHRASE);
		chk_stuff_header((yyvsp[-3].intval), (yyvsp[-5].intval), (yyvsp[-2].intval), Dist_usage);
		add_to_sv_list();
		Aligntag = NOALIGNTAG;
	}
#line 10293 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 731:
#line 7323 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* need a separate rule for midi, because it can include
		 * a voice as well as staff. It also cannot have the chord,
		 * size or place, although those are checked elsewhere anyway */
		chk_stuff_header(-1, NO, PL_UNKNOWN, SD_NONE);
		Aligntag = NOALIGNTAG;
	}
#line 10305 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 732:
#line 7333 "src/mup/gram.y" /* yacc.c:1646  */
    {
		set_stuff_type(ST_MIDI);
		begin_range(PL_UNKNOWN);
	}
#line 10314 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 734:
#line 7343 "src/mup/gram.y" /* yacc.c:1646  */
    {
		all();
		add_to_sv_list();
	}
#line 10323 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 735:
#line 7350 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* dummy token for sole purpose of saving away current
		 * stuff type. We have to do this in order to have it in
		 * time to figure out the default place for "all" */
		set_stuff_type((yyvsp[0].intval));
	}
#line 10334 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 736:
#line 7359 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_family = (yyvsp[-1].intval);

		switch ((yyvsp[0].intval)) {
		case FONT_TR:
			(yyval.intval) = ST_ROM;
			break;
		case FONT_TI:
			(yyval.intval) = ST_ITAL;
			break;
		case FONT_TB:
			(yyval.intval) = ST_BOLD;
			break;
		case FONT_TX:
			(yyval.intval) = ST_BOLDITAL;
			break;
		default:
			pfatal("unknown font");
			break;
		}
	}
#line 10360 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 737:
#line 7383 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) != L_NORMAL) {
			/* user used 'dotted' or 'dashed' which applies only
			 * to use of T_L_ANGLE for slurs. Use generic error
			 * message so looks like any other similar error. */
			yyerror("syntax error");
		}
		(yyval.intval) = ST_CRESC;
	}
#line 10374 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 7395 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = ST_DECRESC;
	}
#line 10382 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 7401 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = ST_PEDAL;
	}
#line 10390 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 740:
#line 7407 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = ST_MUSSYM;
	}
#line 10398 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 741:
#line 7413 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = ST_OCTAVE;
	}
#line 10406 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 742:
#line 7419 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* use -1 to indicate user didn't specify so must use default */
		(yyval.intval) = -1;
	}
#line 10415 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 743:
#line 7426 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[-1].intval);
	}
#line 10423 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 744:
#line 7431 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = TM_NONE;
	}
#line 10431 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 745:
#line 7437 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 10439 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 746:
#line 7442 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Dist = 0.0;
		Dist_usage = SD_NONE;
	}
#line 10448 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 747:
#line 7449 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[-1].intval) != DIST) {
			yyerror("unexpected parameter name instead of 'dist'");
		}
		else {
			if (frangecheck((yyvsp[0].floatval), -MAXDIST, MAXDIST, "dist") == YES) {
				Dist = (yyvsp[0].floatval);
			}
		}
	}
#line 10463 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 748:
#line 7462 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = (yyvsp[-1].floatval);
	}
#line 10471 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 749:
#line 7468 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Dist_usage != SD_FORCE) {
			l_warning(Curr_filename, yylineno,
				"negative dist requires !, setting to 0");
			(yyval.floatval) = 0.0;
		}
		else {
			(yyval.floatval) = - (yyvsp[-1].floatval);
		}
	}
#line 10486 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 750:
#line 7480 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Dist_usage = SD_MIN;
	}
#line 10494 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 751:
#line 7486 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Dist_usage = SD_FORCE;
	}
#line 10502 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 752:
#line 7491 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Aligntag = NOALIGNTAG;
	}
#line 10510 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 753:
#line 7497 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (rangecheck((yyvsp[0].intval), MINALIGNTAG, MAXALIGNTAG, "align tag number") == YES) {
			Aligntag = (yyvsp[0].intval);
		}
		else {
			Aligntag = NOALIGNTAG;
		}
	}
#line 10523 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 756:
#line 7515 "src/mup/gram.y" /* yacc.c:1646  */
    {
		add_stuff_item((yyvsp[-4].floatval), (yyvsp[-3].floatval), Start_gracebackup, (yyvsp[-2].stringval),
			Til_bars, Til_offset, Til_steps, End_gracebackup,
			Dist, Dist_usage, Aligntag);
	}
#line 10533 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 757:
#line 7523 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Til_bars = 0;
		Til_offset = 0.0;
		Til_steps = 0.0;
		(yyval.floatval) = (yyvsp[-1].floatval);
		Start_gracebackup = (yyvsp[0].intval);
	}
#line 10545 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 758:
#line 7532 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = 0;
	}
#line 10553 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 759:
#line 7538 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = (yyvsp[-1].intval);
	}
#line 10561 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 760:
#line 7543 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = 0.0;
	}
#line 10569 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 7549 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.floatval) = (yyvsp[-1].floatval) * (float) (yyvsp[-2].intval);
	}
#line 10577 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 762:
#line 7554 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = (char *) 0;
	}
#line 10585 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 763:
#line 7560 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (get_stuff_type() != ST_PEDAL) {
			yyerror("'*' only valid with pedal");
		}
		MALLOCA(char, (yyval.stringval), 12);
		(yyval.stringval)[0] = FONT_MUSIC;
		(yyval.stringval)[1] = DFLT_SIZE;
		sprintf((yyval.stringval) + 2, "\\(endped)");
	}
#line 10599 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 764:
#line 7572 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.stringval) = (yyvsp[0].stringval);
	}
#line 10607 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 7577 "src/mup/gram.y" /* yacc.c:1646  */
    {
		End_gracebackup = 0;
	}
#line 10615 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 766:
#line 7583 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 10622 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 767:
#line 7588 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/** if there is a non-empty til_suffix, the floatnum better
		 ** have been an integer, and is really the number
		 * of bars. **/
		if ((yyvsp[0].intval) == YES) {
			Til_bars = (int) (yyvsp[-1].floatval);
			if ((yyvsp[-1].floatval) - Til_bars != 0.0) {
				yyerror("number of measures in til clause must be a whole number");
			}
		}
		else {
			/* only a number, that means it was really a beat offset */
			Til_offset = (yyvsp[-1].floatval);
		}
	}
#line 10642 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 768:
#line 7606 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = NO;
		End_gracebackup = (yyvsp[-1].intval);
		Til_steps = (yyvsp[0].floatval);
	}
#line 10652 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 769:
#line 7614 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = YES;
	}
#line 10660 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 7620 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Til_offset = 0.0;
		Til_steps = (yyvsp[0].floatval);
		End_gracebackup = (yyvsp[-1].intval);
	}
#line 10670 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 771:
#line 7628 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Til_offset = (yyvsp[-2].floatval);
		Til_steps = (yyvsp[0].floatval);
		End_gracebackup = (yyvsp[-1].intval);
	}
#line 10680 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 773:
#line 7638 "src/mup/gram.y" /* yacc.c:1646  */
    {
		newROLLINFO();
	}
#line 10688 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 774:
#line 7644 "src/mup/gram.y" /* yacc.c:1646  */
    {
		newROLLINFO();
		setrolldir(UP);
	}
#line 10697 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 775:
#line 7651 "src/mup/gram.y" /* yacc.c:1646  */
    {
		newROLLINFO();
		setrolldir(DOWN);
	}
#line 10706 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 7662 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* save staffnum and voice 1 for start of roll */
		rollparam((yyvsp[0].intval), 1, -1, -1);
	}
#line 10715 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 778:
#line 7669 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* save staff and voice for start of roll */
		rollparam((yyvsp[-1].intval), (yyvsp[0].intval), -1, -1);
	}
#line 10724 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 780:
#line 7678 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* save staffnum, voice 1 for end of roll */
		rollparam(-1, -1, (yyvsp[0].intval), 1);
	}
#line 10733 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 781:
#line 7685 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* save staffnum and voice for end of roll */
		rollparam(-1, -1, (yyvsp[-1].intval), (yyvsp[0].intval));
	}
#line 10742 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 782:
#line 7692 "src/mup/gram.y" /* yacc.c:1646  */
    {
		rolloffset( (double) (yyvsp[-1].floatval));
	}
#line 10750 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 783:
#line 7698 "src/mup/gram.y" /* yacc.c:1646  */
    {	
		rolloffset( (double) (yyvsp[-1].floatval));
	}
#line 10758 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 784:
#line 7703 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (Curr_family == FAMILY_DFLT) {
			Curr_family = Score.fontfamily;
		}
		String1 = (yyvsp[0].stringval);
		Extra = extra_needed(Curr_family + Curr_font, Curr_size, &String1);
		proc_printcmd((yyvsp[-2].intval), Curr_loc_info_p, String1,
			Curr_family + Curr_font, Curr_size, (yyvsp[-1].intval),
			NO, PU_NORMAL, NO, 0,
			((yyvsp[-1].intval) == YES ? Extra : (double) 0.0));
	}
#line 10774 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 785:
#line 7717 "src/mup/gram.y" /* yacc.c:1646  */
    {
		proc_printcmd(J_NONE, Curr_loc_info_p, (yyvsp[0].stringval), FONT_UNKNOWN,
				DFLT_SIZE, NO, YES, (yyvsp[-3].intval), (yyvsp[-1].intval), (yyvsp[-2].export_p), (double) 0.0);
		if ((yyvsp[-1].intval) == NO) {
			end_raw();
		}
	}
#line 10786 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 786:
#line 7727 "src/mup/gram.y" /* yacc.c:1646  */
    {
	}
#line 10793 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 787:
#line 7731 "src/mup/gram.y" /* yacc.c:1646  */
    {
		begin_raw();
		(yyval.intval) = NO;
	}
#line 10802 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 788:
#line 7738 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = YES;
	}
#line 10810 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 789:
#line 7744 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].intval) == YES) {
			warning("nl ignored for postscript");
		}
		(yyval.intval) = PU_NORMAL;
	}
#line 10821 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 790:
#line 7753 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_loc_info_p = (struct INPCOORD *) 0;
		(yyval.intval) = (yyvsp[0].intval);
	}
#line 10830 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 791:
#line 7759 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.export_p) = 0;
	}
#line 10838 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 792:
#line 7765 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.export_p) = (yyvsp[0].export_p);
	}
#line 10846 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 794:
#line 7774 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* add onto list and return the list */
		struct VAR_EXPORT *exp_p;
		for (exp_p = (yyvsp[-2].export_p); exp_p->next != 0; exp_p = exp_p->next) {
			;
		}
		exp_p->next = (yyvsp[0].export_p);
		(yyval.export_p) = (yyvsp[-2].export_p);
	}
#line 10860 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 795:
#line 7786 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyvsp[0].export_p)->tag_addr = symval((yyvsp[0].export_p)->name, &((yyvsp[0].export_p)->tag_addr));
		(yyval.export_p) = (yyvsp[0].export_p);
	}
#line 10869 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 796:
#line 7793 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyvsp[0].export_p)->tag_addr = symval((yyvsp[0].export_p)->name, &((yyvsp[0].export_p)->tag_addr));
		(yyval.export_p) = (yyvsp[0].export_p);
	}
#line 10878 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 797:
#line 7800 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if ((yyvsp[-2].export_p)->index == NUMCTYPE && (yyvsp[0].export_p)->index != NUMCTYPE && (yyvsp[0].export_p)->index != EXPORT_ALL_STAFFS) {
			l_yyerror(Curr_filename, yylineno,
			"if alias does not have a dot and direction, tag must not either");
		}
		if ((yyvsp[-2].export_p)->index != NUMCTYPE && (yyvsp[0].export_p)->index == NUMCTYPE) {
			l_yyerror(Curr_filename, yylineno,
			"if alias has dot and direction, tag must also");
		}
		(yyvsp[0].export_p)->alias = (yyvsp[-2].export_p);
		(yyval.export_p) = (yyvsp[0].export_p);
	}
#line 10895 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 798:
#line 7814 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.export_p) = (yyvsp[0].export_p);
	}
#line 10903 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 799:
#line 7820 "src/mup/gram.y" /* yacc.c:1646  */
    {
		if (strcmp((yyvsp[0].stringval), "_staff") != 0) {
			pfatal("got arraytag other than _staff");
		}
		(yyval.export_p) = add_export((yyvsp[0].stringval), EXPORT_ALL_STAFFS);
	}
#line 10914 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 800:
#line 7829 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.export_p) = (yyvsp[0].export_p);
	}
#line 10922 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 801:
#line 7835 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* export all six [nsewxy] values */
		(yyval.export_p) = add_export((yyvsp[0].stringval), NUMCTYPE);
	}
#line 10931 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 802:
#line 7842 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.export_p) = add_export((yyvsp[-2].stringval), (yyvsp[0].intval));
	}
#line 10939 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 806:
#line 7856 "src/mup/gram.y" /* yacc.c:1646  */
    {
		/* this means print at default location */
		Curr_loc_info_p = (struct INPCOORD *) 0;
		(yyval.intval) = NO;
	}
#line 10949 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 7864 "src/mup/gram.y" /* yacc.c:1646  */
    {
		Curr_loc_info_p = (struct INPCOORD *) 0;
		(yyval.intval) = YES;
	}
#line 10958 "src/mup/ytab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 7871 "src/mup/gram.y" /* yacc.c:1646  */
    {
		(yyval.intval) = NO;
	}
#line 10966 "src/mup/ytab.c" /* yacc.c:1646  */
    break;


#line 10970 "src/mup/ytab.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 7876 "src/mup/gram.y" /* yacc.c:1906  */


#include <stdio.h>


/* print error message along with current filename and line number */

int
yyerror(msg)

char *msg;

{
	if (strncmp(msg, "syntax error", 12) == 0 ||
			strncmp(msg, "parse error", 11) == 0) {
		/* beef up yacc's default syntax error message */
		if (*yytext == '\n') {
			l_yyerror(Curr_filename, yylineno,
				"error detected at end of line (maybe missing semicolon or other required element?)");
		}
		else if (is_internal_token(yytext) == YES) { 
			/* We add some funny tokens for our internal use
			 * when doing emptymeas parameter expansion.
			 * It is conceivable that there could be
			 * some (rare) scenarios where a user error
			 * in their value for that parameter would cause the
			 * parser to detect the error when it got to our
			 * funny token, and it would be very confusing to the
			 * user if we printed that out as the offending token,
			 * since they didn't input it, and it is chosen
			 * specifically to be strange looking.
			 */
			l_yyerror(Curr_filename, yylineno,
				"error detected during internal emptymeas parameter processing");
		}
		else {
			l_yyerror(Curr_filename, yylineno,
				"error detected at '%s'", yytext);
		}
	}
	else {
		l_yyerror(Curr_filename, yylineno, "%s", msg);
	}

	/* return something to keep lint happy */
	return(0);
}


/* if argument is surrounded by double quotes, remove them and return the
 * unquoted string. Actually just NULL out the end quote and return a
 * pointer to beyond the leading quote */

static char *
stripquotes(string)

char *string;

{
	char *p;

	p = string + strlen(string) - 1;
	if (*p == '"') {
		*p = '\0';
	}
	return( *string == '"' ? string + 1 : string);
}


/* Check if the given header/footer type has already been specified,
 * and if so, issue a warning. In any case, set Currblock_p
 * to the passed in BLOCKHEAD pointer. */

static void
chkdup_headfoot(bit, which, block_p)

int bit;	/* which GOT_* bit is associated with this head/foot thing */
char *which;	/* header, footer, header2, footer2 or left/right versions */
struct BLOCKHEAD *block_p;	/* assign this to Currblock_p */

{
	if ((bit & Gotheadfoot) != 0) {
		l_yyerror(Curr_filename, yylineno,
				"%s context specified more than once", which);
	}
	Gotheadfoot |= bit;
	Currblock_p = block_p;
}


/* If the given top/bot block has already been set without having been used,
 * issue a warning. In any case, set it to the Currblock_p value.
 */

static void
chkdup_topbot(block_p_p, blocktype)

struct BLOCKHEAD **block_p_p;	/* address of a FEED field like top_p, bot2_p,
				 * lefttop_p, rightbot_p, etc. What it points
				 * to will be updated with the value of
				 * Currblock_p. */
char *blocktype;		/* Name to be used on error message if the
				 * field was already set before. */

{
	if (*block_p_p != 0) {
		warning("%s redefined before being used", blocktype);
	}
	*block_p_p = Currblock_p;

}


/* when entering new context, need to save away everything about current one */

static void
end_prev_context()

{
	struct MAINLL *place_p;		/* where to insert SSV in main list */


	/* assume we will place at the end of main list. Later we'll set
	 * the right value if that assumption is wrong */
	place_p = Mainlltc_p;

	/* If current main list item hasn't been added to list yet,
	 * do that now. */
	if (Currstruct_p != (struct MAINLL *) 0 && Currstruct_p != place_p) {

		if (Currstruct_p->str == S_SSV) {

			if (List_of_staffs_p != (struct MAINLL *) 0) {
				yyerror("can't change context inside a measure");
				Currstruct_p = (struct MAINLL *) 0;
				return;
			}

			check_beamstyle(Currstruct_p->u.ssv_p);

			/* if is an SSV struct, we also need to set the
			 * correct values at this point, because the
			 * parser needs to know current values of some
			 * things (like font and point size) */
			asgnssv(Currstruct_p->u.ssv_p);

			/* if this SSV is after a FEED, we have to move it
			 * before the FEED in order to follow the rules of
			 * what comes when on the main list */
			for (   ; place_p != (struct MAINLL *) 0 &&
					place_p->str == S_FEED;
					place_p = place_p->prev) {
			}
		}

		insertMAINLL(Currstruct_p, place_p);
	}

	if (Currstruct_p != 0 && Currstruct_p->str == S_SSV) {
		/* memorize or recall beamstyle and timeunit if appropriate */
		remember_tsig_params(Currstruct_p);

		/* If user specified multiple staffs/voices, clone the
		 * necessary SSV nows */
		if (Currstruct_p->u.ssv_p->context == C_STAFF) {
			clone_staff_ssvs(place_p);
			free_rlists();
		}
		else if (Currstruct_p->u.ssv_p->context == C_VOICE) {
			clone_voice_ssvs(place_p);
			free_rlists();
		}
		Defining_multiple = NO;
	}

	if (Curr_usym_p != 0) {
		define_usym();
		Curr_usym_p = 0;
	}

	Curr_grpsyl_p = (struct GRPSYL *) 0;
	Currblock_p = (struct BLOCKHEAD *) 0;
	Currstruct_p = (struct MAINLL *) 0;
	set_win_coord(0);
}


/* If user gave a list of staffs for a "staff" context, clone copies of
 * the SSV that we made for the first on the list for the rest of the list. */

static void
clone_staff_ssvs(insert_p)

struct MAINLL *insert_p;
{
	struct SVRANGELIST *svr_p;
	struct RANGELIST *sr_p;		/* list of staff ranges */
	struct SSV *clone_src_p;	/* the SSV to clone */
	int s;				/* staff number */

	clone_src_p = Currstruct_p->u.ssv_p;
	for (svr_p = Svrangelist_p; svr_p != 0; svr_p = svr_p->next) {
		for (sr_p = svr_p->stafflist_p; sr_p != 0; sr_p = sr_p->next) { 
			for (s = sr_p->begin; s <= sr_p->end && s <= Score.staffs; s++) {
				if (clone_src_p->staffno == s) {
					/* skip past the clone source */
					continue;
				}
				clone1ssv(clone_src_p, insert_p, s, clone_src_p->voiceno);
			}
		}
	}
}


/* If user gave a list of staffs and/or voices  for a "voice" context,
 * clone copies of the SSV that we made for the first on the list
 * for the rest of the list. */

static void
clone_voice_ssvs(insert_p)

struct MAINLL *insert_p;

{
	struct SVRANGELIST *svr_p;
	struct RANGELIST *sr_p;		/* list of staff ranges */
	struct RANGELIST *vr_p;		/* list of voice ranges */
	struct SSV *clone_src_p;	/* the SSV to clone */
	int s;				/* staff number */
	int v;				/* voice number */
	int numvoices;			/* how many voices on current staff */
	int have_non_v3 = NO;		/* If any voice other than voice 3 */


	clone_src_p = Currstruct_p->u.ssv_p;
	for (svr_p = Svrangelist_p; svr_p != 0; svr_p = svr_p->next) {
	    for (sr_p = svr_p->stafflist_p; sr_p != 0; sr_p = sr_p->next) { 
		for (s = sr_p->begin; s <= sr_p->end && s <= Score.staffs; s++) {
		    numvoices = vscheme_voices(svpath(s, VSCHEME)->vscheme);
		    for (vr_p = svr_p->vnolist_p; vr_p != 0; vr_p = vr_p->next) {
			for (v = vr_p->begin; v <= vr_p->end && v <= numvoices; v++) {
				if (v != 3) {
					have_non_v3 = YES;
				}
				if (clone_src_p->staffno == s
						&& clone_src_p->voiceno == v) {
					/* skip past the clone source */
					continue;
				}
				clone1ssv(clone_src_p, insert_p, s, v);
			}
		    }
		}
	    }
	}

	if (clone_src_p->used[ALIGNRESTS] == YES && have_non_v3 == NO) {
		l_warning(Curr_filename, yylineno,
				"alignrests not used for voice 3; ignoring");
	}
}

/* Clone the given SSV and insert it in the specified place in the main list.
 * Change the copied versions staffno/voiceno to the specified values,
 * and do any additional error checks and processsing as needed.
 */

static void
clone1ssv(clone_src_p, insert_p, staffno, voiceno)

struct SSV *clone_src_p;
struct MAINLL *insert_p;
int staffno;
int voiceno;

{
	struct MAINLL *newmllssv_p;	/* the cloned SSV */

	newmllssv_p = newMAINLLstruct(S_SSV, Currstruct_p->inputlineno);
	memcpy(newmllssv_p->u.ssv_p, clone_src_p, sizeof(struct SSV));
	newmllssv_p->u.ssv_p->staffno = staffno;
	newmllssv_p->u.ssv_p->voiceno = voiceno;
	/* Fix beamstyle/timeunit. It could be different for each clone */
	remember_tsig_params(newmllssv_p);
	insertMAINLL(newmllssv_p, insert_p);

	/* Make sure any tab staffs have non-tabs above them.
	 * One disadvantage of waiting till making the clone to check this is
	 * that if there is a user error, the line number will be the end
	 * of the context rather than the one with "stafflines" on it.
	 * But the error message will tell them which staff is the problem,
	 * and this should be pretty rare--they have to be setting stafflines
	 * in a staff context for multiple staffs where the combination of
	 * staffs is illegal--so it doesn't seem worth the extra work it would
	 * be to be more precise. */
	if (newmllssv_p->u.ssv_p->context == C_STAFF &&
				newmllssv_p->u.ssv_p->used[STAFFLINES] == YES) {
		chk_tab(newmllssv_p);
	}
	asgnssv(newmllssv_p->u.ssv_p);
}


/* Check that the staffs/voices specified for an SSV are valid.
 * We only give a warning if all values specified are out of range.
 * If at least one is valid, we assume user did something like
 * 	voice 1-40 3
 * to set something for voice 3 on all staffs without having to worry
 * about which staffs actually have a voice 3.
 */

static void
chk_ssv_ranges(context)

UINT32B context;	/* expected to only be either C_STAFF or C_VOICE */

{
	struct SVRANGELIST *svr_p;	/* list of staff/voice ranges */
	struct RANGELIST *sr_p;		/* list of staff ranges */
	struct RANGELIST *vr_p;		/* list of voice ranges */
	int s;				/* staff number */
	int v;				/* voice number */
	int numvoices;			/* how many voices on current staff */


	for (svr_p = Svrangelist_p; svr_p != 0; svr_p = svr_p->next) {
	    for (sr_p = svr_p->stafflist_p; sr_p != 0; sr_p = sr_p->next) { 
		for (s = sr_p->begin; s <= sr_p->end; s++) {
		    if (context == C_STAFF) {
			if (s >= MINSTAFFS && s <= Score.staffs) {
				/* Found a valid one. One is all we need. */
				return;
			}
			continue;
		    }

		    /* a voice context */
		    numvoices = vscheme_voices(svpath(s, VSCHEME)->vscheme);
		    for (vr_p = svr_p->vnolist_p; vr_p != 0; vr_p = vr_p->next) { 
			for (v = vr_p->begin; v <= vr_p->end; v++) {
			    if (s >= MINSTAFFS && s <= Score.staffs &&
					v >= MINVOICES && v <= numvoices) {
				/* Found a valid one. One is all we need. */
				return;
			    }
			}
		    }
		}
	    }
	}
	/* Fell through all the loops without finding a single valid case */
	if (context == C_STAFF) {
		l_warning(Curr_filename, yylineno,
			"staff out of range; must be between %d and %d",
			MINSTAFFS, Score.staffs);
	}
	else {
		l_warning(Curr_filename, yylineno,
			"staff/voice combination out of range; staff must be between %d and %d, voice between %d and %d and within vscheme limit for the staff",
			MINSTAFFS, MAXSTAFFS, MINVOICES, MAXVOICES);
	}
}


/* if defining more than one voice at the moment, not valid to set
 * a location variable. Print message and reset flag so we don't
 * give any more of the same message this measure */

static void
var_valid()

{
	if (Defining_multiple == YES) {
		yyerror("location tag is only allowed when defining a single voice");
		Defining_multiple = NO;
	}
	else if (Chord_at_a_time == YES) {
		yyerror("location tag not allowed with chord-at-a-time input");
	}
}


/* Save information about a Mup variable that the user wants to have
 * exported to their PostScript */

static struct VAR_EXPORT *
add_export(varname, index)

char *varname;	/* Name of variable to be exported */
int index;	/* AX, AW, etc or NUMCTYPE if all are to be exported,
		 * or EXPORT_ALL_STAFFS for all indexes of all staffs */

{
	struct VAR_EXPORT *var_p;

	MALLOC(VAR_EXPORT, var_p, 1);
	var_p->name = strdup(varname);
	/* For now we set the alias to ourself. If the user specifies an
	 * alias, then that will be set later. But by defaulting to pointing
	 * to ourself, code can assume there is always an alias. */
	var_p->alias = var_p;
	var_p->index = index;
	var_p->next = 0;
	return(var_p);
}


/* do a print command like left, right, or center. Allocate a PRINTDATA
 * struct and fill in all the information about what to print and where
 * to print it. */

static void
proc_printcmd(justifytype, inpc_p, str, font, size, got_nl, isPostScript, ps_usage, isfilename, export_p, extra)

int justifytype;	/* J_LEFT, etc */
struct INPCOORD *inpc_p;	/* where to print */
char *str;		/* the string to print */
int font;
int size;
int got_nl;	/* YES if should go to next line before printing */
int isPostScript;	/* YES if is raw PostScript rather than normal print */
int ps_usage;		/* PU_* value; tells how is PostScript is used */
int isfilename;		/* Yes if the string is the name of a file containing PostScript */
struct VAR_EXPORT *export_p; /* Mup vars to export to user PostScript */
double extra;	/* how much extra vertical padding to add */

{
	struct PRINTDATA *curr_print_p;
	struct EXPR_NODE *node_p;
	int htype;


	(void) contextcheck(C_MUSIC | C_BLOCKHEAD, "print");

	/* save all the info in a PRINTDATA struct */
	MALLOC(PRINTDATA, curr_print_p, 1);

	if (inpc_p == (struct INPCOORD *) 0) {

		/* print at default location */
		curr_print_p->location.vert_p = symval("_cur", (float **) 0);
		/* Create an expression that is _cur - extra */
		node_p = newnode(OP_SUB);
		curr_print_p->location.vexpr_p = node_p;

		node_p->left.lchild_p = newnode(OP_TAG_REF);
		MALLOC(TAG_REF, node_p->left.lchild_p->left.ltag_p, 1);
		node_p->left.lchild_p->left.ltag_p->c = curr_print_p->location.vert_p;
		node_p->left.lchild_p->left.ltag_p->c_index = AY;
		save_tag_ref(node_p->left.lchild_p->left.ltag_p->c,
					&(node_p->left.lchild_p->left.ltag_p->c));

		node_p->right.rchild_p = newnode(OP_FLOAT_LITERAL);
		node_p->right.rchild_p->left.value = extra;

		switch (justifytype) {
		case J_LEFT:
		case J_RAGPARA:
		case J_JUSTPARA:
			/* default x is relative to _win.w */
			curr_print_p->location.hor_p = symval("_win", (float **) 0);
			htype = AW;
			break;
		case J_RIGHT:
			/* default x is relative to _win.e */
			curr_print_p->location.hor_p = symval("_win", (float **) 0);
			htype = AE;
			break;
		case J_CENTER:
			/* default x is relative to _win.x */
			curr_print_p->location.hor_p = symval("_win", (float **) 0);
			htype = AX;
			break;
		case J_NONE:
		default:
			/* default is at current location */
			curr_print_p->location.hor_p = symval("_cur", (float **) 0);
			htype = AX;
			break;
		}

		curr_print_p->location.hexpr_p = newnode(OP_TAG_REF);
		MALLOC(TAG_REF, curr_print_p->location.hexpr_p->left.ltag_p, 1);
		curr_print_p->location.hexpr_p->left.ltag_p->c = curr_print_p->location.hor_p;
		curr_print_p->location.hexpr_p->left.ltag_p->c_index = htype;
		save_tag_ref(curr_print_p->location.hexpr_p->left.ltag_p->c,
			&(curr_print_p->location.hexpr_p->left.ltag_p->c));

		/* If this is the first print command in a block,
		 * we implicitly go down by the font ascent. */
		if (isPostScript == NO && Currblock_p != 0
					&& Next_print_link_p_p
					== &(Currblock_p->printdata_p) ) {
			/* Alter expression, to subtract the fontascent */
			node_p = newnode(OP_SUB);
			node_p->left.lchild_p = curr_print_p->location.vexpr_p;
			curr_print_p->location.vexpr_p = node_p;
			node_p->right.rchild_p = newnode(OP_FLOAT_LITERAL);
			node_p->right.rchild_p->left.value = fontascent(font, size) / STEPSIZE;

			got_nl = NO;
		}

	}
	else {
		curr_print_p->location = *(inpc_p);
		rep_inpcoord(inpc_p, &(curr_print_p->location) );
		FREE(inpc_p);
	}

	curr_print_p->isPostScript = isPostScript;
	curr_print_p->ps_usage = ps_usage;
	curr_print_p->export_p = export_p;
	if (isPostScript == YES) {
		curr_print_p->width = 0.0;
	}
	else {
		curr_print_p->width = strwidth(str);
	}
	curr_print_p->isfilename = isfilename;
	curr_print_p->justifytype = (short) justifytype;
	curr_print_p->string = str;
	curr_print_p->inputfile = Curr_filename;
	curr_print_p->inputlineno = (short) yylineno;

	/* For PostScript hooks that apply once to the entire file,
	 * store directly into hook table. */
	switch (ps_usage) {
	case PU_AFTERPROLOG:
	case PU_BEFORETRAILER:
		if (PostScript_hooks[ps_usage] != 0) {
		l_warning(Curr_filename, yylineno, "PostScript hook already set on line %d of %s; using last",
			PostScript_hooks[ps_usage]->inputlineno,
			PostScript_hooks[ps_usage]->inputfile);
		}
		PostScript_hooks[ps_usage]  = curr_print_p;
		return;
	default:
		break;
	}

	/* special case of user asking that this be printed
	 * on the next line. In this case we go down by the
	 * current point size */
	if (got_nl) {
		node_p = newnode(OP_SUB);
		node_p->left.lchild_p = curr_print_p->location.vexpr_p;
		curr_print_p->location.vexpr_p = node_p;
		node_p->right.rchild_p = newnode(OP_FLOAT_LITERAL);
		node_p->right.rchild_p->left.value = fontheight(font, size) / STEPSIZE;
	}

	/* Now link onto proper list -- could be in BLOCKHEAD
	 * context or doing a PRHEAD. If we are in BLOCKHEAD context, we
	 * definitely have something in the main list to attach to.
	 * If in C_MUSIC, we may or may not depending on whether
	 * this is the first in a series of print commands. */
	if ( ((Context & C_BLOCKHEAD) != 0)
		|| ((Currstruct_p != (struct MAINLL *) 0) &&
		(Currstruct_p->str == S_PRHEAD) ) ) {
			if (Next_print_link_p_p == (struct PRINTDATA **) 0) {
				pfatal("Next_print_link_p_p is null");
			}
			/* this means the value of Next_print_link_p_p
			 * is valid and will tell us where to link */
			*Next_print_link_p_p = curr_print_p;
	}
	else {
		/* We must be in music context, but the last
		 * thing we saw wasn't a print command, so
		 * we have to allocate a PRHEAD and put it
		 * in the main list and attach to that. */
		/* allocate a new struct, put on main list and attach
		 * the print command to it */
		Currstruct_p = newMAINLLstruct(S_PRHEAD, yylineno);
		insertMAINLL(Currstruct_p, Mainlltc_p);
		Currstruct_p->u.prhead_p->printdata_p = curr_print_p;
		Currstruct_p = (struct MAINLL *) 0;
	}

	/* in any case, if we get another print command right away, it
	 * should be linked onto this one, so remember where we are */
	Next_print_link_p_p = &(curr_print_p->next);
	curr_print_p->next = (struct PRINTDATA *) 0;
}


/* if the given string has a higher ascent than the given font/size, return
 * the amount is it higher, in stepsizes */

static double
extra_needed(font, size, string_p)

int font;	/* default font for this string */
int size;	/* default size for this string */
char **string_p;/* string, before being put in internal format,
		 * which might contain \s(xx) to make it bigger than normal.
		 * If it is key-mapped, the passed-in pointer will be
		 * updated to point to the mapped string. */

{
	double usual_ascent;
	double this_string_ascent;


	/* get expected ascent for this font/size and actual for string */
	usual_ascent = fontascent(font, size);
	(void) fix_string(*string_p, font, size, Curr_filename, yylineno);
	*string_p = map_print_str(*string_p, Curr_filename, yylineno);
	this_string_ascent = strascent(*string_p);

	/* if this string is too tall, return by how much it is too tall */
	if (this_string_ascent > usual_ascent) {
		return (this_string_ascent - usual_ascent) / STEPSIZE;
	}
	else {
		return(0.0);
	}
}


/* Sometimes lexer will recognize something as a keyword, but it's
 * really a bunch of note letters, due to context. This function turns
 * the mistaken keyword into notes. It handles a through g and r and s, and
 * us, but not n, which would also be troublesome, but which we don't (yet)
 * need to handle.
 */

static void
keyword_notes(str)

char *str;

{
	for (  ; *str != '\0'; str++) {
		if (*str == 'u' && *(str+1) == 's') {
			str++;
			continue;
		}

		/* On the last letter, if it's a true pitch, have to
		 * push it back into input, because it could be followed
		 * by an accidental or octave mark or tick or something. */
		if (*(str+1) == '\0' && *str >= 'a' && *str <= 'g') {
			pushback(*str);
		}
		else {
			add_note(Curr_grpsyl_p, (int) *str, No_accs,
					USE_DFLT_OCTAVE, 0, NO, (char *) 0);
		}
	}
}


/* Free up the current additive time list, if any */

static void
free_extra_time()
{
	struct TIMELIST *tl_p;

	/* If this was the most recently allocated list, we can free it.
	 * We can't free otherwise, since Extra_time_p might be
	 * pointing to one from an SSV, which must be kept around. */
	if (Extra_time_p == Last_alloced_timelist_p) {
		while (Extra_time_p != 0) {
			tl_p = Extra_time_p->next;
			FREE(Extra_time_p);
			Extra_time_p = tl_p;
		}
	}
	Extra_time_p = 0;
	Last_alloced_timelist_p = 0;
	Curr_timelist_p = 0;
}


/* Add an item to the internal representation of the time signature
 * currently being collected */

static void
tsig_item(item)

int item;	/* the byte to add to timerep */

{
	if (Tsig_offset >= MAXTSLEN  - 1) {
		l_ufatal(Curr_filename, yylineno,
				"time signature is too complicated");
	}
	Timerep[Tsig_offset++] = (char) item;
}


/* Allocate a new expression node, fill in its opearator field, and return it. */

static struct EXPR_NODE *
newnode(op)

int op;		/* OP_* value for the new node */

{
	struct EXPR_NODE * node_p;

	CALLOC(EXPR_NODE, node_p, 1);
	node_p->op = op;
	return(node_p);
}


/* Zero out the list of accidentals for the current note */

static void
clear_curr_accs()

{
	CLEAR_ACCS(Curr_accs);
	Acc_offset = 0;
}


/* Add given accidental to the list of accidental for the current note.
 * (if it is valid and there is room) */

static void
add_acc(acc_name)

char *acc_name;

{
	int code;
	int font;

	if (Acc_offset >= 2 * MAX_ACCS) {
		l_yyerror(Curr_filename, yylineno,
				"Too many accidentals (%d max)", MAX_ACCS);
		return;
	}
	if (is_bad_char((code = find_char(acc_name, &font, NO, NO))) == YES) {
		l_yyerror(Curr_filename, yylineno,
			"No symbol named %s to use as accidental", acc_name);
		return;
	}

	/* Note that probably the font should be either one of the music
	 * fonts or user defined font, but we go ahead and allow anything. */
	Curr_accs[Acc_offset++] = font;
	Curr_accs[Acc_offset++] = code;

	/* If we have a non standard accidental, or if the accidentals
	 * net out to something outside the range of double flat to
	 * double sharp, mark Tuning_used, because we can't use simple
	 * ordinary MIDI commands. */
	if (accs_offset(Curr_accs) == BAD_ACCS_OFFSET) {
		Tuning_used = YES;
	}
}


/* Add another entry to the list of accidentals in accidentals context.
 * It is passed the name of the accidental. It allocates an entry,
 * if necessary, sets Curr_acc_index to the index of the entry, fills in
 * the code and font, and sets offsets to a negative value to indicate
 * "not yet filled in."
 */

static void
new_acc_entry(acc_name)

char *acc_name;		/* like "sharp" or "dlbflat" or a user name */

{
	int i;
	int is_small;


	if (Acc_contexts_list_p == 0) {
		/* must have been an earlier error */
		return;
	}

	/* Check for already defined */
	for (i = 0; i < Acc_contexts_list_p->size; i++) {
		if (strcmp(acc_name, get_charname(
				Acc_contexts_list_p->info[i].code,
				Acc_contexts_list_p->info[i].font))
				== 0) {
			/* Use the existing entry */
			Curr_acc_index = i;
			return;
		}
	}

	/* If space is full, alloc another chunk */
	if (Acc_contexts_list_p->size % ITEMS == 0
				&& Acc_contexts_list_p->size > 0) {
		REALLOC(ACCINFO, Acc_contexts_list_p->info,
				Acc_contexts_list_p->size + ITEMS);
	}

	/* Use the next available slot */
	Curr_acc_index = Acc_contexts_list_p->size;

	/* One more slot being used */
	(Acc_contexts_list_p->size)++;

	/* Fill in all the offset slots with an illegal
	 * (i.e., negative) value, so we can tell later which the user
	 * has set. Normally I wouldn't hard-code a 7, but if the
	 * number of "white keys" a-g changes from 7, we have
	 * much bigger problems ;-). 
	 */
	for (i = 0; i < 7; i++) {
		CURR_ACC_ENTRY.offset[i] = -1.0;
	}

	/* Translate symbol name to code and font */
	CURR_ACC_ENTRY.code = find_char(acc_name,
					&(CURR_ACC_ENTRY.font), &is_small, YES);
}


/* Fill in an element of the offset[] array for a accidental,
 * in accidentals context. 
 */

static void
add_acc_offset(letter, offset)

int letter;	/* which index into offset[], 'a' is 0, 'b' is 1, etc */
double offset;	/* what value to fill in */

{
	int index;

	if (Context != C_ACCIDENTALS) {
		return;
	}
	if (Acc_contexts_list_p == 0) {
		/* Must have been earlier error */
		return;
	}

	index = letter - 'a';

	/* Check if already has been set */
	if (CURR_ACC_ENTRY.offset[index] >= 0 ) {
		l_warning(Curr_filename, yylineno,
			"offset for accidental '%s' specified more than once, using last", get_charname(CURR_ACC_ENTRY.code, CURR_ACC_ENTRY.font));
	}

	/* Warn about outrageous values. We consider an accidental
	 * that changes by more than a major third outrageous. */
	if (offset < 0.8 || offset > 1.25) {
		l_warning(Curr_filename, yylineno,
			"dubious accidental offset (factor of %f alters pitch by more than a major third)", offset);
	}

	/* Fill in the value */
	CURR_ACC_ENTRY.offset[index] = offset;
}


static int
comp_subbar(item1_p, item2_p)

#ifdef __STDC__
const void *item1_p;            /* the subbars to compare */
const void *item2_p;
#else
char *item1_p;          	/* the subbars to compare */
char *item2_p;
#endif

{
	struct SUBBAR_INSTANCE *sb1_p, *sb2_p;

	sb1_p = (struct SUBBAR_INSTANCE *) item1_p;
	sb2_p = (struct SUBBAR_INSTANCE *) item2_p;
	if (sb1_p->count < sb2_p->count) {
		return(-1);
	}
	else if (sb1_p->count > sb2_p->count) {
		return(1);
	}
	else {
		return(0);
	}
}


/* Given a MULTIWHOLE value (2, 4, or 8) return the corresponding BT_* value */
static int
multiwhole2basictime(value)

int value;

{
	if (value == 2) {
		return(BT_DBL);
	}
	else if (value == 4) {
		return(BT_QUAD);
	}
	else if (value == 8) {
		return(BT_OCT);
	}
	else {
		pfatal("invalid value %d passed to multiwhole2basictime", value);
		/*NOTREACHED*/
		return(0);
	}
}


/* Given a chordtranslation parameter "do/re/mi" string, split it into
 * the 7 syllables, and place them in the doremi_syls field of current SSV. */

static void
parse_doremi_string(str)

char *str;	/* Typically "do re mi fa sol la si" */

{
	int nsyl;	/* count of syllables */
	int syl_leng;
	char saved;


	if (Currstruct_p == 0 || Currstruct_p->u.ssv_p == 0) {
		/* Must have been a user error earlier */
		return;
	}

	CALLOCA(char *, Currstruct_p->u.ssv_p->doremi_syls, 7);
	/* This code is similar to that for noteheads parameter in assign.c */
	for (nsyl = 0; nsyl < 7; nsyl++) {
		/* skip any leading spaces */
		while (isspace(*str)) {
			str++;
		}
		if (*str == '\0') {
			break;
		}
		syl_leng = strcspn(str, " \t\r\n");
		saved = str[syl_leng];
		str[syl_leng] = '\0';
		Currstruct_p->u.ssv_p->doremi_syls[nsyl] =
				copy_string(str, FONT_TR, DFLT_SIZE);
		fix_string(Currstruct_p->u.ssv_p->doremi_syls[nsyl],
				FONT_TR, DFLT_SIZE,
				Curr_filename, yylineno);
		str[syl_leng] = saved;
		str += syl_leng;
	}
	while (isspace(*str)) {
		str++;
	}
	if (nsyl != 7 || *str != '\0') {
		l_yyerror(Curr_filename, yylineno,
			 "Wrong number of do/re/mi syllables; expecting 7");
		/* If there were less than 7, later code could attempt to
		 * access an uninitalized value, so fix that. */
		for (  ; nsyl < 7; nsyl++) {
			Currstruct_p->u.ssv_p->doremi_syls[nsyl] =
				copy_string(" ", FONT_TR, DFLT_SIZE);
		}
	}
}


/* Give warning if user forgot to add an end to match a samescorebegin
 * or samepagebeing. It doesn't really hurt anything, but might mean they
 * included more in the zone than intended, so seems worth a warning,
 * but not a error.
 */

void
check_same_ended()

{
	if (Doing_samescore == YES) {
		l_warning(Curr_filename, yylineno,
			"missing samescoreend");
	}
	if (Doing_samepage == YES) {
		l_warning(Curr_filename, yylineno,
			"missing samepageend");
	}
}
